




/*******************************************************************************************************************************************************************************/
/*******************************************************************************************************************************************************************************/
/*******************************************************************************************************************************************************************************/
/*******************************************************************************************************************************************************************************/
/*******************************************************************************************************************************************************************************/
/* CDCK01 Project - 09/30/2020-09/29/2023 */
/*******************************************************************************************************************************************************************************/
/*******************************************************************************************************************************************************************************/
/*******************************************************************************************************************************************************************************/
/* 
   This SAS program is to import the IECAM data (Source: https://iecam.illinois.edu/database/) and manage the data.
   IECAM provides: 
        (1) zip code-level data for early childhood services, head start programs, child care (center & family home), and child care assistance;
        (2) county-level data for home visiting programs (including MIECHV and state programs).
   Available years vary by services/programs, but most data are available through the study period (2011-2018).
   Note: You can download only 200 zip codes at each time. We downloaded 7 tables (excel files) for all Illinois zip codes (N=1384).
*/
/*******************************************************************************************************************************************************************************/
/*******************************************************************************************************************************************************************************/
/*******************************************************************************************************************************************************************************/
/* Illinois Zip Codes, 2011-2018 */
/*******************************************************************************************************************************************************************************/
/*******************************************************************************************************************************************************************************/
/*******************************************************************************************************************************************************************************/
/* Hyunil Kim, 03/09/2021 */
/*******************************************************************************************************************************************************************************/
/*******************************************************************************************************************************************************************************/
/*******************************************************************************************************************************************************************************/





ods html newfile=proc path="E:\SASWork\Output"; /* SAS output option */
libname a "Z:\CDCK01\Data_Zip\IECAM";           /* Telling SAS where to load/save SAS data */





/*******************************************************************************************************************************************************************************/
/*******************************************************************************************************************************************************************************/
/*******************************************************************************************************************************************************************************/
/* Importing Data **************************************************************************************************************************************************************/
/* Importing Data **************************************************************************************************************************************************************/
/* Importing Data **************************************************************************************************************************************************************/
/*******************************************************************************************************************************************************************************/
/*******************************************************************************************************************************************************************************/
/*******************************************************************************************************************************************************************************/
/* 
   IECAM provides "xls" file, but the file format is "htm". Just in case, we save all files as (save as) "xlsx" by MS EXCEL.
   The raw excel files' headings are not SAS-friendly. We will handle this later.
*/;
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_ISBE_1.xlsx"          out=ISBE_1 dbms=xlsx replace;getnames=no;run;/*N=203, 21 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_ISBE_2.xlsx"          out=ISBE_2 dbms=xlsx replace;getnames=no;run;/*N=203, 21 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_ISBE_3.xlsx"          out=ISBE_3 dbms=xlsx replace;getnames=no;run;/*N=203, 21 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_ISBE_4.xlsx"          out=ISBE_4 dbms=xlsx replace;getnames=no;run;/*N=203, 21 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_ISBE_5.xlsx"          out=ISBE_5 dbms=xlsx replace;getnames=no;run;/*N=203, 21 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_ISBE_6.xlsx"          out=ISBE_6 dbms=xlsx replace;getnames=no;run;/*N=203, 21 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_ISBE_7.xlsx"          out=ISBE_7 dbms=xlsx replace;getnames=no;run;/*N=187, 21 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_PFAExp_1.xlsx"        out=PFAE_1 dbms=xlsx replace;getnames=no;run;/*N=203,  9 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_PFAExp_2.xlsx"        out=PFAE_2 dbms=xlsx replace;getnames=no;run;/*N=203,  9 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_PFAExp_3.xlsx"        out=PFAE_3 dbms=xlsx replace;getnames=no;run;/*N=203,  9 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_PFAExp_4.xlsx"        out=PFAE_4 dbms=xlsx replace;getnames=no;run;/*N=203,  9 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_PFAExp_5.xlsx"        out=PFAE_5 dbms=xlsx replace;getnames=no;run;/*N=203,  9 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_PFAExp_6.xlsx"        out=PFAE_6 dbms=xlsx replace;getnames=no;run;/*N=203,  9 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_PFAExp_7.xlsx"        out=PFAE_7 dbms=xlsx replace;getnames=no;run;/*N=187,  9 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_ISBE_PreVenIt_1.xlsx" out=ISBP_1 dbms=xlsx replace;getnames=no;run;/*N=203, 15 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_ISBE_PreVenIt_2.xlsx" out=ISBP_2 dbms=xlsx replace;getnames=no;run;/*N=203, 15 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_ISBE_PreVenIt_3.xlsx" out=ISBP_3 dbms=xlsx replace;getnames=no;run;/*N=203, 15 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_ISBE_PreVenIt_4.xlsx" out=ISBP_4 dbms=xlsx replace;getnames=no;run;/*N=203, 15 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_ISBE_PreVenIt_5.xlsx" out=ISBP_5 dbms=xlsx replace;getnames=no;run;/*N=203, 15 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_ISBE_PreVenIt_6.xlsx" out=ISBP_6 dbms=xlsx replace;getnames=no;run;/*N=203, 15 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_ISBE_PreVenIt_7.xlsx" out=ISBP_7 dbms=xlsx replace;getnames=no;run;/*N=187, 15 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_Headstart_1.xlsx"     out=Head_1 dbms=xlsx replace;getnames=no;run;/*N=203, 21 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_Headstart_2.xlsx"     out=Head_2 dbms=xlsx replace;getnames=no;run;/*N=203, 21 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_Headstart_3.xlsx"     out=Head_3 dbms=xlsx replace;getnames=no;run;/*N=203, 21 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_Headstart_4.xlsx"     out=Head_4 dbms=xlsx replace;getnames=no;run;/*N=203, 21 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_Headstart_5.xlsx"     out=Head_5 dbms=xlsx replace;getnames=no;run;/*N=203, 21 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_Headstart_6.xlsx"     out=Head_6 dbms=xlsx replace;getnames=no;run;/*N=203, 21 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_Headstart_7.xlsx"     out=Head_7 dbms=xlsx replace;getnames=no;run;/*N=187, 21 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_EarlyHS_1.xlsx"       out=ElyH_1 dbms=xlsx replace;getnames=no;run;/*N=203, 21 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_EarlyHS_2.xlsx"       out=ElyH_2 dbms=xlsx replace;getnames=no;run;/*N=203, 21 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_EarlyHS_3.xlsx"       out=ElyH_3 dbms=xlsx replace;getnames=no;run;/*N=203, 21 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_EarlyHS_4.xlsx"       out=ElyH_4 dbms=xlsx replace;getnames=no;run;/*N=203, 21 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_EarlyHS_5.xlsx"       out=ElyH_5 dbms=xlsx replace;getnames=no;run;/*N=203, 21 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_EarlyHS_6.xlsx"       out=ElyH_6 dbms=xlsx replace;getnames=no;run;/*N=203, 21 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_EarlyHS_7.xlsx"       out=ElyH_7 dbms=xlsx replace;getnames=no;run;/*N=187, 21 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_LCC_1.xlsx"           out=LCCa_1 dbms=xlsx replace;getnames=no;run;/*N=203, 51 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_LCC_2.xlsx"           out=LCCa_2 dbms=xlsx replace;getnames=no;run;/*N=203, 51 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_LCC_3.xlsx"           out=LCCa_3 dbms=xlsx replace;getnames=no;run;/*N=203, 51 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_LCC_4.xlsx"           out=LCCa_4 dbms=xlsx replace;getnames=no;run;/*N=203, 51 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_LCC_5.xlsx"           out=LCCa_5 dbms=xlsx replace;getnames=no;run;/*N=203, 51 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_LCC_6.xlsx"           out=LCCa_6 dbms=xlsx replace;getnames=no;run;/*N=203, 51 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_LCC_7.xlsx"           out=LCCa_7 dbms=xlsx replace;getnames=no;run;/*N=187, 51 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_ExLCC_1.xlsx"         out=ExLC_1 dbms=xlsx replace;getnames=no;run;/*N=203, 51 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_ExLCC_2.xlsx"         out=ExLC_2 dbms=xlsx replace;getnames=no;run;/*N=203, 51 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_ExLCC_3.xlsx"         out=ExLC_3 dbms=xlsx replace;getnames=no;run;/*N=203, 51 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_ExLCC_4.xlsx"         out=ExLC_4 dbms=xlsx replace;getnames=no;run;/*N=203, 51 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_ExLCC_5.xlsx"         out=ExLC_5 dbms=xlsx replace;getnames=no;run;/*N=203, 51 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_ExLCC_6.xlsx"         out=ExLC_6 dbms=xlsx replace;getnames=no;run;/*N=203, 51 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_ExLCC_7.xlsx"         out=ExLC_7 dbms=xlsx replace;getnames=no;run;/*N=187, 51 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_LCCBz_1.xlsx"         out=LCCB_1 dbms=xlsx replace;getnames=no;run;/*N=203, 21 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_LCCBz_2.xlsx"         out=LCCB_2 dbms=xlsx replace;getnames=no;run;/*N=203, 21 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_LCCBz_3.xlsx"         out=LCCB_3 dbms=xlsx replace;getnames=no;run;/*N=203, 21 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_LCCBz_4.xlsx"         out=LCCB_4 dbms=xlsx replace;getnames=no;run;/*N=203, 21 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_LCCBz_5.xlsx"         out=LCCB_5 dbms=xlsx replace;getnames=no;run;/*N=203, 21 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_LCCBz_6.xlsx"         out=LCCB_6 dbms=xlsx replace;getnames=no;run;/*N=203, 21 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_LCCBz_7.xlsx"         out=LCCB_7 dbms=xlsx replace;getnames=no;run;/*N=187, 21 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_LCCSv_1.xlsx"         out=LCCS_1 dbms=xlsx replace;getnames=no;run;/*N=203, 21 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_LCCSv_2.xlsx"         out=LCCS_2 dbms=xlsx replace;getnames=no;run;/*N=203, 21 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_LCCSv_3.xlsx"         out=LCCS_3 dbms=xlsx replace;getnames=no;run;/*N=203, 21 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_LCCSv_4.xlsx"         out=LCCS_4 dbms=xlsx replace;getnames=no;run;/*N=203, 21 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_LCCSv_5.xlsx"         out=LCCS_5 dbms=xlsx replace;getnames=no;run;/*N=203, 21 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_LCCSv_6.xlsx"         out=LCCS_6 dbms=xlsx replace;getnames=no;run;/*N=203, 21 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_LCCSv_7.xlsx"         out=LCCS_7 dbms=xlsx replace;getnames=no;run;/*N=187, 21 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_LCCGd_1.xlsx"         out=LCCG_1 dbms=xlsx replace;getnames=no;run;/*N=203, 21 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_LCCGd_2.xlsx"         out=LCCG_2 dbms=xlsx replace;getnames=no;run;/*N=203, 21 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_LCCGd_3.xlsx"         out=LCCG_3 dbms=xlsx replace;getnames=no;run;/*N=203, 21 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_LCCGd_4.xlsx"         out=LCCG_4 dbms=xlsx replace;getnames=no;run;/*N=203, 21 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_LCCGd_5.xlsx"         out=LCCG_5 dbms=xlsx replace;getnames=no;run;/*N=203, 21 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_LCCGd_6.xlsx"         out=LCCG_6 dbms=xlsx replace;getnames=no;run;/*N=203, 21 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_LCCGd_7.xlsx"         out=LCCG_7 dbms=xlsx replace;getnames=no;run;/*N=187, 21 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_LFCC_1.xlsx"          out=LFCC_1 dbms=xlsx replace;getnames=no;run;/*N=203, 51 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_LFCC_2.xlsx"          out=LFCC_2 dbms=xlsx replace;getnames=no;run;/*N=203, 51 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_LFCC_3.xlsx"          out=LFCC_3 dbms=xlsx replace;getnames=no;run;/*N=203, 51 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_LFCC_4.xlsx"          out=LFCC_4 dbms=xlsx replace;getnames=no;run;/*N=203, 51 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_LFCC_5.xlsx"          out=LFCC_5 dbms=xlsx replace;getnames=no;run;/*N=203, 51 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_LFCC_6.xlsx"          out=LFCC_6 dbms=xlsx replace;getnames=no;run;/*N=203, 51 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_LFCC_7.xlsx"          out=LFCC_7 dbms=xlsx replace;getnames=no;run;/*N=187, 51 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_LFCCBz_1.xlsx"        out=LFCB_1 dbms=xlsx replace;getnames=no;run;/*N=203, 21 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_LFCCBz_2.xlsx"        out=LFCB_2 dbms=xlsx replace;getnames=no;run;/*N=203, 21 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_LFCCBz_3.xlsx"        out=LFCB_3 dbms=xlsx replace;getnames=no;run;/*N=203, 21 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_LFCCBz_4.xlsx"        out=LFCB_4 dbms=xlsx replace;getnames=no;run;/*N=203, 21 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_LFCCBz_5.xlsx"        out=LFCB_5 dbms=xlsx replace;getnames=no;run;/*N=203, 21 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_LFCCBz_6.xlsx"        out=LFCB_6 dbms=xlsx replace;getnames=no;run;/*N=203, 21 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_LFCCBz_7.xlsx"        out=LFCB_7 dbms=xlsx replace;getnames=no;run;/*N=187, 21 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_LFCCSv_1.xlsx"        out=LFCS_1 dbms=xlsx replace;getnames=no;run;/*N=203, 21 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_LFCCSv_2.xlsx"        out=LFCS_2 dbms=xlsx replace;getnames=no;run;/*N=203, 21 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_LFCCSv_3.xlsx"        out=LFCS_3 dbms=xlsx replace;getnames=no;run;/*N=203, 21 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_LFCCSv_4.xlsx"        out=LFCS_4 dbms=xlsx replace;getnames=no;run;/*N=203, 21 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_LFCCSv_5.xlsx"        out=LFCS_5 dbms=xlsx replace;getnames=no;run;/*N=203, 21 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_LFCCSv_6.xlsx"        out=LFCS_6 dbms=xlsx replace;getnames=no;run;/*N=203, 21 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_LFCCSv_7.xlsx"        out=LFCS_7 dbms=xlsx replace;getnames=no;run;/*N=187, 21 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_LFCCGd_1.xlsx"        out=LFCG_1 dbms=xlsx replace;getnames=no;run;/*N=203, 21 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_LFCCGd_2.xlsx"        out=LFCG_2 dbms=xlsx replace;getnames=no;run;/*N=203, 21 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_LFCCGd_3.xlsx"        out=LFCG_3 dbms=xlsx replace;getnames=no;run;/*N=203, 21 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_LFCCGd_4.xlsx"        out=LFCG_4 dbms=xlsx replace;getnames=no;run;/*N=203, 21 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_LFCCGd_5.xlsx"        out=LFCG_5 dbms=xlsx replace;getnames=no;run;/*N=203, 21 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_LFCCGd_6.xlsx"        out=LFCG_6 dbms=xlsx replace;getnames=no;run;/*N=203, 21 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_LFCCGd_7.xlsx"        out=LFCG_7 dbms=xlsx replace;getnames=no;run;/*N=187, 21 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_CCAPbyFly_1.xlsx"     out=CCAP_1 dbms=xlsx replace;getnames=no;run;/*N=203, 51 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_CCAPbyFly_2.xlsx"     out=CCAP_2 dbms=xlsx replace;getnames=no;run;/*N=203, 51 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_CCAPbyFly_3.xlsx"     out=CCAP_3 dbms=xlsx replace;getnames=no;run;/*N=203, 51 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_CCAPbyFly_4.xlsx"     out=CCAP_4 dbms=xlsx replace;getnames=no;run;/*N=203, 51 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_CCAPbyFly_5.xlsx"     out=CCAP_5 dbms=xlsx replace;getnames=no;run;/*N=203, 51 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_CCAPbyFly_6.xlsx"     out=CCAP_6 dbms=xlsx replace;getnames=no;run;/*N=203, 51 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_CCAPbyFly_7.xlsx"     out=CCAP_7 dbms=xlsx replace;getnames=no;run;/*N=187, 51 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_Homeless_2017.xlsx"   out=Homels dbms=xlsx replace;getnames=no;run;/*N=107,  7 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_IDHSHVPc.xlsx"        out=IDHSHV dbms=xlsx replace;getnames=no;run;/*N=107, 49 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_MIECHVc.xlsx"         out=MIECHV dbms=xlsx replace;getnames=no;run;/*N=107,  4 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_IDHSElyIntc.xlsx"     out=IDHSEl dbms=xlsx replace;getnames=no;run;/*N=107, 13 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_Pop_1.xlsx"           out=Popz_1 dbms=xlsx replace;getnames=no;run;/*N=203, 73 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_Pop_2.xlsx"           out=Popz_2 dbms=xlsx replace;getnames=no;run;/*N=203, 73 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_Pop_3.xlsx"           out=Popz_3 dbms=xlsx replace;getnames=no;run;/*N=203, 73 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_Pop_4.xlsx"           out=Popz_4 dbms=xlsx replace;getnames=no;run;/*N=203, 73 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_Pop_5.xlsx"           out=Popz_5 dbms=xlsx replace;getnames=no;run;/*N=203, 73 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_Pop_6.xlsx"           out=Popz_6 dbms=xlsx replace;getnames=no;run;/*N=203, 73 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_Pop_7.xlsx"           out=Popz_7 dbms=xlsx replace;getnames=no;run;/*N=187, 73 variables*/
proc import datafile="Z:\CDCK01\Data_Zip\IECAM\RAW\DATA\iecamdata_Pop_Cnty.xlsx"        out=Popcty dbms=xlsx replace;getnames=no;run;/*N=107,121 variables*/




/*******************************************************************************************************************************************************************************/
/*******************************************************************************************************************************************************************************/
/*******************************************************************************************************************************************************************************/
/* Zip Code-Level Service Data *************************************************************************************************************************************************/
/* Zip Code-Level Service Data *************************************************************************************************************************************************/
/* Zip Code-Level Service Data *************************************************************************************************************************************************/
/*******************************************************************************************************************************************************************************/
/*******************************************************************************************************************************************************************************/
/*******************************************************************************************************************************************************************************/
/***/
/***/
/***/
/* Illinois State Board of Education (ISBE) Preschool For All (PFA) Program Data - Renaming Variables */;
data ISBE_1a;set ISBE_1(rename=(A=ZipCode B=ISBE_PFAs2010 C=ISBE_PFAc2010 D=ISBE_PFAs2011 E=ISBE_PFAc2011 F=ISBE_PFAs2012 G=ISBE_PFAc2012 H=ISBE_PFAs2013 I=ISBE_PFAc2013 J=ISBE_PFAs2014 K=ISBE_PFAc2014 L=ISBE_PFAs2015 M=ISBE_PFAc2015 N=ISBE_PFAs2016 O=ISBE_PFAc2016 P=ISBE_PFAs2017 Q=ISBE_PFAc2017 R=ISBE_PFAs2018 S=ISBE_PFAc2018 T=ISBE_PFAs2019 U=ISBE_PFAc2019));if ZipCode>0;run;
data ISBE_2a;set ISBE_2(rename=(A=ZipCode B=ISBE_PFAs2010 C=ISBE_PFAc2010 D=ISBE_PFAs2011 E=ISBE_PFAc2011 F=ISBE_PFAs2012 G=ISBE_PFAc2012 H=ISBE_PFAs2013 I=ISBE_PFAc2013 J=ISBE_PFAs2014 K=ISBE_PFAc2014 L=ISBE_PFAs2015 M=ISBE_PFAc2015 N=ISBE_PFAs2016 O=ISBE_PFAc2016 P=ISBE_PFAs2017 Q=ISBE_PFAc2017 R=ISBE_PFAs2018 S=ISBE_PFAc2018 T=ISBE_PFAs2019 U=ISBE_PFAc2019));if ZipCode>0;run;
data ISBE_3a;set ISBE_3(rename=(A=ZipCode B=ISBE_PFAs2010 C=ISBE_PFAc2010 D=ISBE_PFAs2011 E=ISBE_PFAc2011 F=ISBE_PFAs2012 G=ISBE_PFAc2012 H=ISBE_PFAs2013 I=ISBE_PFAc2013 J=ISBE_PFAs2014 K=ISBE_PFAc2014 L=ISBE_PFAs2015 M=ISBE_PFAc2015 N=ISBE_PFAs2016 O=ISBE_PFAc2016 P=ISBE_PFAs2017 Q=ISBE_PFAc2017 R=ISBE_PFAs2018 S=ISBE_PFAc2018 T=ISBE_PFAs2019 U=ISBE_PFAc2019));if ZipCode>0;run;
data ISBE_4a;set ISBE_4(rename=(A=ZipCode B=ISBE_PFAs2010 C=ISBE_PFAc2010 D=ISBE_PFAs2011 E=ISBE_PFAc2011 F=ISBE_PFAs2012 G=ISBE_PFAc2012 H=ISBE_PFAs2013 I=ISBE_PFAc2013 J=ISBE_PFAs2014 K=ISBE_PFAc2014 L=ISBE_PFAs2015 M=ISBE_PFAc2015 N=ISBE_PFAs2016 O=ISBE_PFAc2016 P=ISBE_PFAs2017 Q=ISBE_PFAc2017 R=ISBE_PFAs2018 S=ISBE_PFAc2018 T=ISBE_PFAs2019 U=ISBE_PFAc2019));if ZipCode>0;run;
data ISBE_5a;set ISBE_5(rename=(A=ZipCode B=ISBE_PFAs2010 C=ISBE_PFAc2010 D=ISBE_PFAs2011 E=ISBE_PFAc2011 F=ISBE_PFAs2012 G=ISBE_PFAc2012 H=ISBE_PFAs2013 I=ISBE_PFAc2013 J=ISBE_PFAs2014 K=ISBE_PFAc2014 L=ISBE_PFAs2015 M=ISBE_PFAc2015 N=ISBE_PFAs2016 O=ISBE_PFAc2016 P=ISBE_PFAs2017 Q=ISBE_PFAc2017 R=ISBE_PFAs2018 S=ISBE_PFAc2018 T=ISBE_PFAs2019 U=ISBE_PFAc2019));if ZipCode>0;run;
data ISBE_6a;set ISBE_6(rename=(A=ZipCode B=ISBE_PFAs2010 C=ISBE_PFAc2010 D=ISBE_PFAs2011 E=ISBE_PFAc2011 F=ISBE_PFAs2012 G=ISBE_PFAc2012 H=ISBE_PFAs2013 I=ISBE_PFAc2013 J=ISBE_PFAs2014 K=ISBE_PFAc2014 L=ISBE_PFAs2015 M=ISBE_PFAc2015 N=ISBE_PFAs2016 O=ISBE_PFAc2016 P=ISBE_PFAs2017 Q=ISBE_PFAc2017 R=ISBE_PFAs2018 S=ISBE_PFAc2018 T=ISBE_PFAs2019 U=ISBE_PFAc2019));if ZipCode>0;run;
data ISBE_7a;set ISBE_7(rename=(A=ZipCode B=ISBE_PFAs2010 C=ISBE_PFAc2010 D=ISBE_PFAs2011 E=ISBE_PFAc2011 F=ISBE_PFAs2012 G=ISBE_PFAc2012 H=ISBE_PFAs2013 I=ISBE_PFAc2013 J=ISBE_PFAs2014 K=ISBE_PFAc2014 L=ISBE_PFAs2015 M=ISBE_PFAc2015 N=ISBE_PFAs2016 O=ISBE_PFAc2016 P=ISBE_PFAs2017 Q=ISBE_PFAc2017 R=ISBE_PFAs2018 S=ISBE_PFAc2018 T=ISBE_PFAs2019 U=ISBE_PFAc2019));if ZipCode>0;run;
data ISBE1;set ISBE_1a ISBE_2a ISBE_3a ISBE_4a ISBE_5a ISBE_6a ISBE_7a;run;/*N=1384, 21 variables*/
/* Illinois State Board of Education (ISBE) Preschool For All (PFA) Program Data - Wide Form to Long Form */;
proc transpose data=ISBE1 out=ISBE1s prefix=ISBE_PFAs;by ZipCode;var ISBE_PFAs2010-ISBE_PFAs2019;run;    /*N=13840, 4 variables*/
proc transpose data=ISBE1 out=ISBE1c prefix=ISBE_PFAc;by ZipCode;var ISBE_PFAc2010-ISBE_PFAc2019;run;    /*N=13840, 4 variables*/
data ISBE2s;set ISBE1s;Year=substr(_NAME_,10,4)+0;ISBE_PFAs=ISBE_PFAs1+0;drop _NAME_ _LABEL_ ISBE_PFAs1;run;/*N=13840, 3 variables*/
data ISBE2c;set ISBE1c;Year=substr(_NAME_,10,4)+0;ISBE_PFAc=ISBE_PFAc1+0;drop _NAME_ _LABEL_ ISBE_PFAc1;run;/*N=13840, 3 variables*/
proc sort data=ISBE2s;by ZipCode Year;run;
proc sort data=ISBE2c;by ZipCode Year;run;
data ISBE2;merge ISBE2s ISBE2c;by ZipCode Year;
label 
ISBE_PFAs="# sites at which children (age 3-4) are served in ISBE Preschool For All programs"
ISBE_PFAc="# children (age 3-4) proposed to be served (outside Chicago) or enrolled (in Chicago) in ISBE Preschool For All programs"
;run; 
/*N=13840, 4 variables*/
/***/
/***/
/***/
/* Illinois State Board of Education (ISBE) Preschool For All (PFA) Expansion Program Data - Renaming Variables */;
data PFAE_1a;set PFAE_1(rename=(A=ZipCode B=ISBE_PFAEs2016 C=ISBE_PFAEc2016 D=ISBE_PFAEs2017 E=ISBE_PFAEc2017 F=ISBE_PFAEs2018 G=ISBE_PFAEc2018 H=ISBE_PFAEs2019 I=ISBE_PFAEc2019));if ZipCode>0;run;
data PFAE_2a;set PFAE_2(rename=(A=ZipCode B=ISBE_PFAEs2016 C=ISBE_PFAEc2016 D=ISBE_PFAEs2017 E=ISBE_PFAEc2017 F=ISBE_PFAEs2018 G=ISBE_PFAEc2018 H=ISBE_PFAEs2019 I=ISBE_PFAEc2019));if ZipCode>0;run;
data PFAE_3a;set PFAE_3(rename=(A=ZipCode B=ISBE_PFAEs2016 C=ISBE_PFAEc2016 D=ISBE_PFAEs2017 E=ISBE_PFAEc2017 F=ISBE_PFAEs2018 G=ISBE_PFAEc2018 H=ISBE_PFAEs2019 I=ISBE_PFAEc2019));if ZipCode>0;run;
data PFAE_4a;set PFAE_4(rename=(A=ZipCode B=ISBE_PFAEs2016 C=ISBE_PFAEc2016 D=ISBE_PFAEs2017 E=ISBE_PFAEc2017 F=ISBE_PFAEs2018 G=ISBE_PFAEc2018 H=ISBE_PFAEs2019 I=ISBE_PFAEc2019));if ZipCode>0;run;
data PFAE_5a;set PFAE_5(rename=(A=ZipCode B=ISBE_PFAEs2016 C=ISBE_PFAEc2016 D=ISBE_PFAEs2017 E=ISBE_PFAEc2017 F=ISBE_PFAEs2018 G=ISBE_PFAEc2018 H=ISBE_PFAEs2019 I=ISBE_PFAEc2019));if ZipCode>0;run;
data PFAE_6a;set PFAE_6(rename=(A=ZipCode B=ISBE_PFAEs2016 C=ISBE_PFAEc2016 D=ISBE_PFAEs2017 E=ISBE_PFAEc2017 F=ISBE_PFAEs2018 G=ISBE_PFAEc2018 H=ISBE_PFAEs2019 I=ISBE_PFAEc2019));if ZipCode>0;run;
data PFAE_7a;set PFAE_7(rename=(A=ZipCode B=ISBE_PFAEs2016 C=ISBE_PFAEc2016 D=ISBE_PFAEs2017 E=ISBE_PFAEc2017 F=ISBE_PFAEs2018 G=ISBE_PFAEc2018 H=ISBE_PFAEs2019 I=ISBE_PFAEc2019));if ZipCode>0;run;
data PFAE1;set PFAE_1a PFAE_2a PFAE_3a PFAE_4a PFAE_5a PFAE_6a PFAE_7a;run;/*N=1384, 9 variables*/
/* Illinois State Board of Education (ISBE) Preschool For All (PFA) Expansion Program Data - Wide Form to Long Form */;
proc transpose data=PFAE1 out=PFAE1s prefix=ISBE_PFAEs;by ZipCode;var ISBE_PFAEs2016-ISBE_PFAEs2019;run;   /*N=5536, 4 variables*/
proc transpose data=PFAE1 out=PFAE1c prefix=ISBE_PFAEc;by ZipCode;var ISBE_PFAEc2016-ISBE_PFAEc2019;run;   /*N=5536, 4 variables*/
data PFAE2s;set PFAE1s;Year=substr(_NAME_,11,4)+0;ISBE_PFAEs=ISBE_PFAEs1+0;drop _NAME_ _LABEL_ ISBE_PFAEs1;run;/*N=5536, 3 variables*/
data PFAE2c;set PFAE1c;Year=substr(_NAME_,11,4)+0;ISBE_PFAEc=ISBE_PFAEc1+0;drop _NAME_ _LABEL_ ISBE_PFAEc1;run;/*N=5536, 3 variables*/
proc sort data=PFAE2s;by ZipCode Year;run;
proc sort data=PFAE2c;by ZipCode Year;run;
data PFAE2;merge PFAE2s PFAE2c;by ZipCode Year;
label 
ISBE_PFAEs="# sites at which children (age 3-4) are served in ISBE Preschool For All Expansion programs"
ISBE_PFAEc="# children (age 3-4) proposed to be served (outside Chicago) or enrolled (in Chicago) in ISBE Preschool For All Expansion programs"
;run;
/*N=5536, 4 variables*/
/***/
/***/
/***/
/* Illinois State Board of Education (ISBE) Prevention Initiative Program Data - Renaming Variables */;
data ISBP_1a;set ISBP_1(rename=(A=ZipCode B=ISBE_PIs2012 C=ISBE_PIc2012 D=ISBE_PIs2013 E=ISBE_PIc2013 F=ISBE_PIs2014 G=ISBE_PIc2014 H=ISBE_PIs2015 I=ISBE_PIc2015 J=ISBE_PIs2016 K=ISBE_PIc2016 L=ISBE_PIs2017 M=ISBE_PIc2017 N=ISBE_PIs2019 O=ISBE_PIc2019));if ZipCode>0;run;
data ISBP_2a;set ISBP_2(rename=(A=ZipCode B=ISBE_PIs2012 C=ISBE_PIc2012 D=ISBE_PIs2013 E=ISBE_PIc2013 F=ISBE_PIs2014 G=ISBE_PIc2014 H=ISBE_PIs2015 I=ISBE_PIc2015 J=ISBE_PIs2016 K=ISBE_PIc2016 L=ISBE_PIs2017 M=ISBE_PIc2017 N=ISBE_PIs2019 O=ISBE_PIc2019));if ZipCode>0;run;
data ISBP_3a;set ISBP_3(rename=(A=ZipCode B=ISBE_PIs2012 C=ISBE_PIc2012 D=ISBE_PIs2013 E=ISBE_PIc2013 F=ISBE_PIs2014 G=ISBE_PIc2014 H=ISBE_PIs2015 I=ISBE_PIc2015 J=ISBE_PIs2016 K=ISBE_PIc2016 L=ISBE_PIs2017 M=ISBE_PIc2017 N=ISBE_PIs2019 O=ISBE_PIc2019));if ZipCode>0;run;
data ISBP_4a;set ISBP_4(rename=(A=ZipCode B=ISBE_PIs2012 C=ISBE_PIc2012 D=ISBE_PIs2013 E=ISBE_PIc2013 F=ISBE_PIs2014 G=ISBE_PIc2014 H=ISBE_PIs2015 I=ISBE_PIc2015 J=ISBE_PIs2016 K=ISBE_PIc2016 L=ISBE_PIs2017 M=ISBE_PIc2017 N=ISBE_PIs2019 O=ISBE_PIc2019));if ZipCode>0;run;
data ISBP_5a;set ISBP_5(rename=(A=ZipCode B=ISBE_PIs2012 C=ISBE_PIc2012 D=ISBE_PIs2013 E=ISBE_PIc2013 F=ISBE_PIs2014 G=ISBE_PIc2014 H=ISBE_PIs2015 I=ISBE_PIc2015 J=ISBE_PIs2016 K=ISBE_PIc2016 L=ISBE_PIs2017 M=ISBE_PIc2017 N=ISBE_PIs2019 O=ISBE_PIc2019));if ZipCode>0;run;
data ISBP_6a;set ISBP_6(rename=(A=ZipCode B=ISBE_PIs2012 C=ISBE_PIc2012 D=ISBE_PIs2013 E=ISBE_PIc2013 F=ISBE_PIs2014 G=ISBE_PIc2014 H=ISBE_PIs2015 I=ISBE_PIc2015 J=ISBE_PIs2016 K=ISBE_PIc2016 L=ISBE_PIs2017 M=ISBE_PIc2017 N=ISBE_PIs2019 O=ISBE_PIc2019));if ZipCode>0;run;
data ISBP_7a;set ISBP_7(rename=(A=ZipCode B=ISBE_PIs2012 C=ISBE_PIc2012 D=ISBE_PIs2013 E=ISBE_PIc2013 F=ISBE_PIs2014 G=ISBE_PIc2014 H=ISBE_PIs2015 I=ISBE_PIc2015 J=ISBE_PIs2016 K=ISBE_PIc2016 L=ISBE_PIs2017 M=ISBE_PIc2017 N=ISBE_PIs2019 O=ISBE_PIc2019));if ZipCode>0;run;
data ISBP1;set ISBP_1a ISBP_2a ISBP_3a ISBP_4a ISBP_5a ISBP_6a ISBP_7a;run;/*N=1384, 15 variables*/
/* Illinois State Board of Education (ISBE) Prevention Initiative Program Data - Wide Form to Long Form */;
proc transpose data=ISBP1 out=ISBP1s prefix=ISBE_PIs;by ZipCode;var ISBE_PIs2012-ISBE_PIs2017 ISBE_PIs2019;run;   /*N=9688, 4 variables*/
proc transpose data=ISBP1 out=ISBP1c prefix=ISBE_PIc;by ZipCode;var ISBE_PIc2012-ISBE_PIc2017 ISBE_PIc2019;run;   /*N=9688, 4 variables*/
data ISBP2s;set ISBP1s;Year=substr(_NAME_,9,4)+0;ISBE_PIs=ISBE_PIs1+0;drop _NAME_ _LABEL_ ISBE_PIs1;run;/*N=9688, 3 variables*/
data ISBP2c;set ISBP1c;Year=substr(_NAME_,9,4)+0;ISBE_PIc=ISBE_PIc1+0;drop _NAME_ _LABEL_ ISBE_PIc1;run;/*N=9688, 3 variables*/
proc sort data=ISBP2s;by ZipCode Year;run;
proc sort data=ISBP2c;by ZipCode Year;run;
data ISBP2;merge ISBP2s ISBP2c;by ZipCode Year;
label 
ISBE_PIs="# sites at which children (age 0-3) are served in ISBE Prevention Initiative programs"
ISBE_PIc="# children (age 0-3) proposed to be served by ISBE Prevention Initiative programs"
;run;
/*N=9688, 4 variables*/
/***/
/***/
/***/
/* Head Start Data - Renaming Variables */;
data Head_1a;set Head_1(rename=(A=ZipCode B=HeadStarts2010 C=HeadStartc2010 D=HeadStarts2011 E=HeadStartc2011 F=HeadStarts2012 G=HeadStartc2012 H=HeadStarts2013 I=HeadStartc2013 J=HeadStarts2014 K=HeadStartc2014 L=HeadStarts2015 M=HeadStartc2015 N=HeadStarts2016 O=HeadStartc2016 P=HeadStarts2017 Q=HeadStartc2017 R=HeadStarts2018 S=HeadStartc2018 T=HeadStarts2019 U=HeadStartc2019));if ZipCode>0;run;
data Head_2a;set Head_2(rename=(A=ZipCode B=HeadStarts2010 C=HeadStartc2010 D=HeadStarts2011 E=HeadStartc2011 F=HeadStarts2012 G=HeadStartc2012 H=HeadStarts2013 I=HeadStartc2013 J=HeadStarts2014 K=HeadStartc2014 L=HeadStarts2015 M=HeadStartc2015 N=HeadStarts2016 O=HeadStartc2016 P=HeadStarts2017 Q=HeadStartc2017 R=HeadStarts2018 S=HeadStartc2018 T=HeadStarts2019 U=HeadStartc2019));if ZipCode>0;run;
data Head_3a;set Head_3(rename=(A=ZipCode B=HeadStarts2010 C=HeadStartc2010 D=HeadStarts2011 E=HeadStartc2011 F=HeadStarts2012 G=HeadStartc2012 H=HeadStarts2013 I=HeadStartc2013 J=HeadStarts2014 K=HeadStartc2014 L=HeadStarts2015 M=HeadStartc2015 N=HeadStarts2016 O=HeadStartc2016 P=HeadStarts2017 Q=HeadStartc2017 R=HeadStarts2018 S=HeadStartc2018 T=HeadStarts2019 U=HeadStartc2019));if ZipCode>0;run;
data Head_4a;set Head_4(rename=(A=ZipCode B=HeadStarts2010 C=HeadStartc2010 D=HeadStarts2011 E=HeadStartc2011 F=HeadStarts2012 G=HeadStartc2012 H=HeadStarts2013 I=HeadStartc2013 J=HeadStarts2014 K=HeadStartc2014 L=HeadStarts2015 M=HeadStartc2015 N=HeadStarts2016 O=HeadStartc2016 P=HeadStarts2017 Q=HeadStartc2017 R=HeadStarts2018 S=HeadStartc2018 T=HeadStarts2019 U=HeadStartc2019));if ZipCode>0;run;
data Head_5a;set Head_5(rename=(A=ZipCode B=HeadStarts2010 C=HeadStartc2010 D=HeadStarts2011 E=HeadStartc2011 F=HeadStarts2012 G=HeadStartc2012 H=HeadStarts2013 I=HeadStartc2013 J=HeadStarts2014 K=HeadStartc2014 L=HeadStarts2015 M=HeadStartc2015 N=HeadStarts2016 O=HeadStartc2016 P=HeadStarts2017 Q=HeadStartc2017 R=HeadStarts2018 S=HeadStartc2018 T=HeadStarts2019 U=HeadStartc2019));if ZipCode>0;run;
data Head_6a;set Head_6(rename=(A=ZipCode B=HeadStarts2010 C=HeadStartc2010 D=HeadStarts2011 E=HeadStartc2011 F=HeadStarts2012 G=HeadStartc2012 H=HeadStarts2013 I=HeadStartc2013 J=HeadStarts2014 K=HeadStartc2014 L=HeadStarts2015 M=HeadStartc2015 N=HeadStarts2016 O=HeadStartc2016 P=HeadStarts2017 Q=HeadStartc2017 R=HeadStarts2018 S=HeadStartc2018 T=HeadStarts2019 U=HeadStartc2019));if ZipCode>0;run;
data Head_7a;set Head_7(rename=(A=ZipCode B=HeadStarts2010 C=HeadStartc2010 D=HeadStarts2011 E=HeadStartc2011 F=HeadStarts2012 G=HeadStartc2012 H=HeadStarts2013 I=HeadStartc2013 J=HeadStarts2014 K=HeadStartc2014 L=HeadStarts2015 M=HeadStartc2015 N=HeadStarts2016 O=HeadStartc2016 P=HeadStarts2017 Q=HeadStartc2017 R=HeadStarts2018 S=HeadStartc2018 T=HeadStarts2019 U=HeadStartc2019));if ZipCode>0;run;
data Head1;set Head_1a Head_2a Head_3a Head_4a Head_5a Head_6a Head_7a;run;/*N=1384, 21 variables*/
/* Head Start Data - Wide Form to Long Form */;
proc transpose data=Head1 out=Head1s prefix=HeadStarts;by ZipCode;var HeadStarts2010-HeadStarts2019;run;   /*N=13840, 4 variables*/
proc transpose data=Head1 out=Head1c prefix=HeadStartc;by ZipCode;var HeadStartc2010-HeadStartc2019;run;   /*N=13840, 4 variables*/
data Head2s;set Head1s;Year=substr(_NAME_,11,4)+0;HeadStarts=HeadStarts1+0;drop _NAME_ _LABEL_ HeadStarts1;run;/*N=13840, 3 variables*/
data Head2c;set Head1c;Year=substr(_NAME_,11,4)+0;HeadStartc=HeadStartc1+0;drop _NAME_ _LABEL_ HeadStartc1;run;/*N=13840, 3 variables*/
proc sort data=Head2s;by ZipCode Year;run;
proc sort data=Head2c;by ZipCode Year;run;
data Head2;merge Head2s Head2c;by ZipCode Year;
label 
HeadStarts="# sites at which children (age 0-5) are served in Head Start"
HeadStartc="# children (age 0-5) that a Head Start center is funded to enroll at any one time"
;run;
/*N=13840, 4 variables*/
/***/
/***/
/***/
/* Early Head Start Data - Renaming Variables */;
data ElyH_1a;set ElyH_1(rename=(A=ZipCode B=ElyHeadSs2010 C=ElyHeadSc2010 D=ElyHeadSs2011 E=ElyHeadSc2011 F=ElyHeadSs2012 G=ElyHeadSc2012 H=ElyHeadSs2013 I=ElyHeadSc2013 J=ElyHeadSs2014 K=ElyHeadSc2014 L=ElyHeadSs2015 M=ElyHeadSc2015 N=ElyHeadSs2016 O=ElyHeadSc2016 P=ElyHeadSs2017 Q=ElyHeadSc2017 R=ElyHeadSs2018 S=ElyHeadSc2018 T=ElyHeadSs2019 U=ElyHeadSc2019));if ZipCode>0;run;
data ElyH_2a;set ElyH_2(rename=(A=ZipCode B=ElyHeadSs2010 C=ElyHeadSc2010 D=ElyHeadSs2011 E=ElyHeadSc2011 F=ElyHeadSs2012 G=ElyHeadSc2012 H=ElyHeadSs2013 I=ElyHeadSc2013 J=ElyHeadSs2014 K=ElyHeadSc2014 L=ElyHeadSs2015 M=ElyHeadSc2015 N=ElyHeadSs2016 O=ElyHeadSc2016 P=ElyHeadSs2017 Q=ElyHeadSc2017 R=ElyHeadSs2018 S=ElyHeadSc2018 T=ElyHeadSs2019 U=ElyHeadSc2019));if ZipCode>0;run;
data ElyH_3a;set ElyH_3(rename=(A=ZipCode B=ElyHeadSs2010 C=ElyHeadSc2010 D=ElyHeadSs2011 E=ElyHeadSc2011 F=ElyHeadSs2012 G=ElyHeadSc2012 H=ElyHeadSs2013 I=ElyHeadSc2013 J=ElyHeadSs2014 K=ElyHeadSc2014 L=ElyHeadSs2015 M=ElyHeadSc2015 N=ElyHeadSs2016 O=ElyHeadSc2016 P=ElyHeadSs2017 Q=ElyHeadSc2017 R=ElyHeadSs2018 S=ElyHeadSc2018 T=ElyHeadSs2019 U=ElyHeadSc2019));if ZipCode>0;run;
data ElyH_4a;set ElyH_4(rename=(A=ZipCode B=ElyHeadSs2010 C=ElyHeadSc2010 D=ElyHeadSs2011 E=ElyHeadSc2011 F=ElyHeadSs2012 G=ElyHeadSc2012 H=ElyHeadSs2013 I=ElyHeadSc2013 J=ElyHeadSs2014 K=ElyHeadSc2014 L=ElyHeadSs2015 M=ElyHeadSc2015 N=ElyHeadSs2016 O=ElyHeadSc2016 P=ElyHeadSs2017 Q=ElyHeadSc2017 R=ElyHeadSs2018 S=ElyHeadSc2018 T=ElyHeadSs2019 U=ElyHeadSc2019));if ZipCode>0;run;
data ElyH_5a;set ElyH_5(rename=(A=ZipCode B=ElyHeadSs2010 C=ElyHeadSc2010 D=ElyHeadSs2011 E=ElyHeadSc2011 F=ElyHeadSs2012 G=ElyHeadSc2012 H=ElyHeadSs2013 I=ElyHeadSc2013 J=ElyHeadSs2014 K=ElyHeadSc2014 L=ElyHeadSs2015 M=ElyHeadSc2015 N=ElyHeadSs2016 O=ElyHeadSc2016 P=ElyHeadSs2017 Q=ElyHeadSc2017 R=ElyHeadSs2018 S=ElyHeadSc2018 T=ElyHeadSs2019 U=ElyHeadSc2019));if ZipCode>0;run;
data ElyH_6a;set ElyH_6(rename=(A=ZipCode B=ElyHeadSs2010 C=ElyHeadSc2010 D=ElyHeadSs2011 E=ElyHeadSc2011 F=ElyHeadSs2012 G=ElyHeadSc2012 H=ElyHeadSs2013 I=ElyHeadSc2013 J=ElyHeadSs2014 K=ElyHeadSc2014 L=ElyHeadSs2015 M=ElyHeadSc2015 N=ElyHeadSs2016 O=ElyHeadSc2016 P=ElyHeadSs2017 Q=ElyHeadSc2017 R=ElyHeadSs2018 S=ElyHeadSc2018 T=ElyHeadSs2019 U=ElyHeadSc2019));if ZipCode>0;run;
data ElyH_7a;set ElyH_7(rename=(A=ZipCode B=ElyHeadSs2010 C=ElyHeadSc2010 D=ElyHeadSs2011 E=ElyHeadSc2011 F=ElyHeadSs2012 G=ElyHeadSc2012 H=ElyHeadSs2013 I=ElyHeadSc2013 J=ElyHeadSs2014 K=ElyHeadSc2014 L=ElyHeadSs2015 M=ElyHeadSc2015 N=ElyHeadSs2016 O=ElyHeadSc2016 P=ElyHeadSs2017 Q=ElyHeadSc2017 R=ElyHeadSs2018 S=ElyHeadSc2018 T=ElyHeadSs2019 U=ElyHeadSc2019));if ZipCode>0;run;
data ElyH1;set ElyH_1a ElyH_2a ElyH_3a ElyH_4a ElyH_5a ElyH_6a ElyH_7a;run;/*N=1384, 21 variables*/
/* Early Head Start Data - Wide Form to Long Form */;
proc transpose data=ElyH1 out=ElyH1s prefix=ElyHeadSs;by ZipCode;var ElyHeadSs2010-ElyHeadSs2019;run;    /*N=13840, 4 variables*/
proc transpose data=ElyH1 out=ElyH1c prefix=ElyHeadSc;by ZipCode;var ElyHeadSc2010-ElyHeadSc2019;run;    /*N=13840, 4 variables*/
data ElyH2s;set ElyH1s;Year=substr(_NAME_,10,4)+0;ElyHeadSs=ElyHeadSs1+0;drop _NAME_ _LABEL_ ElyHeadSs1;run;/*N=13840, 3 variables*/
data ElyH2c;set ElyH1c;Year=substr(_NAME_,10,4)+0;ElyHeadSc=ElyHeadSc1+0;drop _NAME_ _LABEL_ ElyHeadSc1;run;/*N=13840, 3 variables*/
proc sort data=ElyH2s;by ZipCode Year;run;
proc sort data=ElyH2c;by ZipCode Year;run;
data ElyH2;merge ElyH2s ElyH2c;by ZipCode Year;
label 
ElyHeadSs="# sites at which children (age 0-3) are served in Early Head Start"
ElyHeadSc="# children (age 0-3) that an Early Head Start center is funded to enroll at any one time"
;run;
/*N=13840, 4 variables*/
/***/
/***/
/***/
/* Licensed Child Care Centers Data - Renaming Variables */;
data LCCa_1a;set LCCa_1(rename=(A=ZipCode B=LCCCs2010 C=LCCCc12010 D=LCCCc22010 E=LCCCc32010 F=LCCCc2010 G=LCCCs2011 H=LCCCc12011 I=LCCCc22011 J=LCCCc32011 K=LCCCc2011 L=LCCCs2012 M=LCCCc12012 N=LCCCc22012 O=LCCCc32012 P=LCCCc2012 Q=LCCCs2013 R=LCCCc12013 S=LCCCc22013 T=LCCCc32013 U=LCCCc2013 V=LCCCs2014 W=LCCCc12014 X=LCCCc22014 Y=LCCCc32014 Z=LCCCc2014 AA=LCCCs2015 AB=LCCCc12015 AC=LCCCc22015 AD=LCCCc32015 AE=LCCCc2015 AF=LCCCs2016 AG=LCCCc12016 AH=LCCCc22016 AI=LCCCc32016 AJ=LCCCc2016 AK=LCCCs2017 AL=LCCCc12017 AM=LCCCc22017 AN=LCCCc32017 AO=LCCCc2017 AP=LCCCs2018 AQ=LCCCc12018 AR=LCCCc22018 AS=LCCCc32018 AT=LCCCc2018 AU=LCCCs2019 AV=LCCCc12019 AW=LCCCc22019 AX=LCCCc32019 AY=LCCCc2019));if ZipCode>0;run;
data LCCa_2a;set LCCa_2(rename=(A=ZipCode B=LCCCs2010 C=LCCCc12010 D=LCCCc22010 E=LCCCc32010 F=LCCCc2010 G=LCCCs2011 H=LCCCc12011 I=LCCCc22011 J=LCCCc32011 K=LCCCc2011 L=LCCCs2012 M=LCCCc12012 N=LCCCc22012 O=LCCCc32012 P=LCCCc2012 Q=LCCCs2013 R=LCCCc12013 S=LCCCc22013 T=LCCCc32013 U=LCCCc2013 V=LCCCs2014 W=LCCCc12014 X=LCCCc22014 Y=LCCCc32014 Z=LCCCc2014 AA=LCCCs2015 AB=LCCCc12015 AC=LCCCc22015 AD=LCCCc32015 AE=LCCCc2015 AF=LCCCs2016 AG=LCCCc12016 AH=LCCCc22016 AI=LCCCc32016 AJ=LCCCc2016 AK=LCCCs2017 AL=LCCCc12017 AM=LCCCc22017 AN=LCCCc32017 AO=LCCCc2017 AP=LCCCs2018 AQ=LCCCc12018 AR=LCCCc22018 AS=LCCCc32018 AT=LCCCc2018 AU=LCCCs2019 AV=LCCCc12019 AW=LCCCc22019 AX=LCCCc32019 AY=LCCCc2019));if ZipCode>0;run;
data LCCa_3a;set LCCa_3(rename=(A=ZipCode B=LCCCs2010 C=LCCCc12010 D=LCCCc22010 E=LCCCc32010 F=LCCCc2010 G=LCCCs2011 H=LCCCc12011 I=LCCCc22011 J=LCCCc32011 K=LCCCc2011 L=LCCCs2012 M=LCCCc12012 N=LCCCc22012 O=LCCCc32012 P=LCCCc2012 Q=LCCCs2013 R=LCCCc12013 S=LCCCc22013 T=LCCCc32013 U=LCCCc2013 V=LCCCs2014 W=LCCCc12014 X=LCCCc22014 Y=LCCCc32014 Z=LCCCc2014 AA=LCCCs2015 AB=LCCCc12015 AC=LCCCc22015 AD=LCCCc32015 AE=LCCCc2015 AF=LCCCs2016 AG=LCCCc12016 AH=LCCCc22016 AI=LCCCc32016 AJ=LCCCc2016 AK=LCCCs2017 AL=LCCCc12017 AM=LCCCc22017 AN=LCCCc32017 AO=LCCCc2017 AP=LCCCs2018 AQ=LCCCc12018 AR=LCCCc22018 AS=LCCCc32018 AT=LCCCc2018 AU=LCCCs2019 AV=LCCCc12019 AW=LCCCc22019 AX=LCCCc32019 AY=LCCCc2019));if ZipCode>0;run;
data LCCa_4a;set LCCa_4(rename=(A=ZipCode B=LCCCs2010 C=LCCCc12010 D=LCCCc22010 E=LCCCc32010 F=LCCCc2010 G=LCCCs2011 H=LCCCc12011 I=LCCCc22011 J=LCCCc32011 K=LCCCc2011 L=LCCCs2012 M=LCCCc12012 N=LCCCc22012 O=LCCCc32012 P=LCCCc2012 Q=LCCCs2013 R=LCCCc12013 S=LCCCc22013 T=LCCCc32013 U=LCCCc2013 V=LCCCs2014 W=LCCCc12014 X=LCCCc22014 Y=LCCCc32014 Z=LCCCc2014 AA=LCCCs2015 AB=LCCCc12015 AC=LCCCc22015 AD=LCCCc32015 AE=LCCCc2015 AF=LCCCs2016 AG=LCCCc12016 AH=LCCCc22016 AI=LCCCc32016 AJ=LCCCc2016 AK=LCCCs2017 AL=LCCCc12017 AM=LCCCc22017 AN=LCCCc32017 AO=LCCCc2017 AP=LCCCs2018 AQ=LCCCc12018 AR=LCCCc22018 AS=LCCCc32018 AT=LCCCc2018 AU=LCCCs2019 AV=LCCCc12019 AW=LCCCc22019 AX=LCCCc32019 AY=LCCCc2019));if ZipCode>0;run;
data LCCa_5a;set LCCa_5(rename=(A=ZipCode B=LCCCs2010 C=LCCCc12010 D=LCCCc22010 E=LCCCc32010 F=LCCCc2010 G=LCCCs2011 H=LCCCc12011 I=LCCCc22011 J=LCCCc32011 K=LCCCc2011 L=LCCCs2012 M=LCCCc12012 N=LCCCc22012 O=LCCCc32012 P=LCCCc2012 Q=LCCCs2013 R=LCCCc12013 S=LCCCc22013 T=LCCCc32013 U=LCCCc2013 V=LCCCs2014 W=LCCCc12014 X=LCCCc22014 Y=LCCCc32014 Z=LCCCc2014 AA=LCCCs2015 AB=LCCCc12015 AC=LCCCc22015 AD=LCCCc32015 AE=LCCCc2015 AF=LCCCs2016 AG=LCCCc12016 AH=LCCCc22016 AI=LCCCc32016 AJ=LCCCc2016 AK=LCCCs2017 AL=LCCCc12017 AM=LCCCc22017 AN=LCCCc32017 AO=LCCCc2017 AP=LCCCs2018 AQ=LCCCc12018 AR=LCCCc22018 AS=LCCCc32018 AT=LCCCc2018 AU=LCCCs2019 AV=LCCCc12019 AW=LCCCc22019 AX=LCCCc32019 AY=LCCCc2019));if ZipCode>0;run;
data LCCa_6a;set LCCa_6(rename=(A=ZipCode B=LCCCs2010 C=LCCCc12010 D=LCCCc22010 E=LCCCc32010 F=LCCCc2010 G=LCCCs2011 H=LCCCc12011 I=LCCCc22011 J=LCCCc32011 K=LCCCc2011 L=LCCCs2012 M=LCCCc12012 N=LCCCc22012 O=LCCCc32012 P=LCCCc2012 Q=LCCCs2013 R=LCCCc12013 S=LCCCc22013 T=LCCCc32013 U=LCCCc2013 V=LCCCs2014 W=LCCCc12014 X=LCCCc22014 Y=LCCCc32014 Z=LCCCc2014 AA=LCCCs2015 AB=LCCCc12015 AC=LCCCc22015 AD=LCCCc32015 AE=LCCCc2015 AF=LCCCs2016 AG=LCCCc12016 AH=LCCCc22016 AI=LCCCc32016 AJ=LCCCc2016 AK=LCCCs2017 AL=LCCCc12017 AM=LCCCc22017 AN=LCCCc32017 AO=LCCCc2017 AP=LCCCs2018 AQ=LCCCc12018 AR=LCCCc22018 AS=LCCCc32018 AT=LCCCc2018 AU=LCCCs2019 AV=LCCCc12019 AW=LCCCc22019 AX=LCCCc32019 AY=LCCCc2019));if ZipCode>0;run;
data LCCa_7a;set LCCa_7(rename=(A=ZipCode B=LCCCs2010 C=LCCCc12010 D=LCCCc22010 E=LCCCc32010 F=LCCCc2010 G=LCCCs2011 H=LCCCc12011 I=LCCCc22011 J=LCCCc32011 K=LCCCc2011 L=LCCCs2012 M=LCCCc12012 N=LCCCc22012 O=LCCCc32012 P=LCCCc2012 Q=LCCCs2013 R=LCCCc12013 S=LCCCc22013 T=LCCCc32013 U=LCCCc2013 V=LCCCs2014 W=LCCCc12014 X=LCCCc22014 Y=LCCCc32014 Z=LCCCc2014 AA=LCCCs2015 AB=LCCCc12015 AC=LCCCc22015 AD=LCCCc32015 AE=LCCCc2015 AF=LCCCs2016 AG=LCCCc12016 AH=LCCCc22016 AI=LCCCc32016 AJ=LCCCc2016 AK=LCCCs2017 AL=LCCCc12017 AM=LCCCc22017 AN=LCCCc32017 AO=LCCCc2017 AP=LCCCs2018 AQ=LCCCc12018 AR=LCCCc22018 AS=LCCCc32018 AT=LCCCc2018 AU=LCCCs2019 AV=LCCCc12019 AW=LCCCc22019 AX=LCCCc32019 AY=LCCCc2019));if ZipCode>0;run;
data LCCa1;set LCCa_1a LCCa_2a LCCa_3a LCCa_4a LCCa_5a LCCa_6a LCCa_7a;run;/*N=1384, 51 variables*/
/* Licensed Child Care Centers Data - Wide Form to Long Form */;
proc transpose data=LCCa1 out=LCCa1s  prefix=LCCCs ;by ZipCode;var LCCCs2010 -LCCCs2019 ;run;       /*N=13840, 4 variables*/
proc transpose data=LCCa1 out=LCCa1c1 prefix=LCCCc1;by ZipCode;var LCCCc12010-LCCCc12019;run;       /*N=13840, 4 variables*/
proc transpose data=LCCa1 out=LCCa1c2 prefix=LCCCc2;by ZipCode;var LCCCc22010-LCCCc22019;run;       /*N=13840, 4 variables*/
proc transpose data=LCCa1 out=LCCa1c3 prefix=LCCCc3;by ZipCode;var LCCCc32010-LCCCc32019;run;       /*N=13840, 4 variables*/
proc transpose data=LCCa1 out=LCCa1c4 prefix=LCCCc ;by ZipCode;var LCCCc2010 -LCCCc2019 ;run;       /*N=13840, 4 variables*/
data LCCa2s ;set LCCa1s ;Year=substr(_NAME_,6,4)+0;LCCCs =LCCCs1 +0;drop _NAME_ _LABEL_ LCCCs1 ;run;/*N=13840, 3 variables*/
data LCCa2c1;set LCCa1c1;Year=substr(_NAME_,7,4)+0;LCCCc1=LCCCc11+0;drop _NAME_ _LABEL_ LCCCc11;run;/*N=13840, 3 variables*/
data LCCa2c2;set LCCa1c2;Year=substr(_NAME_,7,4)+0;LCCCc2=LCCCc21+0;drop _NAME_ _LABEL_ LCCCc21;run;/*N=13840, 3 variables*/
data LCCa2c3;set LCCa1c3;Year=substr(_NAME_,7,4)+0;LCCCc3=LCCCc31+0;drop _NAME_ _LABEL_ LCCCc31;run;/*N=13840, 3 variables*/
data LCCa2c4;set LCCa1c4;Year=substr(_NAME_,6,4)+0;LCCCc =LCCCc1 +0;drop _NAME_ _LABEL_ LCCCc1 ;run;/*N=13840, 3 variables*/
proc sort data=LCCa2s ;by ZipCode Year;run;
proc sort data=LCCa2c1;by ZipCode Year;run;
proc sort data=LCCa2c2;by ZipCode Year;run;
proc sort data=LCCa2c3;by ZipCode Year;run;
proc sort data=LCCa2c4;by ZipCode Year;run;
data LCCa2;merge LCCa2s LCCa2c1 LCCa2c2 LCCa2c3 LCCa2c4;by ZipCode Year;
label 
LCCCs ="# licensed child care centers"
LCCCc1="Licensed child care center: Licensed capacity for children age 6 weeks to 1 year"
LCCCc2="Licensed child care center: Licensed capacity for children age 2 years"
LCCCc3="Licensed child care center: Licensed capacity for children age 3 to 5 years"
LCCCc ="Licensed child care center: Licensed capacity for all children age 0 to 5 years"
;run;
/*N=13840, 7 variables*/
/***/
/***/
/***/
/* License-Exempt Child Care Centers Data - Renaming Variables */;
data ExLC_1a;set ExLC_1(rename=(A=ZipCode B=LECCCs2010 C=LECCCc12010 D=LECCCc22010 E=LECCCc32010 F=LECCCc2010 G=LECCCs2011 H=LECCCc12011 I=LECCCc22011 J=LECCCc32011 K=LECCCc2011 L=LECCCs2012 M=LECCCc12012 N=LECCCc22012 O=LECCCc32012 P=LECCCc2012 Q=LECCCs2013 R=LECCCc12013 S=LECCCc22013 T=LECCCc32013 U=LECCCc2013 V=LECCCs2014 W=LECCCc12014 X=LECCCc22014 Y=LECCCc32014 Z=LECCCc2014 AA=LECCCs2015 AB=LECCCc12015 AC=LECCCc22015 AD=LECCCc32015 AE=LECCCc2015 AF=LECCCs2016 AG=LECCCc12016 AH=LECCCc22016 AI=LECCCc32016 AJ=LECCCc2016 AK=LECCCs2017 AL=LECCCc12017 AM=LECCCc22017 AN=LECCCc32017 AO=LECCCc2017 AP=LECCCs2018 AQ=LECCCc12018 AR=LECCCc22018 AS=LECCCc32018 AT=LECCCc2018 AU=LECCCs2019 AV=LECCCc12019 AW=LECCCc22019 AX=LECCCc32019 AY=LECCCc2019));if ZipCode>0;run;
data ExLC_2a;set ExLC_2(rename=(A=ZipCode B=LECCCs2010 C=LECCCc12010 D=LECCCc22010 E=LECCCc32010 F=LECCCc2010 G=LECCCs2011 H=LECCCc12011 I=LECCCc22011 J=LECCCc32011 K=LECCCc2011 L=LECCCs2012 M=LECCCc12012 N=LECCCc22012 O=LECCCc32012 P=LECCCc2012 Q=LECCCs2013 R=LECCCc12013 S=LECCCc22013 T=LECCCc32013 U=LECCCc2013 V=LECCCs2014 W=LECCCc12014 X=LECCCc22014 Y=LECCCc32014 Z=LECCCc2014 AA=LECCCs2015 AB=LECCCc12015 AC=LECCCc22015 AD=LECCCc32015 AE=LECCCc2015 AF=LECCCs2016 AG=LECCCc12016 AH=LECCCc22016 AI=LECCCc32016 AJ=LECCCc2016 AK=LECCCs2017 AL=LECCCc12017 AM=LECCCc22017 AN=LECCCc32017 AO=LECCCc2017 AP=LECCCs2018 AQ=LECCCc12018 AR=LECCCc22018 AS=LECCCc32018 AT=LECCCc2018 AU=LECCCs2019 AV=LECCCc12019 AW=LECCCc22019 AX=LECCCc32019 AY=LECCCc2019));if ZipCode>0;run;
data ExLC_3a;set ExLC_3(rename=(A=ZipCode B=LECCCs2010 C=LECCCc12010 D=LECCCc22010 E=LECCCc32010 F=LECCCc2010 G=LECCCs2011 H=LECCCc12011 I=LECCCc22011 J=LECCCc32011 K=LECCCc2011 L=LECCCs2012 M=LECCCc12012 N=LECCCc22012 O=LECCCc32012 P=LECCCc2012 Q=LECCCs2013 R=LECCCc12013 S=LECCCc22013 T=LECCCc32013 U=LECCCc2013 V=LECCCs2014 W=LECCCc12014 X=LECCCc22014 Y=LECCCc32014 Z=LECCCc2014 AA=LECCCs2015 AB=LECCCc12015 AC=LECCCc22015 AD=LECCCc32015 AE=LECCCc2015 AF=LECCCs2016 AG=LECCCc12016 AH=LECCCc22016 AI=LECCCc32016 AJ=LECCCc2016 AK=LECCCs2017 AL=LECCCc12017 AM=LECCCc22017 AN=LECCCc32017 AO=LECCCc2017 AP=LECCCs2018 AQ=LECCCc12018 AR=LECCCc22018 AS=LECCCc32018 AT=LECCCc2018 AU=LECCCs2019 AV=LECCCc12019 AW=LECCCc22019 AX=LECCCc32019 AY=LECCCc2019));if ZipCode>0;run;
data ExLC_4a;set ExLC_4(rename=(A=ZipCode B=LECCCs2010 C=LECCCc12010 D=LECCCc22010 E=LECCCc32010 F=LECCCc2010 G=LECCCs2011 H=LECCCc12011 I=LECCCc22011 J=LECCCc32011 K=LECCCc2011 L=LECCCs2012 M=LECCCc12012 N=LECCCc22012 O=LECCCc32012 P=LECCCc2012 Q=LECCCs2013 R=LECCCc12013 S=LECCCc22013 T=LECCCc32013 U=LECCCc2013 V=LECCCs2014 W=LECCCc12014 X=LECCCc22014 Y=LECCCc32014 Z=LECCCc2014 AA=LECCCs2015 AB=LECCCc12015 AC=LECCCc22015 AD=LECCCc32015 AE=LECCCc2015 AF=LECCCs2016 AG=LECCCc12016 AH=LECCCc22016 AI=LECCCc32016 AJ=LECCCc2016 AK=LECCCs2017 AL=LECCCc12017 AM=LECCCc22017 AN=LECCCc32017 AO=LECCCc2017 AP=LECCCs2018 AQ=LECCCc12018 AR=LECCCc22018 AS=LECCCc32018 AT=LECCCc2018 AU=LECCCs2019 AV=LECCCc12019 AW=LECCCc22019 AX=LECCCc32019 AY=LECCCc2019));if ZipCode>0;run;
data ExLC_5a;set ExLC_5(rename=(A=ZipCode B=LECCCs2010 C=LECCCc12010 D=LECCCc22010 E=LECCCc32010 F=LECCCc2010 G=LECCCs2011 H=LECCCc12011 I=LECCCc22011 J=LECCCc32011 K=LECCCc2011 L=LECCCs2012 M=LECCCc12012 N=LECCCc22012 O=LECCCc32012 P=LECCCc2012 Q=LECCCs2013 R=LECCCc12013 S=LECCCc22013 T=LECCCc32013 U=LECCCc2013 V=LECCCs2014 W=LECCCc12014 X=LECCCc22014 Y=LECCCc32014 Z=LECCCc2014 AA=LECCCs2015 AB=LECCCc12015 AC=LECCCc22015 AD=LECCCc32015 AE=LECCCc2015 AF=LECCCs2016 AG=LECCCc12016 AH=LECCCc22016 AI=LECCCc32016 AJ=LECCCc2016 AK=LECCCs2017 AL=LECCCc12017 AM=LECCCc22017 AN=LECCCc32017 AO=LECCCc2017 AP=LECCCs2018 AQ=LECCCc12018 AR=LECCCc22018 AS=LECCCc32018 AT=LECCCc2018 AU=LECCCs2019 AV=LECCCc12019 AW=LECCCc22019 AX=LECCCc32019 AY=LECCCc2019));if ZipCode>0;run;
data ExLC_6a;set ExLC_6(rename=(A=ZipCode B=LECCCs2010 C=LECCCc12010 D=LECCCc22010 E=LECCCc32010 F=LECCCc2010 G=LECCCs2011 H=LECCCc12011 I=LECCCc22011 J=LECCCc32011 K=LECCCc2011 L=LECCCs2012 M=LECCCc12012 N=LECCCc22012 O=LECCCc32012 P=LECCCc2012 Q=LECCCs2013 R=LECCCc12013 S=LECCCc22013 T=LECCCc32013 U=LECCCc2013 V=LECCCs2014 W=LECCCc12014 X=LECCCc22014 Y=LECCCc32014 Z=LECCCc2014 AA=LECCCs2015 AB=LECCCc12015 AC=LECCCc22015 AD=LECCCc32015 AE=LECCCc2015 AF=LECCCs2016 AG=LECCCc12016 AH=LECCCc22016 AI=LECCCc32016 AJ=LECCCc2016 AK=LECCCs2017 AL=LECCCc12017 AM=LECCCc22017 AN=LECCCc32017 AO=LECCCc2017 AP=LECCCs2018 AQ=LECCCc12018 AR=LECCCc22018 AS=LECCCc32018 AT=LECCCc2018 AU=LECCCs2019 AV=LECCCc12019 AW=LECCCc22019 AX=LECCCc32019 AY=LECCCc2019));if ZipCode>0;run;
data ExLC_7a;set ExLC_7(rename=(A=ZipCode B=LECCCs2010 C=LECCCc12010 D=LECCCc22010 E=LECCCc32010 F=LECCCc2010 G=LECCCs2011 H=LECCCc12011 I=LECCCc22011 J=LECCCc32011 K=LECCCc2011 L=LECCCs2012 M=LECCCc12012 N=LECCCc22012 O=LECCCc32012 P=LECCCc2012 Q=LECCCs2013 R=LECCCc12013 S=LECCCc22013 T=LECCCc32013 U=LECCCc2013 V=LECCCs2014 W=LECCCc12014 X=LECCCc22014 Y=LECCCc32014 Z=LECCCc2014 AA=LECCCs2015 AB=LECCCc12015 AC=LECCCc22015 AD=LECCCc32015 AE=LECCCc2015 AF=LECCCs2016 AG=LECCCc12016 AH=LECCCc22016 AI=LECCCc32016 AJ=LECCCc2016 AK=LECCCs2017 AL=LECCCc12017 AM=LECCCc22017 AN=LECCCc32017 AO=LECCCc2017 AP=LECCCs2018 AQ=LECCCc12018 AR=LECCCc22018 AS=LECCCc32018 AT=LECCCc2018 AU=LECCCs2019 AV=LECCCc12019 AW=LECCCc22019 AX=LECCCc32019 AY=LECCCc2019));if ZipCode>0;run;
data ExLC1;set ExLC_1a ExLC_2a ExLC_3a ExLC_4a ExLC_5a ExLC_6a ExLC_7a;run;/*N=1384, 51 variables*/
/* License-Exempt Child Care Centers Data - Wide Form to Long Form */;
proc transpose data=ExLC1 out=ExLC1s  prefix=LECCCs ;by ZipCode;var LECCCs2010 -LECCCs2019 ;run;      /*N=13840, 4 variables*/
proc transpose data=ExLC1 out=ExLC1c1 prefix=LECCCc1;by ZipCode;var LECCCc12010-LECCCc12019;run;      /*N=13840, 4 variables*/
proc transpose data=ExLC1 out=ExLC1c2 prefix=LECCCc2;by ZipCode;var LECCCc22010-LECCCc22019;run;      /*N=13840, 4 variables*/
proc transpose data=ExLC1 out=ExLC1c3 prefix=LECCCc3;by ZipCode;var LECCCc32010-LECCCc32019;run;      /*N=13840, 4 variables*/
proc transpose data=ExLC1 out=ExLC1c4 prefix=LECCCc ;by ZipCode;var LECCCc2010 -LECCCc2019 ;run;      /*N=13840, 4 variables*/
data ExLC2s ;set ExLC1s ;Year=substr(_NAME_,7,4)+0;LECCCs =LECCCs1 +0;drop _NAME_ _LABEL_ LECCCs1 ;run;/*N=13840, 3 variables*/
data ExLC2c1;set ExLC1c1;Year=substr(_NAME_,8,4)+0;LECCCc1=LECCCc11+0;drop _NAME_ _LABEL_ LECCCc11;run;/*N=13840, 3 variables*/
data ExLC2c2;set ExLC1c2;Year=substr(_NAME_,8,4)+0;LECCCc2=LECCCc21+0;drop _NAME_ _LABEL_ LECCCc21;run;/*N=13840, 3 variables*/
data ExLC2c3;set ExLC1c3;Year=substr(_NAME_,8,4)+0;LECCCc3=LECCCc31+0;drop _NAME_ _LABEL_ LECCCc31;run;/*N=13840, 3 variables*/
data ExLC2c4;set ExLC1c4;Year=substr(_NAME_,7,4)+0;LECCCc =LECCCc1 +0;drop _NAME_ _LABEL_ LECCCc1 ;run;/*N=13840, 3 variables*/
proc sort data=ExLC2s ;by ZipCode Year;run;
proc sort data=ExLC2c1;by ZipCode Year;run;
proc sort data=ExLC2c2;by ZipCode Year;run;
proc sort data=ExLC2c3;by ZipCode Year;run;
proc sort data=ExLC2c4;by ZipCode Year;run;
data ExLC2;merge ExLC2s ExLC2c1 ExLC2c2 ExLC2c3 ExLC2c4;by ZipCode Year;
label 
LECCCs ="# license-exempt child care centers"
LECCCc1="License-exempt child care center: reported capacity for children age 6 weeks to 1 year"
LECCCc2="License-exempt child care center: reported capacity for children age 2 years"
LECCCc3="License-exempt child care center: reported capacity for children age 3 to 5 years"
LECCCc ="License-exempt child care center: reported capacity for all children age 0 to 5 years"
;run;
/*N=13840, 7 variables*/
/***/
/***/
/***/
/* Licensed Child Care Centers with Bronze Rating Data - Renaming Variables */;
data LCCB_1a;set LCCB_1(rename=(A=ZipCode B=LCCCBs2016 C=LCCCBc12016 D=LCCCBc22016 E=LCCCBc32016 F=LCCCBc2016 G=LCCCBs2017 H=LCCCBc12017 I=LCCCBc22017 J=LCCCBc32017 K=LCCCBc2017 L=LCCCBs2018 M=LCCCBc12018 N=LCCCBc22018 O=LCCCBc32018 P=LCCCBc2018 Q=LCCCBs2019 R=LCCCBc12019 S=LCCCBc22019 T=LCCCBc32019 U=LCCCBc2019));if ZipCode>0;run;
data LCCB_2a;set LCCB_2(rename=(A=ZipCode B=LCCCBs2016 C=LCCCBc12016 D=LCCCBc22016 E=LCCCBc32016 F=LCCCBc2016 G=LCCCBs2017 H=LCCCBc12017 I=LCCCBc22017 J=LCCCBc32017 K=LCCCBc2017 L=LCCCBs2018 M=LCCCBc12018 N=LCCCBc22018 O=LCCCBc32018 P=LCCCBc2018 Q=LCCCBs2019 R=LCCCBc12019 S=LCCCBc22019 T=LCCCBc32019 U=LCCCBc2019));if ZipCode>0;run;
data LCCB_3a;set LCCB_3(rename=(A=ZipCode B=LCCCBs2016 C=LCCCBc12016 D=LCCCBc22016 E=LCCCBc32016 F=LCCCBc2016 G=LCCCBs2017 H=LCCCBc12017 I=LCCCBc22017 J=LCCCBc32017 K=LCCCBc2017 L=LCCCBs2018 M=LCCCBc12018 N=LCCCBc22018 O=LCCCBc32018 P=LCCCBc2018 Q=LCCCBs2019 R=LCCCBc12019 S=LCCCBc22019 T=LCCCBc32019 U=LCCCBc2019));if ZipCode>0;run;
data LCCB_4a;set LCCB_4(rename=(A=ZipCode B=LCCCBs2016 C=LCCCBc12016 D=LCCCBc22016 E=LCCCBc32016 F=LCCCBc2016 G=LCCCBs2017 H=LCCCBc12017 I=LCCCBc22017 J=LCCCBc32017 K=LCCCBc2017 L=LCCCBs2018 M=LCCCBc12018 N=LCCCBc22018 O=LCCCBc32018 P=LCCCBc2018 Q=LCCCBs2019 R=LCCCBc12019 S=LCCCBc22019 T=LCCCBc32019 U=LCCCBc2019));if ZipCode>0;run;
data LCCB_5a;set LCCB_5(rename=(A=ZipCode B=LCCCBs2016 C=LCCCBc12016 D=LCCCBc22016 E=LCCCBc32016 F=LCCCBc2016 G=LCCCBs2017 H=LCCCBc12017 I=LCCCBc22017 J=LCCCBc32017 K=LCCCBc2017 L=LCCCBs2018 M=LCCCBc12018 N=LCCCBc22018 O=LCCCBc32018 P=LCCCBc2018 Q=LCCCBs2019 R=LCCCBc12019 S=LCCCBc22019 T=LCCCBc32019 U=LCCCBc2019));if ZipCode>0;run;
data LCCB_6a;set LCCB_6(rename=(A=ZipCode B=LCCCBs2016 C=LCCCBc12016 D=LCCCBc22016 E=LCCCBc32016 F=LCCCBc2016 G=LCCCBs2017 H=LCCCBc12017 I=LCCCBc22017 J=LCCCBc32017 K=LCCCBc2017 L=LCCCBs2018 M=LCCCBc12018 N=LCCCBc22018 O=LCCCBc32018 P=LCCCBc2018 Q=LCCCBs2019 R=LCCCBc12019 S=LCCCBc22019 T=LCCCBc32019 U=LCCCBc2019));if ZipCode>0;run;
data LCCB_7a;set LCCB_7(rename=(A=ZipCode B=LCCCBs2016 C=LCCCBc12016 D=LCCCBc22016 E=LCCCBc32016 F=LCCCBc2016 G=LCCCBs2017 H=LCCCBc12017 I=LCCCBc22017 J=LCCCBc32017 K=LCCCBc2017 L=LCCCBs2018 M=LCCCBc12018 N=LCCCBc22018 O=LCCCBc32018 P=LCCCBc2018 Q=LCCCBs2019 R=LCCCBc12019 S=LCCCBc22019 T=LCCCBc32019 U=LCCCBc2019));if ZipCode>0;run;
data LCCB1;set LCCB_1a LCCB_2a LCCB_3a LCCB_4a LCCB_5a LCCB_6a LCCB_7a;run;/*N=1384, 21 variables*/
/* Licensed Child Care Centers with Bronze Rating Data - Wide Form to Long Form */;
proc transpose data=LCCB1 out=LCCB1s  prefix=LCCCBs ;by ZipCode;var LCCCBs2016 -LCCCBs2019 ;run;      /*N=5536, 4 variables*/
proc transpose data=LCCB1 out=LCCB1c1 prefix=LCCCBc1;by ZipCode;var LCCCBc12016-LCCCBc12019;run;      /*N=5536, 4 variables*/
proc transpose data=LCCB1 out=LCCB1c2 prefix=LCCCBc2;by ZipCode;var LCCCBc22016-LCCCBc22019;run;      /*N=5536, 4 variables*/
proc transpose data=LCCB1 out=LCCB1c3 prefix=LCCCBc3;by ZipCode;var LCCCBc32016-LCCCBc32019;run;      /*N=5536, 4 variables*/
proc transpose data=LCCB1 out=LCCB1c4 prefix=LCCCBc ;by ZipCode;var LCCCBc2016 -LCCCBc2019 ;run;      /*N=5536, 4 variables*/
data LCCB2s ;set LCCB1s ;Year=substr(_NAME_,7,4)+0;LCCCBs =LCCCBs1 +0;drop _NAME_ _LABEL_ LCCCBs1 ;run;/*N=5536, 3 variables*/
data LCCB2c1;set LCCB1c1;Year=substr(_NAME_,8,4)+0;LCCCBc1=LCCCBc11+0;drop _NAME_ _LABEL_ LCCCBc11;run;/*N=5536, 3 variables*/
data LCCB2c2;set LCCB1c2;Year=substr(_NAME_,8,4)+0;LCCCBc2=LCCCBc21+0;drop _NAME_ _LABEL_ LCCCBc21;run;/*N=5536, 3 variables*/
data LCCB2c3;set LCCB1c3;Year=substr(_NAME_,8,4)+0;LCCCBc3=LCCCBc31+0;drop _NAME_ _LABEL_ LCCCBc31;run;/*N=5536, 3 variables*/
data LCCB2c4;set LCCB1c4;Year=substr(_NAME_,7,4)+0;LCCCBc =LCCCBc1 +0;drop _NAME_ _LABEL_ LCCCBc1 ;run;/*N=5536, 3 variables*/
proc sort data=LCCB2s ;by ZipCode Year;run;
proc sort data=LCCB2c1;by ZipCode Year;run;
proc sort data=LCCB2c2;by ZipCode Year;run;
proc sort data=LCCB2c3;by ZipCode Year;run;
proc sort data=LCCB2c4;by ZipCode Year;run;
data LCCB2;merge LCCB2s LCCB2c1 LCCB2c2 LCCB2c3 LCCB2c4;by ZipCode Year;
label 
LCCCBs ="# licensed child care centers w/Bronze rating"
LCCCBc1="Licensed child care center w/Bronze rating: Licensed capacity for children age 6 weeks to 1 year"
LCCCBc2="Licensed child care center w/Bronze rating: Licensed capacity for children age 2 years"
LCCCBc3="Licensed child care center w/Bronze rating: Licensed capacity for children age 3 to 5 years"
LCCCBc ="Licensed child care center w/Bronze rating: Licensed capacity for all children age 0 to 5 years"
;run;
/*N=5536, 7 variables*/
/***/
/***/
/***/
/* Licensed Child Care Centers with Silver Rating Data - Renaming Variables */;
data LCCS_1a;set LCCS_1(rename=(A=ZipCode B=LCCCSs2016 C=LCCCSc12016 D=LCCCSc22016 E=LCCCSc32016 F=LCCCSc2016 G=LCCCSs2017 H=LCCCSc12017 I=LCCCSc22017 J=LCCCSc32017 K=LCCCSc2017 L=LCCCSs2018 M=LCCCSc12018 N=LCCCSc22018 O=LCCCSc32018 P=LCCCSc2018 Q=LCCCSs2019 R=LCCCSc12019 S=LCCCSc22019 T=LCCCSc32019 U=LCCCSc2019));if ZipCode>0;run;
data LCCS_2a;set LCCS_2(rename=(A=ZipCode B=LCCCSs2016 C=LCCCSc12016 D=LCCCSc22016 E=LCCCSc32016 F=LCCCSc2016 G=LCCCSs2017 H=LCCCSc12017 I=LCCCSc22017 J=LCCCSc32017 K=LCCCSc2017 L=LCCCSs2018 M=LCCCSc12018 N=LCCCSc22018 O=LCCCSc32018 P=LCCCSc2018 Q=LCCCSs2019 R=LCCCSc12019 S=LCCCSc22019 T=LCCCSc32019 U=LCCCSc2019));if ZipCode>0;run;
data LCCS_3a;set LCCS_3(rename=(A=ZipCode B=LCCCSs2016 C=LCCCSc12016 D=LCCCSc22016 E=LCCCSc32016 F=LCCCSc2016 G=LCCCSs2017 H=LCCCSc12017 I=LCCCSc22017 J=LCCCSc32017 K=LCCCSc2017 L=LCCCSs2018 M=LCCCSc12018 N=LCCCSc22018 O=LCCCSc32018 P=LCCCSc2018 Q=LCCCSs2019 R=LCCCSc12019 S=LCCCSc22019 T=LCCCSc32019 U=LCCCSc2019));if ZipCode>0;run;
data LCCS_4a;set LCCS_4(rename=(A=ZipCode B=LCCCSs2016 C=LCCCSc12016 D=LCCCSc22016 E=LCCCSc32016 F=LCCCSc2016 G=LCCCSs2017 H=LCCCSc12017 I=LCCCSc22017 J=LCCCSc32017 K=LCCCSc2017 L=LCCCSs2018 M=LCCCSc12018 N=LCCCSc22018 O=LCCCSc32018 P=LCCCSc2018 Q=LCCCSs2019 R=LCCCSc12019 S=LCCCSc22019 T=LCCCSc32019 U=LCCCSc2019));if ZipCode>0;run;
data LCCS_5a;set LCCS_5(rename=(A=ZipCode B=LCCCSs2016 C=LCCCSc12016 D=LCCCSc22016 E=LCCCSc32016 F=LCCCSc2016 G=LCCCSs2017 H=LCCCSc12017 I=LCCCSc22017 J=LCCCSc32017 K=LCCCSc2017 L=LCCCSs2018 M=LCCCSc12018 N=LCCCSc22018 O=LCCCSc32018 P=LCCCSc2018 Q=LCCCSs2019 R=LCCCSc12019 S=LCCCSc22019 T=LCCCSc32019 U=LCCCSc2019));if ZipCode>0;run;
data LCCS_6a;set LCCS_6(rename=(A=ZipCode B=LCCCSs2016 C=LCCCSc12016 D=LCCCSc22016 E=LCCCSc32016 F=LCCCSc2016 G=LCCCSs2017 H=LCCCSc12017 I=LCCCSc22017 J=LCCCSc32017 K=LCCCSc2017 L=LCCCSs2018 M=LCCCSc12018 N=LCCCSc22018 O=LCCCSc32018 P=LCCCSc2018 Q=LCCCSs2019 R=LCCCSc12019 S=LCCCSc22019 T=LCCCSc32019 U=LCCCSc2019));if ZipCode>0;run;
data LCCS_7a;set LCCS_7(rename=(A=ZipCode B=LCCCSs2016 C=LCCCSc12016 D=LCCCSc22016 E=LCCCSc32016 F=LCCCSc2016 G=LCCCSs2017 H=LCCCSc12017 I=LCCCSc22017 J=LCCCSc32017 K=LCCCSc2017 L=LCCCSs2018 M=LCCCSc12018 N=LCCCSc22018 O=LCCCSc32018 P=LCCCSc2018 Q=LCCCSs2019 R=LCCCSc12019 S=LCCCSc22019 T=LCCCSc32019 U=LCCCSc2019));if ZipCode>0;run;
data LCCS1;set LCCS_1a LCCS_2a LCCS_3a LCCS_4a LCCS_5a LCCS_6a LCCS_7a;run;/*N=1384, 21 variables*/
/* Licensed Child Care Centers with Silver Rating Data - Wide Form to Long Form */;
proc transpose data=LCCS1 out=LCCS1s  prefix=LCCCSs ;by ZipCode;var LCCCSs2016 -LCCCSs2019 ;run;      /*N=5536, 4 variables*/
proc transpose data=LCCS1 out=LCCS1c1 prefix=LCCCSc1;by ZipCode;var LCCCSc12016-LCCCSc12019;run;      /*N=5536, 4 variables*/
proc transpose data=LCCS1 out=LCCS1c2 prefix=LCCCSc2;by ZipCode;var LCCCSc22016-LCCCSc22019;run;      /*N=5536, 4 variables*/
proc transpose data=LCCS1 out=LCCS1c3 prefix=LCCCSc3;by ZipCode;var LCCCSc32016-LCCCSc32019;run;      /*N=5536, 4 variables*/
proc transpose data=LCCS1 out=LCCS1c4 prefix=LCCCSc ;by ZipCode;var LCCCSc2016 -LCCCSc2019 ;run;      /*N=5536, 4 variables*/
data LCCS2s ;set LCCS1s ;Year=substr(_NAME_,7,4)+0;LCCCSs =LCCCSs1 +0;drop _NAME_ _LABEL_ LCCCSs1 ;run;/*N=5536, 3 variables*/
data LCCS2c1;set LCCS1c1;Year=substr(_NAME_,8,4)+0;LCCCSc1=LCCCSc11+0;drop _NAME_ _LABEL_ LCCCSc11;run;/*N=5536, 3 variables*/
data LCCS2c2;set LCCS1c2;Year=substr(_NAME_,8,4)+0;LCCCSc2=LCCCSc21+0;drop _NAME_ _LABEL_ LCCCSc21;run;/*N=5536, 3 variables*/
data LCCS2c3;set LCCS1c3;Year=substr(_NAME_,8,4)+0;LCCCSc3=LCCCSc31+0;drop _NAME_ _LABEL_ LCCCSc31;run;/*N=5536, 3 variables*/
data LCCS2c4;set LCCS1c4;Year=substr(_NAME_,7,4)+0;LCCCSc =LCCCSc1 +0;drop _NAME_ _LABEL_ LCCCSc1 ;run;/*N=5536, 3 variables*/
proc sort data=LCCS2s ;by ZipCode Year;run;
proc sort data=LCCS2c1;by ZipCode Year;run;
proc sort data=LCCS2c2;by ZipCode Year;run;
proc sort data=LCCS2c3;by ZipCode Year;run;
proc sort data=LCCS2c4;by ZipCode Year;run;
data LCCS2;merge LCCS2s LCCS2c1 LCCS2c2 LCCS2c3 LCCS2c4;by ZipCode Year;
label 
LCCCSs ="# licensed child care centers w/Silver rating"
LCCCSc1="Licensed child care center w/Silver rating: Licensed capacity for children age 6 weeks to 1 year"
LCCCSc2="Licensed child care center w/Silver rating: Licensed capacity for children age 2 years"
LCCCSc3="Licensed child care center w/Silver rating: Licensed capacity for children age 3 to 5 years"
LCCCSc ="Licensed child care center w/Silver rating: Licensed capacity for all children age 0 to 5 years"
;run;
/*N=5536, 7 variables*/
/***/
/***/
/***/
/* Licensed Child Care Centers with Gold Rating Data - Renaming Variables */;
data LCCG_1a;set LCCG_1(rename=(A=ZipCode B=LCCCGs2016 C=LCCCGc12016 D=LCCCGc22016 E=LCCCGc32016 F=LCCCGc2016 G=LCCCGs2017 H=LCCCGc12017 I=LCCCGc22017 J=LCCCGc32017 K=LCCCGc2017 L=LCCCGs2018 M=LCCCGc12018 N=LCCCGc22018 O=LCCCGc32018 P=LCCCGc2018 Q=LCCCGs2019 R=LCCCGc12019 S=LCCCGc22019 T=LCCCGc32019 U=LCCCGc2019));if ZipCode>0;run;
data LCCG_2a;set LCCG_2(rename=(A=ZipCode B=LCCCGs2016 C=LCCCGc12016 D=LCCCGc22016 E=LCCCGc32016 F=LCCCGc2016 G=LCCCGs2017 H=LCCCGc12017 I=LCCCGc22017 J=LCCCGc32017 K=LCCCGc2017 L=LCCCGs2018 M=LCCCGc12018 N=LCCCGc22018 O=LCCCGc32018 P=LCCCGc2018 Q=LCCCGs2019 R=LCCCGc12019 S=LCCCGc22019 T=LCCCGc32019 U=LCCCGc2019));if ZipCode>0;run;
data LCCG_3a;set LCCG_3(rename=(A=ZipCode B=LCCCGs2016 C=LCCCGc12016 D=LCCCGc22016 E=LCCCGc32016 F=LCCCGc2016 G=LCCCGs2017 H=LCCCGc12017 I=LCCCGc22017 J=LCCCGc32017 K=LCCCGc2017 L=LCCCGs2018 M=LCCCGc12018 N=LCCCGc22018 O=LCCCGc32018 P=LCCCGc2018 Q=LCCCGs2019 R=LCCCGc12019 S=LCCCGc22019 T=LCCCGc32019 U=LCCCGc2019));if ZipCode>0;run;
data LCCG_4a;set LCCG_4(rename=(A=ZipCode B=LCCCGs2016 C=LCCCGc12016 D=LCCCGc22016 E=LCCCGc32016 F=LCCCGc2016 G=LCCCGs2017 H=LCCCGc12017 I=LCCCGc22017 J=LCCCGc32017 K=LCCCGc2017 L=LCCCGs2018 M=LCCCGc12018 N=LCCCGc22018 O=LCCCGc32018 P=LCCCGc2018 Q=LCCCGs2019 R=LCCCGc12019 S=LCCCGc22019 T=LCCCGc32019 U=LCCCGc2019));if ZipCode>0;run;
data LCCG_5a;set LCCG_5(rename=(A=ZipCode B=LCCCGs2016 C=LCCCGc12016 D=LCCCGc22016 E=LCCCGc32016 F=LCCCGc2016 G=LCCCGs2017 H=LCCCGc12017 I=LCCCGc22017 J=LCCCGc32017 K=LCCCGc2017 L=LCCCGs2018 M=LCCCGc12018 N=LCCCGc22018 O=LCCCGc32018 P=LCCCGc2018 Q=LCCCGs2019 R=LCCCGc12019 S=LCCCGc22019 T=LCCCGc32019 U=LCCCGc2019));if ZipCode>0;run;
data LCCG_6a;set LCCG_6(rename=(A=ZipCode B=LCCCGs2016 C=LCCCGc12016 D=LCCCGc22016 E=LCCCGc32016 F=LCCCGc2016 G=LCCCGs2017 H=LCCCGc12017 I=LCCCGc22017 J=LCCCGc32017 K=LCCCGc2017 L=LCCCGs2018 M=LCCCGc12018 N=LCCCGc22018 O=LCCCGc32018 P=LCCCGc2018 Q=LCCCGs2019 R=LCCCGc12019 S=LCCCGc22019 T=LCCCGc32019 U=LCCCGc2019));if ZipCode>0;run;
data LCCG_7a;set LCCG_7(rename=(A=ZipCode B=LCCCGs2016 C=LCCCGc12016 D=LCCCGc22016 E=LCCCGc32016 F=LCCCGc2016 G=LCCCGs2017 H=LCCCGc12017 I=LCCCGc22017 J=LCCCGc32017 K=LCCCGc2017 L=LCCCGs2018 M=LCCCGc12018 N=LCCCGc22018 O=LCCCGc32018 P=LCCCGc2018 Q=LCCCGs2019 R=LCCCGc12019 S=LCCCGc22019 T=LCCCGc32019 U=LCCCGc2019));if ZipCode>0;run;
data LCCG1;set LCCG_1a LCCG_2a LCCG_3a LCCG_4a LCCG_5a LCCG_6a LCCG_7a;run;/*N=1384, 21 variables*/
/* Licensed Child Care Centers with Gold Rating Data - Wide Form to Long Form */;
proc transpose data=LCCG1 out=LCCG1s  prefix=LCCCGs ;by ZipCode;var LCCCGs2016 -LCCCGs2019 ;run;      /*N=5536, 4 variables*/
proc transpose data=LCCG1 out=LCCG1c1 prefix=LCCCGc1;by ZipCode;var LCCCGc12016-LCCCGc12019;run;      /*N=5536, 4 variables*/
proc transpose data=LCCG1 out=LCCG1c2 prefix=LCCCGc2;by ZipCode;var LCCCGc22016-LCCCGc22019;run;      /*N=5536, 4 variables*/
proc transpose data=LCCG1 out=LCCG1c3 prefix=LCCCGc3;by ZipCode;var LCCCGc32016-LCCCGc32019;run;      /*N=5536, 4 variables*/
proc transpose data=LCCG1 out=LCCG1c4 prefix=LCCCGc ;by ZipCode;var LCCCGc2016 -LCCCGc2019 ;run;      /*N=5536, 4 variables*/
data LCCG2s ;set LCCG1s ;Year=substr(_NAME_,7,4)+0;LCCCGs =LCCCGs1 +0;drop _NAME_ _LABEL_ LCCCGs1 ;run;/*N=5536, 3 variables*/
data LCCG2c1;set LCCG1c1;Year=substr(_NAME_,8,4)+0;LCCCGc1=LCCCGc11+0;drop _NAME_ _LABEL_ LCCCGc11;run;/*N=5536, 3 variables*/
data LCCG2c2;set LCCG1c2;Year=substr(_NAME_,8,4)+0;LCCCGc2=LCCCGc21+0;drop _NAME_ _LABEL_ LCCCGc21;run;/*N=5536, 3 variables*/
data LCCG2c3;set LCCG1c3;Year=substr(_NAME_,8,4)+0;LCCCGc3=LCCCGc31+0;drop _NAME_ _LABEL_ LCCCGc31;run;/*N=5536, 3 variables*/
data LCCG2c4;set LCCG1c4;Year=substr(_NAME_,7,4)+0;LCCCGc =LCCCGc1 +0;drop _NAME_ _LABEL_ LCCCGc1 ;run;/*N=5536, 3 variables*/
proc sort data=LCCG2s ;by ZipCode Year;run;
proc sort data=LCCG2c1;by ZipCode Year;run;
proc sort data=LCCG2c2;by ZipCode Year;run;
proc sort data=LCCG2c3;by ZipCode Year;run;
proc sort data=LCCG2c4;by ZipCode Year;run;
data LCCG2;merge LCCG2s LCCG2c1 LCCG2c2 LCCG2c3 LCCG2c4;by ZipCode Year;
label 
LCCCGs ="# licensed child care centers w/Gold rating"
LCCCGc1="Licensed child care center w/Gold rating: Licensed capacity for children age 6 weeks to 1 year"
LCCCGc2="Licensed child care center w/Gold rating: Licensed capacity for children age 2 years"
LCCCGc3="Licensed child care center w/Gold rating: Licensed capacity for children age 3 to 5 years"
LCCCGc ="Licensed child care center w/Gold rating: Licensed capacity for all children age 0 to 5 years"
;run;
/*N=5536, 7 variables*/
/***/
/***/
/***/
/* Licensed Family Child Care Homes Data - Renaming Variables */;
data LFCC_1a;set LFCC_1(rename=(A=ZipCode B=LFCCs2010 C=LFCCc12010 D=LFCCc22010 E=LFCCc32010 F=LFCCc2010 G=LFCCs2011 H=LFCCc12011 I=LFCCc22011 J=LFCCc32011 K=LFCCc2011 L=LFCCs2012 M=LFCCc12012 N=LFCCc22012 O=LFCCc32012 P=LFCCc2012 Q=LFCCs2013 R=LFCCc12013 S=LFCCc22013 T=LFCCc32013 U=LFCCc2013 V=LFCCs2014 W=LFCCc12014 X=LFCCc22014 Y=LFCCc32014 Z=LFCCc2014 AA=LFCCs2015 AB=LFCCc12015 AC=LFCCc22015 AD=LFCCc32015 AE=LFCCc2015 AF=LFCCs2016 AG=LFCCc12016 AH=LFCCc22016 AI=LFCCc32016 AJ=LFCCc2016 AK=LFCCs2017 AL=LFCCc12017 AM=LFCCc22017 AN=LFCCc32017 AO=LFCCc2017 AP=LFCCs2018 AQ=LFCCc12018 AR=LFCCc22018 AS=LFCCc32018 AT=LFCCc2018 AU=LFCCs2019 AV=LFCCc12019 AW=LFCCc22019 AX=LFCCc32019 AY=LFCCc2019));if ZipCode>0;run;
data LFCC_2a;set LFCC_2(rename=(A=ZipCode B=LFCCs2010 C=LFCCc12010 D=LFCCc22010 E=LFCCc32010 F=LFCCc2010 G=LFCCs2011 H=LFCCc12011 I=LFCCc22011 J=LFCCc32011 K=LFCCc2011 L=LFCCs2012 M=LFCCc12012 N=LFCCc22012 O=LFCCc32012 P=LFCCc2012 Q=LFCCs2013 R=LFCCc12013 S=LFCCc22013 T=LFCCc32013 U=LFCCc2013 V=LFCCs2014 W=LFCCc12014 X=LFCCc22014 Y=LFCCc32014 Z=LFCCc2014 AA=LFCCs2015 AB=LFCCc12015 AC=LFCCc22015 AD=LFCCc32015 AE=LFCCc2015 AF=LFCCs2016 AG=LFCCc12016 AH=LFCCc22016 AI=LFCCc32016 AJ=LFCCc2016 AK=LFCCs2017 AL=LFCCc12017 AM=LFCCc22017 AN=LFCCc32017 AO=LFCCc2017 AP=LFCCs2018 AQ=LFCCc12018 AR=LFCCc22018 AS=LFCCc32018 AT=LFCCc2018 AU=LFCCs2019 AV=LFCCc12019 AW=LFCCc22019 AX=LFCCc32019 AY=LFCCc2019));if ZipCode>0;run;
data LFCC_3a;set LFCC_3(rename=(A=ZipCode B=LFCCs2010 C=LFCCc12010 D=LFCCc22010 E=LFCCc32010 F=LFCCc2010 G=LFCCs2011 H=LFCCc12011 I=LFCCc22011 J=LFCCc32011 K=LFCCc2011 L=LFCCs2012 M=LFCCc12012 N=LFCCc22012 O=LFCCc32012 P=LFCCc2012 Q=LFCCs2013 R=LFCCc12013 S=LFCCc22013 T=LFCCc32013 U=LFCCc2013 V=LFCCs2014 W=LFCCc12014 X=LFCCc22014 Y=LFCCc32014 Z=LFCCc2014 AA=LFCCs2015 AB=LFCCc12015 AC=LFCCc22015 AD=LFCCc32015 AE=LFCCc2015 AF=LFCCs2016 AG=LFCCc12016 AH=LFCCc22016 AI=LFCCc32016 AJ=LFCCc2016 AK=LFCCs2017 AL=LFCCc12017 AM=LFCCc22017 AN=LFCCc32017 AO=LFCCc2017 AP=LFCCs2018 AQ=LFCCc12018 AR=LFCCc22018 AS=LFCCc32018 AT=LFCCc2018 AU=LFCCs2019 AV=LFCCc12019 AW=LFCCc22019 AX=LFCCc32019 AY=LFCCc2019));if ZipCode>0;run;
data LFCC_4a;set LFCC_4(rename=(A=ZipCode B=LFCCs2010 C=LFCCc12010 D=LFCCc22010 E=LFCCc32010 F=LFCCc2010 G=LFCCs2011 H=LFCCc12011 I=LFCCc22011 J=LFCCc32011 K=LFCCc2011 L=LFCCs2012 M=LFCCc12012 N=LFCCc22012 O=LFCCc32012 P=LFCCc2012 Q=LFCCs2013 R=LFCCc12013 S=LFCCc22013 T=LFCCc32013 U=LFCCc2013 V=LFCCs2014 W=LFCCc12014 X=LFCCc22014 Y=LFCCc32014 Z=LFCCc2014 AA=LFCCs2015 AB=LFCCc12015 AC=LFCCc22015 AD=LFCCc32015 AE=LFCCc2015 AF=LFCCs2016 AG=LFCCc12016 AH=LFCCc22016 AI=LFCCc32016 AJ=LFCCc2016 AK=LFCCs2017 AL=LFCCc12017 AM=LFCCc22017 AN=LFCCc32017 AO=LFCCc2017 AP=LFCCs2018 AQ=LFCCc12018 AR=LFCCc22018 AS=LFCCc32018 AT=LFCCc2018 AU=LFCCs2019 AV=LFCCc12019 AW=LFCCc22019 AX=LFCCc32019 AY=LFCCc2019));if ZipCode>0;run;
data LFCC_5a;set LFCC_5(rename=(A=ZipCode B=LFCCs2010 C=LFCCc12010 D=LFCCc22010 E=LFCCc32010 F=LFCCc2010 G=LFCCs2011 H=LFCCc12011 I=LFCCc22011 J=LFCCc32011 K=LFCCc2011 L=LFCCs2012 M=LFCCc12012 N=LFCCc22012 O=LFCCc32012 P=LFCCc2012 Q=LFCCs2013 R=LFCCc12013 S=LFCCc22013 T=LFCCc32013 U=LFCCc2013 V=LFCCs2014 W=LFCCc12014 X=LFCCc22014 Y=LFCCc32014 Z=LFCCc2014 AA=LFCCs2015 AB=LFCCc12015 AC=LFCCc22015 AD=LFCCc32015 AE=LFCCc2015 AF=LFCCs2016 AG=LFCCc12016 AH=LFCCc22016 AI=LFCCc32016 AJ=LFCCc2016 AK=LFCCs2017 AL=LFCCc12017 AM=LFCCc22017 AN=LFCCc32017 AO=LFCCc2017 AP=LFCCs2018 AQ=LFCCc12018 AR=LFCCc22018 AS=LFCCc32018 AT=LFCCc2018 AU=LFCCs2019 AV=LFCCc12019 AW=LFCCc22019 AX=LFCCc32019 AY=LFCCc2019));if ZipCode>0;run;
data LFCC_6a;set LFCC_6(rename=(A=ZipCode B=LFCCs2010 C=LFCCc12010 D=LFCCc22010 E=LFCCc32010 F=LFCCc2010 G=LFCCs2011 H=LFCCc12011 I=LFCCc22011 J=LFCCc32011 K=LFCCc2011 L=LFCCs2012 M=LFCCc12012 N=LFCCc22012 O=LFCCc32012 P=LFCCc2012 Q=LFCCs2013 R=LFCCc12013 S=LFCCc22013 T=LFCCc32013 U=LFCCc2013 V=LFCCs2014 W=LFCCc12014 X=LFCCc22014 Y=LFCCc32014 Z=LFCCc2014 AA=LFCCs2015 AB=LFCCc12015 AC=LFCCc22015 AD=LFCCc32015 AE=LFCCc2015 AF=LFCCs2016 AG=LFCCc12016 AH=LFCCc22016 AI=LFCCc32016 AJ=LFCCc2016 AK=LFCCs2017 AL=LFCCc12017 AM=LFCCc22017 AN=LFCCc32017 AO=LFCCc2017 AP=LFCCs2018 AQ=LFCCc12018 AR=LFCCc22018 AS=LFCCc32018 AT=LFCCc2018 AU=LFCCs2019 AV=LFCCc12019 AW=LFCCc22019 AX=LFCCc32019 AY=LFCCc2019));if ZipCode>0;run;
data LFCC_7a;set LFCC_7(rename=(A=ZipCode B=LFCCs2010 C=LFCCc12010 D=LFCCc22010 E=LFCCc32010 F=LFCCc2010 G=LFCCs2011 H=LFCCc12011 I=LFCCc22011 J=LFCCc32011 K=LFCCc2011 L=LFCCs2012 M=LFCCc12012 N=LFCCc22012 O=LFCCc32012 P=LFCCc2012 Q=LFCCs2013 R=LFCCc12013 S=LFCCc22013 T=LFCCc32013 U=LFCCc2013 V=LFCCs2014 W=LFCCc12014 X=LFCCc22014 Y=LFCCc32014 Z=LFCCc2014 AA=LFCCs2015 AB=LFCCc12015 AC=LFCCc22015 AD=LFCCc32015 AE=LFCCc2015 AF=LFCCs2016 AG=LFCCc12016 AH=LFCCc22016 AI=LFCCc32016 AJ=LFCCc2016 AK=LFCCs2017 AL=LFCCc12017 AM=LFCCc22017 AN=LFCCc32017 AO=LFCCc2017 AP=LFCCs2018 AQ=LFCCc12018 AR=LFCCc22018 AS=LFCCc32018 AT=LFCCc2018 AU=LFCCs2019 AV=LFCCc12019 AW=LFCCc22019 AX=LFCCc32019 AY=LFCCc2019));if ZipCode>0;run;
data LFCC1;set LFCC_1a LFCC_2a LFCC_3a LFCC_4a LFCC_5a LFCC_6a LFCC_7a;run;/*N=1384, 51 variables*/
/* Licensed Family Child Care Homes Data - Wide Form to Long Form */;
proc transpose data=LFCC1 out=LFCC1s  prefix=LFCCs ;by ZipCode;var LFCCs2010 -LFCCs2019 ;run;       /*N=13840, 4 variables*/
proc transpose data=LFCC1 out=LFCC1c1 prefix=LFCCc1;by ZipCode;var LFCCc12010-LFCCc12019;run;       /*N=13840, 4 variables*/
proc transpose data=LFCC1 out=LFCC1c2 prefix=LFCCc2;by ZipCode;var LFCCc22010-LFCCc22019;run;       /*N=13840, 4 variables*/
proc transpose data=LFCC1 out=LFCC1c3 prefix=LFCCc3;by ZipCode;var LFCCc32010-LFCCc32019;run;       /*N=13840, 4 variables*/
proc transpose data=LFCC1 out=LFCC1c4 prefix=LFCCc ;by ZipCode;var LFCCc2010 -LFCCc2019 ;run;       /*N=13840, 4 variables*/
data LFCC2s ;set LFCC1s ;Year=substr(_NAME_,6,4)+0;LFCCs =LFCCs1 +0;drop _NAME_ _LABEL_ LFCCs1 ;run;/*N=13840, 3 variables*/
data LFCC2c1;set LFCC1c1;Year=substr(_NAME_,7,4)+0;LFCCc1=LFCCc11+0;drop _NAME_ _LABEL_ LFCCc11;run;/*N=13840, 3 variables*/
data LFCC2c2;set LFCC1c2;Year=substr(_NAME_,7,4)+0;LFCCc2=LFCCc21+0;drop _NAME_ _LABEL_ LFCCc21;run;/*N=13840, 3 variables*/
data LFCC2c3;set LFCC1c3;Year=substr(_NAME_,7,4)+0;LFCCc3=LFCCc31+0;drop _NAME_ _LABEL_ LFCCc31;run;/*N=13840, 3 variables*/
data LFCC2c4;set LFCC1c4;Year=substr(_NAME_,6,4)+0;LFCCc =LFCCc1 +0;drop _NAME_ _LABEL_ LFCCc1 ;run;/*N=13840, 3 variables*/
proc sort data=LFCC2s ;by ZipCode Year;run;
proc sort data=LFCC2c1;by ZipCode Year;run;
proc sort data=LFCC2c2;by ZipCode Year;run;
proc sort data=LFCC2c3;by ZipCode Year;run;
proc sort data=LFCC2c4;by ZipCode Year;run;
data LFCC2;merge LFCC2s LFCC2c1 LFCC2c2 LFCC2c3 LFCC2c4;by ZipCode Year;
label 
LFCCs ="# licensed family child care homes"
LFCCc1="Licensed family child care home: Licensed capacity for children age 6 weeks to 1 year"
LFCCc2="Licensed family child care home: Licensed capacity for children age 2 years"
LFCCc3="Licensed family child care home: Licensed capacity for children age 3 to 5 years"
LFCCc ="Licensed family child care home: Licensed capacity for all children age 0 to 5 years"
;run;
/*N=13840, 7 variables*/
/***/
/***/
/***/
/* Licensed Family Child Care Homes with Bronze Rating Data - Renaming Variables */;
data LFCB_1a;set LFCB_1(rename=(A=ZipCode B=LFCCBs2016 C=LFCCBc12016 D=LFCCBc22016 E=LFCCBc32016 F=LFCCBc2016 G=LFCCBs2017 H=LFCCBc12017 I=LFCCBc22017 J=LFCCBc32017 K=LFCCBc2017 L=LFCCBs2018 M=LFCCBc12018 N=LFCCBc22018 O=LFCCBc32018 P=LFCCBc2018 Q=LFCCBs2019 R=LFCCBc12019 S=LFCCBc22019 T=LFCCBc32019 U=LFCCBc2019));if ZipCode>0;run;
data LFCB_2a;set LFCB_2(rename=(A=ZipCode B=LFCCBs2016 C=LFCCBc12016 D=LFCCBc22016 E=LFCCBc32016 F=LFCCBc2016 G=LFCCBs2017 H=LFCCBc12017 I=LFCCBc22017 J=LFCCBc32017 K=LFCCBc2017 L=LFCCBs2018 M=LFCCBc12018 N=LFCCBc22018 O=LFCCBc32018 P=LFCCBc2018 Q=LFCCBs2019 R=LFCCBc12019 S=LFCCBc22019 T=LFCCBc32019 U=LFCCBc2019));if ZipCode>0;run;
data LFCB_3a;set LFCB_3(rename=(A=ZipCode B=LFCCBs2016 C=LFCCBc12016 D=LFCCBc22016 E=LFCCBc32016 F=LFCCBc2016 G=LFCCBs2017 H=LFCCBc12017 I=LFCCBc22017 J=LFCCBc32017 K=LFCCBc2017 L=LFCCBs2018 M=LFCCBc12018 N=LFCCBc22018 O=LFCCBc32018 P=LFCCBc2018 Q=LFCCBs2019 R=LFCCBc12019 S=LFCCBc22019 T=LFCCBc32019 U=LFCCBc2019));if ZipCode>0;run;
data LFCB_4a;set LFCB_4(rename=(A=ZipCode B=LFCCBs2016 C=LFCCBc12016 D=LFCCBc22016 E=LFCCBc32016 F=LFCCBc2016 G=LFCCBs2017 H=LFCCBc12017 I=LFCCBc22017 J=LFCCBc32017 K=LFCCBc2017 L=LFCCBs2018 M=LFCCBc12018 N=LFCCBc22018 O=LFCCBc32018 P=LFCCBc2018 Q=LFCCBs2019 R=LFCCBc12019 S=LFCCBc22019 T=LFCCBc32019 U=LFCCBc2019));if ZipCode>0;run;
data LFCB_5a;set LFCB_5(rename=(A=ZipCode B=LFCCBs2016 C=LFCCBc12016 D=LFCCBc22016 E=LFCCBc32016 F=LFCCBc2016 G=LFCCBs2017 H=LFCCBc12017 I=LFCCBc22017 J=LFCCBc32017 K=LFCCBc2017 L=LFCCBs2018 M=LFCCBc12018 N=LFCCBc22018 O=LFCCBc32018 P=LFCCBc2018 Q=LFCCBs2019 R=LFCCBc12019 S=LFCCBc22019 T=LFCCBc32019 U=LFCCBc2019));if ZipCode>0;run;
data LFCB_6a;set LFCB_6(rename=(A=ZipCode B=LFCCBs2016 C=LFCCBc12016 D=LFCCBc22016 E=LFCCBc32016 F=LFCCBc2016 G=LFCCBs2017 H=LFCCBc12017 I=LFCCBc22017 J=LFCCBc32017 K=LFCCBc2017 L=LFCCBs2018 M=LFCCBc12018 N=LFCCBc22018 O=LFCCBc32018 P=LFCCBc2018 Q=LFCCBs2019 R=LFCCBc12019 S=LFCCBc22019 T=LFCCBc32019 U=LFCCBc2019));if ZipCode>0;run;
data LFCB_7a;set LFCB_7(rename=(A=ZipCode B=LFCCBs2016 C=LFCCBc12016 D=LFCCBc22016 E=LFCCBc32016 F=LFCCBc2016 G=LFCCBs2017 H=LFCCBc12017 I=LFCCBc22017 J=LFCCBc32017 K=LFCCBc2017 L=LFCCBs2018 M=LFCCBc12018 N=LFCCBc22018 O=LFCCBc32018 P=LFCCBc2018 Q=LFCCBs2019 R=LFCCBc12019 S=LFCCBc22019 T=LFCCBc32019 U=LFCCBc2019));if ZipCode>0;run;
data LFCB1;set LFCB_1a LFCB_2a LFCB_3a LFCB_4a LFCB_5a LFCB_6a LFCB_7a;run;/*N=1384, 21 variables*/
/* Licensed Family Child Care Homes with Bronze Rating Data - Wid Form to Long Form */;
proc transpose data=LFCB1 out=LFCB1s  prefix=LFCCBs ;by ZipCode;var LFCCBs2016 -LFCCBs2019 ;run;      /*N=5536, 4 variables*/
proc transpose data=LFCB1 out=LFCB1c1 prefix=LFCCBc1;by ZipCode;var LFCCBc12016-LFCCBc12019;run;      /*N=5536, 4 variables*/
proc transpose data=LFCB1 out=LFCB1c2 prefix=LFCCBc2;by ZipCode;var LFCCBc22016-LFCCBc22019;run;      /*N=5536, 4 variables*/
proc transpose data=LFCB1 out=LFCB1c3 prefix=LFCCBc3;by ZipCode;var LFCCBc32016-LFCCBc32019;run;      /*N=5536, 4 variables*/
proc transpose data=LFCB1 out=LFCB1c4 prefix=LFCCBc ;by ZipCode;var LFCCBc2016 -LFCCBc2019 ;run;      /*N=5536, 4 variables*/
data LFCB2s ;set LFCB1s ;Year=substr(_NAME_,7,4)+0;LFCCBs =LFCCBs1 +0;drop _NAME_ _LABEL_ LFCCBs1 ;run;/*N=5536, 3 variables*/
data LFCB2c1;set LFCB1c1;Year=substr(_NAME_,8,4)+0;LFCCBc1=LFCCBc11+0;drop _NAME_ _LABEL_ LFCCBc11;run;/*N=5536, 3 variables*/
data LFCB2c2;set LFCB1c2;Year=substr(_NAME_,8,4)+0;LFCCBc2=LFCCBc21+0;drop _NAME_ _LABEL_ LFCCBc21;run;/*N=5536, 3 variables*/
data LFCB2c3;set LFCB1c3;Year=substr(_NAME_,8,4)+0;LFCCBc3=LFCCBc31+0;drop _NAME_ _LABEL_ LFCCBc31;run;/*N=5536, 3 variables*/
data LFCB2c4;set LFCB1c4;Year=substr(_NAME_,7,4)+0;LFCCBc =LFCCBc1 +0;drop _NAME_ _LABEL_ LFCCBc1 ;run;/*N=5536, 3 variables*/
proc sort data=LFCB2s ;by ZipCode Year;run;
proc sort data=LFCB2c1;by ZipCode Year;run;
proc sort data=LFCB2c2;by ZipCode Year;run;
proc sort data=LFCB2c3;by ZipCode Year;run;
proc sort data=LFCB2c4;by ZipCode Year;run;
data LFCB2;merge LFCB2s LFCB2c1 LFCB2c2 LFCB2c3 LFCB2c4;by ZipCode Year;
label 
LFCCBs ="# licensed family child care homes w/Bronze rating"
LFCCBc1="Licensed family child care home w/Bronze rating: Licensed capacity for children age 6 weeks to 1 year"
LFCCBc2="Licensed family child care home w/Bronze rating: Licensed capacity for children age 2 years"
LFCCBc3="Licensed family child care home w/Bronze rating: Licensed capacity for children age 3 to 5 years"
LFCCBc ="Licensed family child care home w/Bronze rating: Licensed capacity for all children age 0 to 5 years"
;run;
/*N=5536, 7 variables*/
/***/
/***/
/***/
/* Licensed Family Child Care Homes with Silver Rating Data - Renaming Variables */;
data LFCS_1a;set LFCS_1(rename=(A=ZipCode B=LFCCSs2016 C=LFCCSc12016 D=LFCCSc22016 E=LFCCSc32016 F=LFCCSc2016 G=LFCCSs2017 H=LFCCSc12017 I=LFCCSc22017 J=LFCCSc32017 K=LFCCSc2017 L=LFCCSs2018 M=LFCCSc12018 N=LFCCSc22018 O=LFCCSc32018 P=LFCCSc2018 Q=LFCCSs2019 R=LFCCSc12019 S=LFCCSc22019 T=LFCCSc32019 U=LFCCSc2019));if ZipCode>0;run;
data LFCS_2a;set LFCS_2(rename=(A=ZipCode B=LFCCSs2016 C=LFCCSc12016 D=LFCCSc22016 E=LFCCSc32016 F=LFCCSc2016 G=LFCCSs2017 H=LFCCSc12017 I=LFCCSc22017 J=LFCCSc32017 K=LFCCSc2017 L=LFCCSs2018 M=LFCCSc12018 N=LFCCSc22018 O=LFCCSc32018 P=LFCCSc2018 Q=LFCCSs2019 R=LFCCSc12019 S=LFCCSc22019 T=LFCCSc32019 U=LFCCSc2019));if ZipCode>0;run;
data LFCS_3a;set LFCS_3(rename=(A=ZipCode B=LFCCSs2016 C=LFCCSc12016 D=LFCCSc22016 E=LFCCSc32016 F=LFCCSc2016 G=LFCCSs2017 H=LFCCSc12017 I=LFCCSc22017 J=LFCCSc32017 K=LFCCSc2017 L=LFCCSs2018 M=LFCCSc12018 N=LFCCSc22018 O=LFCCSc32018 P=LFCCSc2018 Q=LFCCSs2019 R=LFCCSc12019 S=LFCCSc22019 T=LFCCSc32019 U=LFCCSc2019));if ZipCode>0;run;
data LFCS_4a;set LFCS_4(rename=(A=ZipCode B=LFCCSs2016 C=LFCCSc12016 D=LFCCSc22016 E=LFCCSc32016 F=LFCCSc2016 G=LFCCSs2017 H=LFCCSc12017 I=LFCCSc22017 J=LFCCSc32017 K=LFCCSc2017 L=LFCCSs2018 M=LFCCSc12018 N=LFCCSc22018 O=LFCCSc32018 P=LFCCSc2018 Q=LFCCSs2019 R=LFCCSc12019 S=LFCCSc22019 T=LFCCSc32019 U=LFCCSc2019));if ZipCode>0;run;
data LFCS_5a;set LFCS_5(rename=(A=ZipCode B=LFCCSs2016 C=LFCCSc12016 D=LFCCSc22016 E=LFCCSc32016 F=LFCCSc2016 G=LFCCSs2017 H=LFCCSc12017 I=LFCCSc22017 J=LFCCSc32017 K=LFCCSc2017 L=LFCCSs2018 M=LFCCSc12018 N=LFCCSc22018 O=LFCCSc32018 P=LFCCSc2018 Q=LFCCSs2019 R=LFCCSc12019 S=LFCCSc22019 T=LFCCSc32019 U=LFCCSc2019));if ZipCode>0;run;
data LFCS_6a;set LFCS_6(rename=(A=ZipCode B=LFCCSs2016 C=LFCCSc12016 D=LFCCSc22016 E=LFCCSc32016 F=LFCCSc2016 G=LFCCSs2017 H=LFCCSc12017 I=LFCCSc22017 J=LFCCSc32017 K=LFCCSc2017 L=LFCCSs2018 M=LFCCSc12018 N=LFCCSc22018 O=LFCCSc32018 P=LFCCSc2018 Q=LFCCSs2019 R=LFCCSc12019 S=LFCCSc22019 T=LFCCSc32019 U=LFCCSc2019));if ZipCode>0;run;
data LFCS_7a;set LFCS_7(rename=(A=ZipCode B=LFCCSs2016 C=LFCCSc12016 D=LFCCSc22016 E=LFCCSc32016 F=LFCCSc2016 G=LFCCSs2017 H=LFCCSc12017 I=LFCCSc22017 J=LFCCSc32017 K=LFCCSc2017 L=LFCCSs2018 M=LFCCSc12018 N=LFCCSc22018 O=LFCCSc32018 P=LFCCSc2018 Q=LFCCSs2019 R=LFCCSc12019 S=LFCCSc22019 T=LFCCSc32019 U=LFCCSc2019));if ZipCode>0;run;
data LFCS1;set LFCS_1a LFCS_2a LFCS_3a LFCS_4a LFCS_5a LFCS_6a LFCS_7a;run;/*N=1384, 21 variables*/
/* Licensed Family Child Care Homes with Silver Rating Data - Wide Form to Long Form */;
proc transpose data=LFCS1 out=LFCS1s  prefix=LFCCSs ;by ZipCode;var LFCCSs2016 -LFCCSs2019 ;run;      /*N=5536, 4 variables*/
proc transpose data=LFCS1 out=LFCS1c1 prefix=LFCCSc1;by ZipCode;var LFCCSc12016-LFCCSc12019;run;      /*N=5536, 4 variables*/
proc transpose data=LFCS1 out=LFCS1c2 prefix=LFCCSc2;by ZipCode;var LFCCSc22016-LFCCSc22019;run;      /*N=5536, 4 variables*/
proc transpose data=LFCS1 out=LFCS1c3 prefix=LFCCSc3;by ZipCode;var LFCCSc32016-LFCCSc32019;run;      /*N=5536, 4 variables*/
proc transpose data=LFCS1 out=LFCS1c4 prefix=LFCCSc ;by ZipCode;var LFCCSc2016 -LFCCSc2019 ;run;      /*N=5536, 4 variables*/
data LFCS2s ;set LFCS1s ;Year=substr(_NAME_,7,4)+0;LFCCSs =LFCCSs1 +0;drop _NAME_ _LABEL_ LFCCSs1 ;run;/*N=5536, 3 variables*/
data LFCS2c1;set LFCS1c1;Year=substr(_NAME_,8,4)+0;LFCCSc1=LFCCSc11+0;drop _NAME_ _LABEL_ LFCCSc11;run;/*N=5536, 3 variables*/
data LFCS2c2;set LFCS1c2;Year=substr(_NAME_,8,4)+0;LFCCSc2=LFCCSc21+0;drop _NAME_ _LABEL_ LFCCSc21;run;/*N=5536, 3 variables*/
data LFCS2c3;set LFCS1c3;Year=substr(_NAME_,8,4)+0;LFCCSc3=LFCCSc31+0;drop _NAME_ _LABEL_ LFCCSc31;run;/*N=5536, 3 variables*/
data LFCS2c4;set LFCS1c4;Year=substr(_NAME_,7,4)+0;LFCCSc =LFCCSc1 +0;drop _NAME_ _LABEL_ LFCCSc1 ;run;/*N=5536, 3 variables*/
proc sort data=LFCS2s ;by ZipCode Year;run;
proc sort data=LFCS2c1;by ZipCode Year;run;
proc sort data=LFCS2c2;by ZipCode Year;run;
proc sort data=LFCS2c3;by ZipCode Year;run;
proc sort data=LFCS2c4;by ZipCode Year;run;
data LFCS2;merge LFCS2s LFCS2c1 LFCS2c2 LFCS2c3 LFCS2c4;by ZipCode Year;
label 
LFCCSs ="# licensed family child care homes w/Silver rating"
LFCCSc1="Licensed family child care home w/Silver rating: Licensed capacity for children age 6 weeks to 1 year"
LFCCSc2="Licensed family child care home w/Silver rating: Licensed capacity for children age 2 years"
LFCCSc3="Licensed family child care home w/Silver rating: Licensed capacity for children age 3 to 5 years"
LFCCSc ="Licensed family child care home w/Silver rating: Licensed capacity for all children age 0 to 5 years"
;run;
/*N=5536, 7 variables*/
/***/
/***/
/***/
/* Licensed Family Child Care Homes with Gold Rating Data - Renaming Variables */;
data LFCG_1a;set LFCG_1(rename=(A=ZipCode B=LFCCGs2016 C=LFCCGc12016 D=LFCCGc22016 E=LFCCGc32016 F=LFCCGc2016 G=LFCCGs2017 H=LFCCGc12017 I=LFCCGc22017 J=LFCCGc32017 K=LFCCGc2017 L=LFCCGs2018 M=LFCCGc12018 N=LFCCGc22018 O=LFCCGc32018 P=LFCCGc2018 Q=LFCCGs2019 R=LFCCGc12019 S=LFCCGc22019 T=LFCCGc32019 U=LFCCGc2019));if ZipCode>0;run;
data LFCG_2a;set LFCG_2(rename=(A=ZipCode B=LFCCGs2016 C=LFCCGc12016 D=LFCCGc22016 E=LFCCGc32016 F=LFCCGc2016 G=LFCCGs2017 H=LFCCGc12017 I=LFCCGc22017 J=LFCCGc32017 K=LFCCGc2017 L=LFCCGs2018 M=LFCCGc12018 N=LFCCGc22018 O=LFCCGc32018 P=LFCCGc2018 Q=LFCCGs2019 R=LFCCGc12019 S=LFCCGc22019 T=LFCCGc32019 U=LFCCGc2019));if ZipCode>0;run;
data LFCG_3a;set LFCG_3(rename=(A=ZipCode B=LFCCGs2016 C=LFCCGc12016 D=LFCCGc22016 E=LFCCGc32016 F=LFCCGc2016 G=LFCCGs2017 H=LFCCGc12017 I=LFCCGc22017 J=LFCCGc32017 K=LFCCGc2017 L=LFCCGs2018 M=LFCCGc12018 N=LFCCGc22018 O=LFCCGc32018 P=LFCCGc2018 Q=LFCCGs2019 R=LFCCGc12019 S=LFCCGc22019 T=LFCCGc32019 U=LFCCGc2019));if ZipCode>0;run;
data LFCG_4a;set LFCG_4(rename=(A=ZipCode B=LFCCGs2016 C=LFCCGc12016 D=LFCCGc22016 E=LFCCGc32016 F=LFCCGc2016 G=LFCCGs2017 H=LFCCGc12017 I=LFCCGc22017 J=LFCCGc32017 K=LFCCGc2017 L=LFCCGs2018 M=LFCCGc12018 N=LFCCGc22018 O=LFCCGc32018 P=LFCCGc2018 Q=LFCCGs2019 R=LFCCGc12019 S=LFCCGc22019 T=LFCCGc32019 U=LFCCGc2019));if ZipCode>0;run;
data LFCG_5a;set LFCG_5(rename=(A=ZipCode B=LFCCGs2016 C=LFCCGc12016 D=LFCCGc22016 E=LFCCGc32016 F=LFCCGc2016 G=LFCCGs2017 H=LFCCGc12017 I=LFCCGc22017 J=LFCCGc32017 K=LFCCGc2017 L=LFCCGs2018 M=LFCCGc12018 N=LFCCGc22018 O=LFCCGc32018 P=LFCCGc2018 Q=LFCCGs2019 R=LFCCGc12019 S=LFCCGc22019 T=LFCCGc32019 U=LFCCGc2019));if ZipCode>0;run;
data LFCG_6a;set LFCG_6(rename=(A=ZipCode B=LFCCGs2016 C=LFCCGc12016 D=LFCCGc22016 E=LFCCGc32016 F=LFCCGc2016 G=LFCCGs2017 H=LFCCGc12017 I=LFCCGc22017 J=LFCCGc32017 K=LFCCGc2017 L=LFCCGs2018 M=LFCCGc12018 N=LFCCGc22018 O=LFCCGc32018 P=LFCCGc2018 Q=LFCCGs2019 R=LFCCGc12019 S=LFCCGc22019 T=LFCCGc32019 U=LFCCGc2019));if ZipCode>0;run;
data LFCG_7a;set LFCG_7(rename=(A=ZipCode B=LFCCGs2016 C=LFCCGc12016 D=LFCCGc22016 E=LFCCGc32016 F=LFCCGc2016 G=LFCCGs2017 H=LFCCGc12017 I=LFCCGc22017 J=LFCCGc32017 K=LFCCGc2017 L=LFCCGs2018 M=LFCCGc12018 N=LFCCGc22018 O=LFCCGc32018 P=LFCCGc2018 Q=LFCCGs2019 R=LFCCGc12019 S=LFCCGc22019 T=LFCCGc32019 U=LFCCGc2019));if ZipCode>0;run;
data LFCG1;set LFCG_1a LFCG_2a LFCG_3a LFCG_4a LFCG_5a LFCG_6a LFCG_7a;run;/*N=1384, 21 variables*/
/* Licensed Family Child Care Homes with Gold Rating Data - Wide Form to Long Form */;
proc transpose data=LFCG1 out=LFCG1s  prefix=LFCCGs ;by ZipCode;var LFCCGs2016 -LFCCGs2019 ;run;      /*N=5536, 4 variables*/
proc transpose data=LFCG1 out=LFCG1c1 prefix=LFCCGc1;by ZipCode;var LFCCGc12016-LFCCGc12019;run;      /*N=5536, 4 variables*/
proc transpose data=LFCG1 out=LFCG1c2 prefix=LFCCGc2;by ZipCode;var LFCCGc22016-LFCCGc22019;run;      /*N=5536, 4 variables*/
proc transpose data=LFCG1 out=LFCG1c3 prefix=LFCCGc3;by ZipCode;var LFCCGc32016-LFCCGc32019;run;      /*N=5536, 4 variables*/
proc transpose data=LFCG1 out=LFCG1c4 prefix=LFCCGc ;by ZipCode;var LFCCGc2016 -LFCCGc2019 ;run;      /*N=5536, 4 variables*/
data LFCG2s ;set LFCG1s ;Year=substr(_NAME_,7,4)+0;LFCCGs =LFCCGs1 +0;drop _NAME_ _LABEL_ LFCCGs1 ;run;/*N=5536, 3 variables*/
data LFCG2c1;set LFCG1c1;Year=substr(_NAME_,8,4)+0;LFCCGc1=LFCCGc11+0;drop _NAME_ _LABEL_ LFCCGc11;run;/*N=5536, 3 variables*/
data LFCG2c2;set LFCG1c2;Year=substr(_NAME_,8,4)+0;LFCCGc2=LFCCGc21+0;drop _NAME_ _LABEL_ LFCCGc21;run;/*N=5536, 3 variables*/
data LFCG2c3;set LFCG1c3;Year=substr(_NAME_,8,4)+0;LFCCGc3=LFCCGc31+0;drop _NAME_ _LABEL_ LFCCGc31;run;/*N=5536, 3 variables*/
data LFCG2c4;set LFCG1c4;Year=substr(_NAME_,7,4)+0;LFCCGc =LFCCGc1 +0;drop _NAME_ _LABEL_ LFCCGc1 ;run;/*N=5536, 3 variables*/
proc sort data=LFCG2s ;by ZipCode Year;run;
proc sort data=LFCG2c1;by ZipCode Year;run;
proc sort data=LFCG2c2;by ZipCode Year;run;
proc sort data=LFCG2c3;by ZipCode Year;run;
proc sort data=LFCG2c4;by ZipCode Year;run;
data LFCG2;merge LFCG2s LFCG2c1 LFCG2c2 LFCG2c3 LFCG2c4;by ZipCode Year;
label 
LFCCGs ="# licensed child care centers w/Gold rating"
LFCCGc1="Licensed child care center w/Gold rating: Licensed capacity for children age 6 weeks to 1 year"
LFCCGc2="Licensed child care center w/Gold rating: Licensed capacity for children age 2 years"
LFCCGc3="Licensed child care center w/Gold rating: Licensed capacity for children age 3 to 5 years"
LFCCGc ="Licensed child care center w/Gold rating: Licensed capacity for all children age 0 to 5 years"
;run;
/*N=5536, 7 variables*/
/***/
/***/
/***/
/* Child Care Assistance Program Data - Renaming Variables */;
data CCAP_1a;set CCAP_1(rename=(A=ZipCode B=CCAPc12010 C=CCAPc22010 D=CCAPc32010 E=CCAPc42010 F=CCAPc2010 G=CCAPc12011 H=CCAPc22011 I=CCAPc32011 J=CCAPc42011 K=CCAPc2011 L=CCAPc12012 M=CCAPc22012 N=CCAPc32012 O=CCAPc42012 P=CCAPc2012 Q=CCAPc12013 R=CCAPc22013 S=CCAPc32013 T=CCAPc42013 U=CCAPc2013 V=CCAPc12014 W=CCAPc22014 X=CCAPc32014 Y=CCAPc42014 Z=CCAPc2014 AA=CCAPc12015 AB=CCAPc22015 AC=CCAPc32015 AD=CCAPc42015 AE=CCAPc2015 AF=CCAPc12016 AG=CCAPc22016 AH=CCAPc32016 AI=CCAPc42016 AJ=CCAPc2016 AK=CCAPc12017 AL=CCAPc22017 AM=CCAPc32017 AN=CCAPc42017 AO=CCAPc2017 AP=CCAPc12018 AQ=CCAPc22018 AR=CCAPc32018 AS=CCAPc42018 AT=CCAPc2018 AU=CCAPc12019 AV=CCAPc22019 AW=CCAPc32019 AX=CCAPc42019 AY=CCAPc2019));if ZipCode>0;run;
data CCAP_2a;set CCAP_2(rename=(A=ZipCode B=CCAPc12010 C=CCAPc22010 D=CCAPc32010 E=CCAPc42010 F=CCAPc2010 G=CCAPc12011 H=CCAPc22011 I=CCAPc32011 J=CCAPc42011 K=CCAPc2011 L=CCAPc12012 M=CCAPc22012 N=CCAPc32012 O=CCAPc42012 P=CCAPc2012 Q=CCAPc12013 R=CCAPc22013 S=CCAPc32013 T=CCAPc42013 U=CCAPc2013 V=CCAPc12014 W=CCAPc22014 X=CCAPc32014 Y=CCAPc42014 Z=CCAPc2014 AA=CCAPc12015 AB=CCAPc22015 AC=CCAPc32015 AD=CCAPc42015 AE=CCAPc2015 AF=CCAPc12016 AG=CCAPc22016 AH=CCAPc32016 AI=CCAPc42016 AJ=CCAPc2016 AK=CCAPc12017 AL=CCAPc22017 AM=CCAPc32017 AN=CCAPc42017 AO=CCAPc2017 AP=CCAPc12018 AQ=CCAPc22018 AR=CCAPc32018 AS=CCAPc42018 AT=CCAPc2018 AU=CCAPc12019 AV=CCAPc22019 AW=CCAPc32019 AX=CCAPc42019 AY=CCAPc2019));if ZipCode>0;run;
data CCAP_3a;set CCAP_3(rename=(A=ZipCode B=CCAPc12010 C=CCAPc22010 D=CCAPc32010 E=CCAPc42010 F=CCAPc2010 G=CCAPc12011 H=CCAPc22011 I=CCAPc32011 J=CCAPc42011 K=CCAPc2011 L=CCAPc12012 M=CCAPc22012 N=CCAPc32012 O=CCAPc42012 P=CCAPc2012 Q=CCAPc12013 R=CCAPc22013 S=CCAPc32013 T=CCAPc42013 U=CCAPc2013 V=CCAPc12014 W=CCAPc22014 X=CCAPc32014 Y=CCAPc42014 Z=CCAPc2014 AA=CCAPc12015 AB=CCAPc22015 AC=CCAPc32015 AD=CCAPc42015 AE=CCAPc2015 AF=CCAPc12016 AG=CCAPc22016 AH=CCAPc32016 AI=CCAPc42016 AJ=CCAPc2016 AK=CCAPc12017 AL=CCAPc22017 AM=CCAPc32017 AN=CCAPc42017 AO=CCAPc2017 AP=CCAPc12018 AQ=CCAPc22018 AR=CCAPc32018 AS=CCAPc42018 AT=CCAPc2018 AU=CCAPc12019 AV=CCAPc22019 AW=CCAPc32019 AX=CCAPc42019 AY=CCAPc2019));if ZipCode>0;run;
data CCAP_4a;set CCAP_4(rename=(A=ZipCode B=CCAPc12010 C=CCAPc22010 D=CCAPc32010 E=CCAPc42010 F=CCAPc2010 G=CCAPc12011 H=CCAPc22011 I=CCAPc32011 J=CCAPc42011 K=CCAPc2011 L=CCAPc12012 M=CCAPc22012 N=CCAPc32012 O=CCAPc42012 P=CCAPc2012 Q=CCAPc12013 R=CCAPc22013 S=CCAPc32013 T=CCAPc42013 U=CCAPc2013 V=CCAPc12014 W=CCAPc22014 X=CCAPc32014 Y=CCAPc42014 Z=CCAPc2014 AA=CCAPc12015 AB=CCAPc22015 AC=CCAPc32015 AD=CCAPc42015 AE=CCAPc2015 AF=CCAPc12016 AG=CCAPc22016 AH=CCAPc32016 AI=CCAPc42016 AJ=CCAPc2016 AK=CCAPc12017 AL=CCAPc22017 AM=CCAPc32017 AN=CCAPc42017 AO=CCAPc2017 AP=CCAPc12018 AQ=CCAPc22018 AR=CCAPc32018 AS=CCAPc42018 AT=CCAPc2018 AU=CCAPc12019 AV=CCAPc22019 AW=CCAPc32019 AX=CCAPc42019 AY=CCAPc2019));if ZipCode>0;run;
data CCAP_5a;set CCAP_5(rename=(A=ZipCode B=CCAPc12010 C=CCAPc22010 D=CCAPc32010 E=CCAPc42010 F=CCAPc2010 G=CCAPc12011 H=CCAPc22011 I=CCAPc32011 J=CCAPc42011 K=CCAPc2011 L=CCAPc12012 M=CCAPc22012 N=CCAPc32012 O=CCAPc42012 P=CCAPc2012 Q=CCAPc12013 R=CCAPc22013 S=CCAPc32013 T=CCAPc42013 U=CCAPc2013 V=CCAPc12014 W=CCAPc22014 X=CCAPc32014 Y=CCAPc42014 Z=CCAPc2014 AA=CCAPc12015 AB=CCAPc22015 AC=CCAPc32015 AD=CCAPc42015 AE=CCAPc2015 AF=CCAPc12016 AG=CCAPc22016 AH=CCAPc32016 AI=CCAPc42016 AJ=CCAPc2016 AK=CCAPc12017 AL=CCAPc22017 AM=CCAPc32017 AN=CCAPc42017 AO=CCAPc2017 AP=CCAPc12018 AQ=CCAPc22018 AR=CCAPc32018 AS=CCAPc42018 AT=CCAPc2018 AU=CCAPc12019 AV=CCAPc22019 AW=CCAPc32019 AX=CCAPc42019 AY=CCAPc2019));if ZipCode>0;run;
data CCAP_6a;set CCAP_6(rename=(A=ZipCode B=CCAPc12010 C=CCAPc22010 D=CCAPc32010 E=CCAPc42010 F=CCAPc2010 G=CCAPc12011 H=CCAPc22011 I=CCAPc32011 J=CCAPc42011 K=CCAPc2011 L=CCAPc12012 M=CCAPc22012 N=CCAPc32012 O=CCAPc42012 P=CCAPc2012 Q=CCAPc12013 R=CCAPc22013 S=CCAPc32013 T=CCAPc42013 U=CCAPc2013 V=CCAPc12014 W=CCAPc22014 X=CCAPc32014 Y=CCAPc42014 Z=CCAPc2014 AA=CCAPc12015 AB=CCAPc22015 AC=CCAPc32015 AD=CCAPc42015 AE=CCAPc2015 AF=CCAPc12016 AG=CCAPc22016 AH=CCAPc32016 AI=CCAPc42016 AJ=CCAPc2016 AK=CCAPc12017 AL=CCAPc22017 AM=CCAPc32017 AN=CCAPc42017 AO=CCAPc2017 AP=CCAPc12018 AQ=CCAPc22018 AR=CCAPc32018 AS=CCAPc42018 AT=CCAPc2018 AU=CCAPc12019 AV=CCAPc22019 AW=CCAPc32019 AX=CCAPc42019 AY=CCAPc2019));if ZipCode>0;run;
data CCAP_7a;set CCAP_7(rename=(A=ZipCode B=CCAPc12010 C=CCAPc22010 D=CCAPc32010 E=CCAPc42010 F=CCAPc2010 G=CCAPc12011 H=CCAPc22011 I=CCAPc32011 J=CCAPc42011 K=CCAPc2011 L=CCAPc12012 M=CCAPc22012 N=CCAPc32012 O=CCAPc42012 P=CCAPc2012 Q=CCAPc12013 R=CCAPc22013 S=CCAPc32013 T=CCAPc42013 U=CCAPc2013 V=CCAPc12014 W=CCAPc22014 X=CCAPc32014 Y=CCAPc42014 Z=CCAPc2014 AA=CCAPc12015 AB=CCAPc22015 AC=CCAPc32015 AD=CCAPc42015 AE=CCAPc2015 AF=CCAPc12016 AG=CCAPc22016 AH=CCAPc32016 AI=CCAPc42016 AJ=CCAPc2016 AK=CCAPc12017 AL=CCAPc22017 AM=CCAPc32017 AN=CCAPc42017 AO=CCAPc2017 AP=CCAPc12018 AQ=CCAPc22018 AR=CCAPc32018 AS=CCAPc42018 AT=CCAPc2018 AU=CCAPc12019 AV=CCAPc22019 AW=CCAPc32019 AX=CCAPc42019 AY=CCAPc2019));if ZipCode>0;run;
data CCAP1;set CCAP_1a CCAP_2a CCAP_3a CCAP_4a CCAP_5a CCAP_6a CCAP_7a;run;/*N=1384, 51 variables*/
/* Child Care Assistance Program Data - Wide Form to Long Form */;
proc transpose data=CCAP1 out=CCAP1c1 prefix=CCAPc1;by ZipCode;var CCAPc12010-CCAPc12019;run;       /*N=13840, 4 variables*/
proc transpose data=CCAP1 out=CCAP1c2 prefix=CCAPc2;by ZipCode;var CCAPc22010-CCAPc22019;run;       /*N=13840, 4 variables*/
proc transpose data=CCAP1 out=CCAP1c3 prefix=CCAPc3;by ZipCode;var CCAPc32010-CCAPc32019;run;       /*N=13840, 4 variables*/
proc transpose data=CCAP1 out=CCAP1c4 prefix=CCAPc4;by ZipCode;var CCAPc42010-CCAPc42019;run;       /*N=13840, 4 variables*/
proc transpose data=CCAP1 out=CCAP1c  prefix=CCAPc ;by ZipCode;var CCAPc2010 -CCAPc2019 ;run;       /*N=13840, 4 variables*/
data CCAP2c1;set CCAP1c1;Year=substr(_NAME_,7,4)+0;CCAPc1=CCAPc11+0;drop _NAME_ _LABEL_ CCAPc11;run;/*N=13840, 3 variables*/
data CCAP2c2;set CCAP1c2;Year=substr(_NAME_,7,4)+0;CCAPc2=CCAPc21+0;drop _NAME_ _LABEL_ CCAPc21;run;/*N=13840, 3 variables*/
data CCAP2c3;set CCAP1c3;Year=substr(_NAME_,7,4)+0;CCAPc3=CCAPc31+0;drop _NAME_ _LABEL_ CCAPc31;run;/*N=13840, 3 variables*/
data CCAP2c4;set CCAP1c4;Year=substr(_NAME_,7,4)+0;CCAPc4=CCAPc41+0;drop _NAME_ _LABEL_ CCAPc41;run;/*N=13840, 3 variables*/
data CCAP2c ;set CCAP1c ;Year=substr(_NAME_,6,4)+0;CCAPc =CCAPc1 +0;drop _NAME_ _LABEL_ CCAPc1 ;run;/*N=13840, 3 variables*/
proc sort data=CCAP2c1;by ZipCode Year;run;
proc sort data=CCAP2c2;by ZipCode Year;run;
proc sort data=CCAP2c3;by ZipCode Year;run;
proc sort data=CCAP2c4;by ZipCode Year;run;
proc sort data=CCAP2c ;by ZipCode Year;run;
data CCAP2;merge CCAP2c1 CCAP2c2 CCAP2c3 CCAP2c4 CCAP2c;by ZipCode Year;
label 
CCAPc1="# children age 0 to 1 year receiving Child Care Assistance Program"
CCAPc2="# children age 2 years receiving Child Care Assistance Program"
CCAPc3="# children age 3 to 4 years receiving Child Care Assistance Program"
CCAPc4="# children age 5 years receiving Child Care Assistance Program"
CCAPc ="# children age 0 to 5 years receiving Child Care Assistance Program"
;run;
/*N=13840, 7 variables*/





/*******************************************************************************************************************************************************************************/
/*******************************************************************************************************************************************************************************/
/*******************************************************************************************************************************************************************************/
/* Zip Code Population Data ****************************************************************************************************************************************************/
/* Zip Code Population Data ****************************************************************************************************************************************************/
/* Zip Code Population Data ****************************************************************************************************************************************************/
/*******************************************************************************************************************************************************************************/
/*******************************************************************************************************************************************************************************/
/*******************************************************************************************************************************************************************************/
/***/
/* Zip Code Child Population Data - Renaming Variables */;
data Popz_1a;set Popz_1(rename=(A=ZipCode B=TPop2010 C=CPop02010 D=CPop12010 E=CPop22010 F=CPop32010 G=CPop42010 H=CPop52010 I=CPop2010 J=TPop2011 K=CPop02011 L=CPop12011 M=CPop22011 N=CPop32011 O=CPop42011 P=CPop52011 Q=CPop2011 R=TPop2012 S=CPop02012 T=CPop12012 U=CPop22012 V=CPop32012 W=CPop42012 X=CPop52012 Y=CPop2012 Z=TPop2013 AA=CPop02013 AB=CPop12013 AC=CPop22013 AD=CPop32013 AE=CPop42013 AF=CPop52013 AG=CPop2013 AH=TPop2014 AI=CPop02014 AJ=CPop12014 AK=CPop22014 AL=CPop32014 AM=CPop42014 AN=CPop52014 AO=CPop2014 AP=TPop2015 AQ=CPop02015 AR=CPop12015 AS=CPop22015 AT=CPop32015 AU=CPop42015 AV=CPop52015 AW=CPop2015 AX=TPop2016 AY=CPop02016 AZ=CPop12016 BA=CPop22016 BB=CPop32016 BC=CPop42016 BD=CPop52016 BE=CPop2016 BF=TPop2017 BG=CPop02017 BH=CPop12017 BI=CPop22017 BJ=CPop32017 BK=CPop42017 BL=CPop52017 BM=CPop2017 BN=TPop2018 BO=CPop02018 BP=CPop12018 BQ=CPop22018 BR=CPop32018 BS=CPop42018 BT=CPop52018 BU=CPop2018));if ZipCode>0;run;
data Popz_2a;set Popz_2(rename=(A=ZipCode B=TPop2010 C=CPop02010 D=CPop12010 E=CPop22010 F=CPop32010 G=CPop42010 H=CPop52010 I=CPop2010 J=TPop2011 K=CPop02011 L=CPop12011 M=CPop22011 N=CPop32011 O=CPop42011 P=CPop52011 Q=CPop2011 R=TPop2012 S=CPop02012 T=CPop12012 U=CPop22012 V=CPop32012 W=CPop42012 X=CPop52012 Y=CPop2012 Z=TPop2013 AA=CPop02013 AB=CPop12013 AC=CPop22013 AD=CPop32013 AE=CPop42013 AF=CPop52013 AG=CPop2013 AH=TPop2014 AI=CPop02014 AJ=CPop12014 AK=CPop22014 AL=CPop32014 AM=CPop42014 AN=CPop52014 AO=CPop2014 AP=TPop2015 AQ=CPop02015 AR=CPop12015 AS=CPop22015 AT=CPop32015 AU=CPop42015 AV=CPop52015 AW=CPop2015 AX=TPop2016 AY=CPop02016 AZ=CPop12016 BA=CPop22016 BB=CPop32016 BC=CPop42016 BD=CPop52016 BE=CPop2016 BF=TPop2017 BG=CPop02017 BH=CPop12017 BI=CPop22017 BJ=CPop32017 BK=CPop42017 BL=CPop52017 BM=CPop2017 BN=TPop2018 BO=CPop02018 BP=CPop12018 BQ=CPop22018 BR=CPop32018 BS=CPop42018 BT=CPop52018 BU=CPop2018));if ZipCode>0;run;
data Popz_3a;set Popz_3(rename=(A=ZipCode B=TPop2010 C=CPop02010 D=CPop12010 E=CPop22010 F=CPop32010 G=CPop42010 H=CPop52010 I=CPop2010 J=TPop2011 K=CPop02011 L=CPop12011 M=CPop22011 N=CPop32011 O=CPop42011 P=CPop52011 Q=CPop2011 R=TPop2012 S=CPop02012 T=CPop12012 U=CPop22012 V=CPop32012 W=CPop42012 X=CPop52012 Y=CPop2012 Z=TPop2013 AA=CPop02013 AB=CPop12013 AC=CPop22013 AD=CPop32013 AE=CPop42013 AF=CPop52013 AG=CPop2013 AH=TPop2014 AI=CPop02014 AJ=CPop12014 AK=CPop22014 AL=CPop32014 AM=CPop42014 AN=CPop52014 AO=CPop2014 AP=TPop2015 AQ=CPop02015 AR=CPop12015 AS=CPop22015 AT=CPop32015 AU=CPop42015 AV=CPop52015 AW=CPop2015 AX=TPop2016 AY=CPop02016 AZ=CPop12016 BA=CPop22016 BB=CPop32016 BC=CPop42016 BD=CPop52016 BE=CPop2016 BF=TPop2017 BG=CPop02017 BH=CPop12017 BI=CPop22017 BJ=CPop32017 BK=CPop42017 BL=CPop52017 BM=CPop2017 BN=TPop2018 BO=CPop02018 BP=CPop12018 BQ=CPop22018 BR=CPop32018 BS=CPop42018 BT=CPop52018 BU=CPop2018));if ZipCode>0;run;
data Popz_4a;set Popz_4(rename=(A=ZipCode B=TPop2010 C=CPop02010 D=CPop12010 E=CPop22010 F=CPop32010 G=CPop42010 H=CPop52010 I=CPop2010 J=TPop2011 K=CPop02011 L=CPop12011 M=CPop22011 N=CPop32011 O=CPop42011 P=CPop52011 Q=CPop2011 R=TPop2012 S=CPop02012 T=CPop12012 U=CPop22012 V=CPop32012 W=CPop42012 X=CPop52012 Y=CPop2012 Z=TPop2013 AA=CPop02013 AB=CPop12013 AC=CPop22013 AD=CPop32013 AE=CPop42013 AF=CPop52013 AG=CPop2013 AH=TPop2014 AI=CPop02014 AJ=CPop12014 AK=CPop22014 AL=CPop32014 AM=CPop42014 AN=CPop52014 AO=CPop2014 AP=TPop2015 AQ=CPop02015 AR=CPop12015 AS=CPop22015 AT=CPop32015 AU=CPop42015 AV=CPop52015 AW=CPop2015 AX=TPop2016 AY=CPop02016 AZ=CPop12016 BA=CPop22016 BB=CPop32016 BC=CPop42016 BD=CPop52016 BE=CPop2016 BF=TPop2017 BG=CPop02017 BH=CPop12017 BI=CPop22017 BJ=CPop32017 BK=CPop42017 BL=CPop52017 BM=CPop2017 BN=TPop2018 BO=CPop02018 BP=CPop12018 BQ=CPop22018 BR=CPop32018 BS=CPop42018 BT=CPop52018 BU=CPop2018));if ZipCode>0;run;
data Popz_5a;set Popz_5(rename=(A=ZipCode B=TPop2010 C=CPop02010 D=CPop12010 E=CPop22010 F=CPop32010 G=CPop42010 H=CPop52010 I=CPop2010 J=TPop2011 K=CPop02011 L=CPop12011 M=CPop22011 N=CPop32011 O=CPop42011 P=CPop52011 Q=CPop2011 R=TPop2012 S=CPop02012 T=CPop12012 U=CPop22012 V=CPop32012 W=CPop42012 X=CPop52012 Y=CPop2012 Z=TPop2013 AA=CPop02013 AB=CPop12013 AC=CPop22013 AD=CPop32013 AE=CPop42013 AF=CPop52013 AG=CPop2013 AH=TPop2014 AI=CPop02014 AJ=CPop12014 AK=CPop22014 AL=CPop32014 AM=CPop42014 AN=CPop52014 AO=CPop2014 AP=TPop2015 AQ=CPop02015 AR=CPop12015 AS=CPop22015 AT=CPop32015 AU=CPop42015 AV=CPop52015 AW=CPop2015 AX=TPop2016 AY=CPop02016 AZ=CPop12016 BA=CPop22016 BB=CPop32016 BC=CPop42016 BD=CPop52016 BE=CPop2016 BF=TPop2017 BG=CPop02017 BH=CPop12017 BI=CPop22017 BJ=CPop32017 BK=CPop42017 BL=CPop52017 BM=CPop2017 BN=TPop2018 BO=CPop02018 BP=CPop12018 BQ=CPop22018 BR=CPop32018 BS=CPop42018 BT=CPop52018 BU=CPop2018));if ZipCode>0;run;
data Popz_6a;set Popz_6(rename=(A=ZipCode B=TPop2010 C=CPop02010 D=CPop12010 E=CPop22010 F=CPop32010 G=CPop42010 H=CPop52010 I=CPop2010 J=TPop2011 K=CPop02011 L=CPop12011 M=CPop22011 N=CPop32011 O=CPop42011 P=CPop52011 Q=CPop2011 R=TPop2012 S=CPop02012 T=CPop12012 U=CPop22012 V=CPop32012 W=CPop42012 X=CPop52012 Y=CPop2012 Z=TPop2013 AA=CPop02013 AB=CPop12013 AC=CPop22013 AD=CPop32013 AE=CPop42013 AF=CPop52013 AG=CPop2013 AH=TPop2014 AI=CPop02014 AJ=CPop12014 AK=CPop22014 AL=CPop32014 AM=CPop42014 AN=CPop52014 AO=CPop2014 AP=TPop2015 AQ=CPop02015 AR=CPop12015 AS=CPop22015 AT=CPop32015 AU=CPop42015 AV=CPop52015 AW=CPop2015 AX=TPop2016 AY=CPop02016 AZ=CPop12016 BA=CPop22016 BB=CPop32016 BC=CPop42016 BD=CPop52016 BE=CPop2016 BF=TPop2017 BG=CPop02017 BH=CPop12017 BI=CPop22017 BJ=CPop32017 BK=CPop42017 BL=CPop52017 BM=CPop2017 BN=TPop2018 BO=CPop02018 BP=CPop12018 BQ=CPop22018 BR=CPop32018 BS=CPop42018 BT=CPop52018 BU=CPop2018));if ZipCode>0;run;
data Popz_7a;set Popz_7(rename=(A=ZipCode B=TPop2010 C=CPop02010 D=CPop12010 E=CPop22010 F=CPop32010 G=CPop42010 H=CPop52010 I=CPop2010 J=TPop2011 K=CPop02011 L=CPop12011 M=CPop22011 N=CPop32011 O=CPop42011 P=CPop52011 Q=CPop2011 R=TPop2012 S=CPop02012 T=CPop12012 U=CPop22012 V=CPop32012 W=CPop42012 X=CPop52012 Y=CPop2012 Z=TPop2013 AA=CPop02013 AB=CPop12013 AC=CPop22013 AD=CPop32013 AE=CPop42013 AF=CPop52013 AG=CPop2013 AH=TPop2014 AI=CPop02014 AJ=CPop12014 AK=CPop22014 AL=CPop32014 AM=CPop42014 AN=CPop52014 AO=CPop2014 AP=TPop2015 AQ=CPop02015 AR=CPop12015 AS=CPop22015 AT=CPop32015 AU=CPop42015 AV=CPop52015 AW=CPop2015 AX=TPop2016 AY=CPop02016 AZ=CPop12016 BA=CPop22016 BB=CPop32016 BC=CPop42016 BD=CPop52016 BE=CPop2016 BF=TPop2017 BG=CPop02017 BH=CPop12017 BI=CPop22017 BJ=CPop32017 BK=CPop42017 BL=CPop52017 BM=CPop2017 BN=TPop2018 BO=CPop02018 BP=CPop12018 BQ=CPop22018 BR=CPop32018 BS=CPop42018 BT=CPop52018 BU=CPop2018));if ZipCode>0;run;
data Popz1;set Popz_1a Popz_2a Popz_3a Popz_4a Popz_5a Popz_6a Popz_7a;run;/*N=1384, 73 variables*/
/* Zip Code Child Population Data - Wide Form to Long Form */;
proc transpose data=Popz1 out=TPop  prefix=TPop ;by ZipCode;var TPop2010 -TPop2018 ;run;       /*N=12456, 4 variables*/
proc transpose data=Popz1 out=CPop0 prefix=CPop0;by ZipCode;var CPop02010-CPop02018;run;       /*N=12456, 4 variables*/
proc transpose data=Popz1 out=CPop1 prefix=CPop1;by ZipCode;var CPop12010-CPop12018;run;       /*N=12456, 4 variables*/
proc transpose data=Popz1 out=CPop2 prefix=CPop2;by ZipCode;var CPop22010-CPop22018;run;       /*N=12456, 4 variables*/
proc transpose data=Popz1 out=CPop3 prefix=CPop3;by ZipCode;var CPop32010-CPop32018;run;       /*N=12456, 4 variables*/
proc transpose data=Popz1 out=CPop4 prefix=CPop4;by ZipCode;var CPop42010-CPop42018;run;       /*N=12456, 4 variables*/
proc transpose data=Popz1 out=CPop5 prefix=CPop5;by ZipCode;var CPop52010-CPop52018;run;       /*N=12456, 4 variables*/
proc transpose data=Popz1 out=CPop  prefix=CPop ;by ZipCode;var CPop2010 -CPop2018 ;run;       /*N=12456, 4 variables*/
data TPopa ;set TPop ;Year=substr(_NAME_,5,4)+0;TPop =TPop1 +0;drop _NAME_ _LABEL_ TPop1 ;run;/*N=12456, 3 variables*/
data CPop0a;set CPop0;Year=substr(_NAME_,6,4)+0;CPop0=CPop01+0;drop _NAME_ _LABEL_ CPop01;run;/*N=12456, 3 variables*/
data CPop1a;set CPop1;Year=substr(_NAME_,6,4)+0;CPop1=CPop11+0;drop _NAME_ _LABEL_ CPop11;run;/*N=12456, 3 variables*/
data CPop2a;set CPop2;Year=substr(_NAME_,6,4)+0;CPop2=CPop21+0;drop _NAME_ _LABEL_ CPop21;run;/*N=12456, 3 variables*/
data CPop3a;set CPop3;Year=substr(_NAME_,6,4)+0;CPop3=CPop31+0;drop _NAME_ _LABEL_ CPop31;run;/*N=12456, 3 variables*/
data CPop4a;set CPop4;Year=substr(_NAME_,6,4)+0;CPop4=CPop41+0;drop _NAME_ _LABEL_ CPop41;run;/*N=12456, 3 variables*/
data CPop5a;set CPop5;Year=substr(_NAME_,6,4)+0;CPop5=CPop51+0;drop _NAME_ _LABEL_ CPop51;run;/*N=12456, 3 variables*/
data CPopa ;set CPop ;Year=substr(_NAME_,5,4)+0;CPop =CPop1 +0;drop _NAME_ _LABEL_ CPop1 ;run;/*N=12456, 3 variables*/
proc sort data=TPopa ;by ZipCode Year;run;
proc sort data=CPop0a;by ZipCode Year;run;
proc sort data=CPop1a;by ZipCode Year;run;
proc sort data=CPop2a;by ZipCode Year;run;
proc sort data=CPop3a;by ZipCode Year;run;
proc sort data=CPop4a;by ZipCode Year;run;
proc sort data=CPop5a;by ZipCode Year;run;
proc sort data=CPopa ;by ZipCode Year;run;
data Popz2(rename=(TPop=I_TPopz CPop0=I_CPop0z CPop1=I_CPop1z CPop2=I_CPop2z CPop3=I_CPop3z CPop4=I_CPop4z CPop5=I_CPop5z CPop=I_CPopz));
merge TPopa CPop0a CPop1a CPop2a CPop3a CPop4a CPop5a CPopa;by ZipCode Year;
label 
TPop ="# persons,Zip Code,IECAM"
CPop0="# children age 0 year,Zip Code,IECAM"
CPop1="# children age 1 year,Zip Code,IECAM"
CPop2="# children age 2 years,Zip Code,IECAM"
CPop3="# children age 3 years,Zip Code,IECAM"
CPop4="# children age 4 years,Zip Code,IECAM"
CPop5="# children age 5 years,Zip Code,IECAM"
CPop ="# children age 0-5 years,Zip Code,IECAM"
;run;
/*N=12456, 10 variables*/





/*******************************************************************************************************************************************************************************/
/*******************************************************************************************************************************************************************************/
/*******************************************************************************************************************************************************************************/
/* Managing County-Level Data **************************************************************************************************************************************************/
/* Managing County-Level Data **************************************************************************************************************************************************/
/* Managing County-Level Data **************************************************************************************************************************************************/
/*******************************************************************************************************************************************************************************/
/*******************************************************************************************************************************************************************************/
/*******************************************************************************************************************************************************************************/
/***/
/***/
/***/
/* County Homeless Data - Renaming Variables & Managing County Names */;
data Homels1;set Homels;Year=2017;
HomelessC1=B+0;
HomelessC2=C+0;
HomelessC3=D+0;
HomelessC4=E+0;
HomelessC5=F+0;
HomelessC =G+0;
if A not in ("" "Counties" "Cook - Chicago" "Cook - Suburbs");
if A="Cook - Total" then A="Cook";
if A="DeWitt" then A="De Witt";
NAME=upcase(strip(compbl(A)))||" COUNTY, ILLINOIS";
drop A B C D E F G;
label
HomelessC1="# homeless students among PFA students (approximately age 3-4 years),County"
HomelessC2="# homeless students among K students (approximately 5 years),County"
HomelessC3="# homeless students among Grade 1 students (approximately age 6 years),County"
HomelessC4="# homeless students among Grade 2 students (approximately age 7 years),County"
HomelessC5="# homeless students among Grade 3 students (approximately age 8 years),County"
HomelessC ="# homeless students among PFA, K, and Grade 1-3 students (approximately age 3-8 years),County"
;run;
/*N=102, 8 variables*/
/***/
/* County Population Data - ACS 2013-2017 (table: B09001 - Population Under 18 Years by Age) */;
libname b "Z:\CDCK01\Data_County\Census";
data acs2017;set b.acs20132017(rename=(B09001004=HomelessD1 B09001005=HomelessD2 B09001006=HomelessD3));if substr(FIPS,1,2)="17";
CountyFIPS=FIPS+0;
NAME=upcase(strip(compbl(NAME)));
HomelessD=HomelessD1+HomelessD2+HomelessD3;
keep CountyFIPS NAME HomelessD1 HomelessD2 HomelessD3 HomelessD;
label 
HomelessD1="# children age 3-4 years in households (demoninator for HomelessC1),County"
HomelessD2="# children age 5 years in households (demoninator for HomelessC2),County"
HomelessD3="# children age 6-8 years in households (demoninator for HomelessC3+HomelessC4+HomelessC5),County"
HomelessD ="# children age 3-8 years in households (demoninator for HomelessC),County";
run;
/*N=102, 6 variables*/
/***/
/* Merging County Homeless Data and County Population Data */;
proc sort data=Homels1;by NAME;run;
proc sort data=acs2017;by NAME;run;
data Homels2;retain Year CountyFIPS;merge Homels1 acs2017;by NAME;drop NAME;
Homeless1=HomelessC1/HomelessD1*100;
Homeless2=HomelessC2/HomelessD2*100;
Homeless3=(HomelessC3+HomelessC4+HomelessC5)/HomelessD3*100;
Homeless =HomelessC/HomelessD*100;
label
Homeless1="# homeless PFA students per 100 children age 3-4 years in households,County"
Homeless2="# homeless K students per 100 children age 5 years in households,County"
Homeless3="# homeless Grade 1-3 students per 100 children age 6-8 years in households,County"
Homeless ="# homeless PFA/K/Grade 1-3 students per 100 children age 3-8 years in households,County";
run;
/*N=102, 16 variables*/
/***/
/***/
/***/
/* IECAM County Population Data */;
data Popc1;set Popcty(rename=(
B=TPopC2000 C=CPopC02000 D=CPopC12000 E=CPopC22000 F=CPopC32000 G=CPopC42000 H=CPopC52000 I=CPopC2000 J=TPopC2005 K=CPopC02005 L=CPopC12005 M=CPopC22005 N=CPopC32005 O=CPopC42005 P=CPopC52005 Q=CPopC2005 R=TPopC2006 S=CPopC02006 T=CPopC12006 U=CPopC22006 V=CPopC32006 W=CPopC42006 X=CPopC52006 Y=CPopC2006 Z=TPopC2007 AA=CPopC02007 AB=CPopC12007 AC=CPopC22007 AD=CPopC32007 AE=CPopC42007 AF=CPopC52007 AG=CPopC2007 AH=TPopC2008 AI=CPopC02008 AJ=CPopC12008 AK=CPopC22008 AL=CPopC32008 AM=CPopC42008 AN=CPopC52008 AO=CPopC2008 AP=TPopC2009 AQ=CPopC02009 AR=CPopC12009 AS=CPopC22009 AT=CPopC32009 AU=CPopC42009 AV=CPopC52009 AW=CPopC2009 AX=TPopC2010 AY=CPopC02010 AZ=CPopC12010 BA=CPopC22010 BB=CPopC32010 BC=CPopC42010 BD=CPopC52010 BE=CPopC2010 BF=TPopC2011 BG=CPopC02011 BH=CPopC12011 BI=CPopC22011 BJ=CPopC32011 
BK=CPopC42011 BL=CPopC52011 BM=CPopC2011 BN=TPopC2012 BO=CPopC02012 BP=CPopC12012 BQ=CPopC22012 BR=CPopC32012 BS=CPopC42012 BT=CPopC52012 BU=CPopC2012 BV=TPopC2013 BW=CPopC02013 BX=CPopC12013 BY=CPopC22013 BZ=CPopC32013 CA=CPopC42013 CB=CPopC52013 CC=CPopC2013 CD=TPopC2014 CE=CPopC02014 CF=CPopC12014 CG=CPopC22014 CH=CPopC32014 CI=CPopC42014 CJ=CPopC52014 CK=CPopC2014 CL=TPopC2015 CM=CPopC02015 CN=CPopC12015 CO=CPopC22015 CP=CPopC32015 CQ=CPopC42015 CR=CPopC52015 CS=CPopC2015 CT=TPopC2016 CU=CPopC02016 CV=CPopC12016 CW=CPopC22016 CX=CPopC32016 CY=CPopC42016 CZ=CPopC52016 DA=CPopC2016 DB=TPopC2017 DC=CPopC02017 DD=CPopC12017 DE=CPopC22017 DF=CPopC32017 DG=CPopC42017 DH=CPopC52017 DI=CPopC2017 DJ=TPopC2018 DK=CPopC02018 DL=CPopC12018 DM=CPopC22018 DN=CPopC32018 DO=CPopC42018 DP=CPopC52018 DQ=CPopC2018
));
if A not in ("" "Counties" "Cook - Chicago" "Cook - Suburbs");
if A="Cook - Total" then A="Cook";
if A="DeWitt" then A="De Witt";
NAME=upcase(strip(compbl(A)))||" COUNTY, ILLINOIS";
drop A;
run; 
/*N=102, 121 variables*/
proc sort data=Popc1;by NAME;run;
proc transpose data=Popc1 out=TPopC  prefix=TPopC ;by NAME;var TPopC2000  TPopC2005 -TPopC2018 ;run; /*N=1530, 4 variables*/
proc transpose data=Popc1 out=CPopC0 prefix=CPopC0;by NAME;var CPopC02000 CPopC02005-CPopC02018;run; /*N=1530, 4 variables*/
proc transpose data=Popc1 out=CPopC1 prefix=CPopC1;by NAME;var CPopC12000 CPopC12005-CPopC12018;run; /*N=1530, 4 variables*/
proc transpose data=Popc1 out=CPopC2 prefix=CPopC2;by NAME;var CPopC22000 CPopC22005-CPopC22018;run; /*N=1530, 4 variables*/
proc transpose data=Popc1 out=CPopC3 prefix=CPopC3;by NAME;var CPopC32000 CPopC32005-CPopC32018;run; /*N=1530, 4 variables*/
proc transpose data=Popc1 out=CPopC4 prefix=CPopC4;by NAME;var CPopC42000 CPopC42005-CPopC42018;run; /*N=1530, 4 variables*/
proc transpose data=Popc1 out=CPopC5 prefix=CPopC5;by NAME;var CPopC52000 CPopC52005-CPopC52018;run; /*N=1530, 4 variables*/
proc transpose data=Popc1 out=CPopC  prefix=CPopC ;by NAME;var CPopC2000  CPopC2005 -CPopC2018 ;run; /*N=1530, 4 variables*/
data TPopCa ;set TPopC ;Year=substr(_NAME_,6,4)+0;TPopC =TPopC1 +0;drop _NAME_ _LABEL_ TPopC1 ;run; /*N=1530, 3 variables*/
data CPopC0a;set CPopC0;Year=substr(_NAME_,7,4)+0;CPopC0=CPopC01+0;drop _NAME_ _LABEL_ CPopC01;run; /*N=1530, 3 variables*/
data CPopC1a;set CPopC1;Year=substr(_NAME_,7,4)+0;CPopC1=CPopC11+0;drop _NAME_ _LABEL_ CPopC11;run; /*N=1530, 3 variables*/
data CPopC2a;set CPopC2;Year=substr(_NAME_,7,4)+0;CPopC2=CPopC21+0;drop _NAME_ _LABEL_ CPopC21;run; /*N=1530, 3 variables*/
data CPopC3a;set CPopC3;Year=substr(_NAME_,7,4)+0;CPopC3=CPopC31+0;drop _NAME_ _LABEL_ CPopC31;run; /*N=1530, 3 variables*/
data CPopC4a;set CPopC4;Year=substr(_NAME_,7,4)+0;CPopC4=CPopC41+0;drop _NAME_ _LABEL_ CPopC41;run; /*N=1530, 3 variables*/
data CPopC5a;set CPopC5;Year=substr(_NAME_,7,4)+0;CPopC5=CPopC51+0;drop _NAME_ _LABEL_ CPopC51;run; /*N=1530, 3 variables*/
data CPopCa ;set CPopC ;Year=substr(_NAME_,6,4)+0;CPopC =CPopC1 +0;drop _NAME_ _LABEL_ CPopC1 ;run; /*N=1530, 3 variables*/
proc sort data=TPopCa ;by NAME Year;run;
proc sort data=CPopC0a;by NAME Year;run;
proc sort data=CPopC1a;by NAME Year;run;
proc sort data=CPopC2a;by NAME Year;run;
proc sort data=CPopC3a;by NAME Year;run;
proc sort data=CPopC4a;by NAME Year;run;
proc sort data=CPopC5a;by NAME Year;run;
proc sort data=CPopCa ;by NAME Year;run;
data Popc2;merge TPopCa CPopC0a CPopC1a CPopC2a CPopC3a CPopC4a CPopC5a CPopCa;by NAME Year;
label 
TPopC ="# persons,County"
CPopC0="# children age 0 year,County"
CPopC1="# children age 1 year,County"
CPopC2="# children age 2 years,County"
CPopC3="# children age 3 years,County"
CPopC4="# children age 4 years,County"
CPopC5="# children age 5 years,County"
CPopC ="# children age 0-5 years,County"
;run;
/*N=1530, 10 variables*/
/* Merging with Census Population Data to Get County FIPS */
proc sort data=Popc2  ;by NAME;run;
proc sort data=acs2017;by NAME;run;
data Popc3;merge Popc2 acs2017;by NAME;drop HomelessD1 HomelessD2 HomelessD3 HomelessD;run; /*N=1530, 11 variables*/
/***/
/***/
/***/
/* DHS Home Visiting Program Data - Renaming Variables & Managing County Names */;
data IDHSHV1;set IDHSHV(rename=(B=DHS_HFI12008 C=DHS_HFI22008 D=DHS_PTS12008 E=DHS_PTS22008 F=DHS_HFI12009 G=DHS_HFI22009 H=DHS_PTS12009 I=DHS_PTS22009 J=DHS_HFI12010 K=DHS_HFI22010 L=DHS_PTS12010 M=DHS_PTS22010 N=DHS_HFI12011 O=DHS_HFI22011 P=DHS_PTS12011 Q=DHS_PTS22011 R=DHS_HFI12012 S=DHS_HFI22012 T=DHS_PTS12012 U=DHS_PTS22012 V=DHS_HFI12013 W=DHS_HFI22013 X=DHS_PTS12013 Y=DHS_PTS22013 Z=DHS_HFI12014 AA=DHS_HFI22014 AB=DHS_PTS12014 AC=DHS_PTS22014 AD=DHS_HFI12015 AE=DHS_HFI22015 AF=DHS_PTS12015 AG=DHS_PTS22015 AH=DHS_HFI12016 AI=DHS_HFI22016 AJ=DHS_PTS12016 AK=DHS_PTS22016 AL=DHS_HFI12017 AM=DHS_HFI22017 AN=DHS_PTS12017 AO=DHS_PTS22017 AP=DHS_HFI12018 AQ=DHS_HFI22018 AR=DHS_PTS12018 AS=DHS_PTS22018 AT=DHS_HFI12019 AU=DHS_HFI22019 AV=DHS_PTS12019 AW=DHS_PTS22019));
if A not in ("" "Counties" "Cook - Chicago" "Cook - Suburbs");
if A="Cook - Total" then A="Cook";
if A="DeWitt" then A="De Witt";
NAME=upcase(strip(compbl(A)))||" COUNTY, ILLINOIS";
drop A;
run; 
/*N=102, 49 variables*/
/* DHS Home Visiting Program Data - Wide Form to Long Form */;
proc sort data=IDHSHV1;by NAME;run;
proc transpose data=IDHSHV1 out=DHS_HFI1 prefix=DHS_HFI1;by NAME;var DHS_HFI12008-DHS_HFI12019;run; /*N=1224, 4 variables*/
proc transpose data=IDHSHV1 out=DHS_HFI2 prefix=DHS_HFI2;by NAME;var DHS_HFI22008-DHS_HFI22019;run; /*N=1224, 4 variables*/
proc transpose data=IDHSHV1 out=DHS_PTS1 prefix=DHS_PTS1;by NAME;var DHS_PTS12008-DHS_PTS12019;run; /*N=1224, 4 variables*/
proc transpose data=IDHSHV1 out=DHS_PTS2 prefix=DHS_PTS2;by NAME;var DHS_PTS22008-DHS_PTS22019;run; /*N=1224, 4 variables*/
data DHS_HFI1a;set DHS_HFI1;Year=substr(_NAME_,9,4)+0;DHS_HFI1=DHS_HFI11+0;drop _NAME_ _LABEL_ DHS_HFI11;run; /*N=1224, 3 variables*/
data DHS_HFI2a;set DHS_HFI2;Year=substr(_NAME_,9,4)+0;DHS_HFI2=DHS_HFI21+0;drop _NAME_ _LABEL_ DHS_HFI21;run; /*N=1224, 3 variables*/
data DHS_PTS1a;set DHS_PTS1;Year=substr(_NAME_,9,4)+0;DHS_PTS1=DHS_PTS11+0;drop _NAME_ _LABEL_ DHS_PTS11;run; /*N=1224, 3 variables*/
data DHS_PTS2a;set DHS_PTS2;Year=substr(_NAME_,9,4)+0;DHS_PTS2=DHS_PTS21+0;drop _NAME_ _LABEL_ DHS_PTS21;run; /*N=1224, 3 variables*/
proc sort data=DHS_HFI1a;by NAME Year;run;
proc sort data=DHS_HFI2a;by NAME Year;run;
proc sort data=DHS_PTS1a;by NAME Year;run;
proc sort data=DHS_PTS2a;by NAME Year;run;
data IDHSHV2;merge DHS_HFI1a DHS_HFI2a DHS_PTS1a DHS_PTS2a;by NAME Year;
label 
DHS_HFI1="IDHS Home Visiting Program-Healthy Families Illinois:# children age 0-2 years served,County"
DHS_HFI2="IDHS Home Visiting Program-Healthy Families Illinois:# children age 3-5 years served,County"
DHS_PTS1="IDHS Home Visiting Program-Parents Too Soon (HFI/NFP/PAT):# children age 0-2 years served,County"
DHS_PTS2="IDHS Home Visiting Program-Parents Too Soon (HFI/NFP/PAT):# children age 3-5 years served,County"
;run;
/***/
/* Merging IDHS Home Visiting Program Data with IECAM County Population Data */;
proc sort data=IDHSHV2;by NAME Year;run;
proc sort data=Popc3  ;by NAME Year;run;
data IDHSHV3;retain Year CountyFIPS NAME;merge IDHSHV2(IN=A) Popc3(IN=B);by NAME Year;if (A=B);
DHS_HFIr1=DHS_HFI1/(CPopC0+CPopC1+CPopC2)*1000;
DHS_HFIr2=DHS_HFI2/(CPopC3+CPopC4+CPopC5)*1000;
DHS_HFIr =(DHS_HFI1+DHS_HFI2)/CPopC*1000;
DHS_PTSr1=DHS_PTS1/(CPopC0+CPopC1+CPopC2)*1000;
DHS_PTSr2=DHS_PTS2/(CPopC3+CPopC4+CPopC5)*1000;
DHS_PTSr =(DHS_PTS1+DHS_PTS2)/CPopC*1000;
DHS_HVPr =(DHS_HFI1+DHS_HFI2+DHS_PTS1+DHS_PTS2)/CPopC*1000;
label
DHS_HFIr1="IDHS HVP-Healthy Families Illinois:# served per 1k children age 0-2 years,County"
DHS_HFIr2="IDHS HVP-Healthy Families Illinois:# served per 1k children age 3-5 years,County"
DHS_HFIr ="IDHS HVP-Healthy Families Illinois:# served per 1k children age 0-5 years,County"
DHS_PTSr1="IDHS HVP-Parents Too Soon (HFI/NFP/PAT):# served per 1k children age 0-2 years,County"
DHS_PTSr2="IDHS HVP-Parents Too Soon (HFI/NFP/PAT):# served per 1k children age 3-5 years,County"
DHS_PTSr ="IDHS HVP-Parents Too Soon (HFI/NFP/PAT):# served per 1k children age 0-5 years,County"
DHS_HVPr ="IDHS HVP-All HFI & PTS (HFI/NFP/PAT):# served per 1k children age 0-5 years,County";
drop TPopC CPopC0 CPopC1 CPopC2 CPopC3 CPopC4 CPopC5 CPopC;
run;
/*N=1122, 14 variables*/
/***/
/***/
/***/
/* IDHS Early Intervention Program Data */;
data IDHSEl1;set IDHSEl(rename=(B=IDHS_EI2007 C=IDHS_EI2008 D=IDHS_EI2009 E=IDHS_EI2010 F=IDHS_EI2011 G=IDHS_EI2012 H=IDHS_EI2013 I=IDHS_EI2015 J=IDHS_EI2016 K=IDHS_EI2017 L=IDHS_EI2018 M=IDHS_EI2019));
if A not in ("" "Counties" "Cook - Chicago" "Cook - Suburbs");
if A="Cook - Total" then A="Cook";
if A="DeWitt" then A="De Witt";
NAME=upcase(strip(compbl(A)))||" COUNTY, ILLINOIS";
drop A;
run; 
/*N=102, 13 variables*/
proc sort data=IDHSEl1;by NAME;run;
proc transpose data=IDHSEl1 out=IDHSEl2 prefix=IDHS_EI;by NAME;var IDHS_EI2007-IDHS_EI2013 IDHS_EI2015-IDHS_EI2019;run; /*N=1224, 4 variables*/
data IDHSEl3;set IDHSEl2;Year=substr(_NAME_,8,4)+0;IDHS_EI=IDHS_EI1+0;drop _NAME_ _LABEL_ IDHS_EI1;
label IDHS_EI="# children age 0-2 years served by the IDHS Early Intervention program,County";run;
/*N=1224, 3 variables*/
/***/
/* Merging IDHS Early Intervention Program Data with IECAM County Population Data */;
proc sort data=IDHSEl3;by NAME Year;run;
proc sort data=Popc3  ;by NAME Year;run;
data IDHSEl4;retain Year CountyFIPS NAME;merge IDHSEl3(IN=A) Popc3(IN=B);by NAME Year;if (A=B);
IDHS_EIr=IDHS_EI/(CPopC0+CPopC1+CPopC2)*1000;
label IDHS_EIr="# served by the IDHS Early Intervention program per 1,000 children age 0-2 years,County";
drop TPopC CPopC0 CPopC1 CPopC2 CPopC3 CPopC4 CPopC5 CPopC;
run;
/*N=1122, 5 variables*/





/*******************************************************************************************************************************************************************************/
/*******************************************************************************************************************************************************************************/
/*******************************************************************************************************************************************************************************/
/* Zip Code - County Relationship File *****************************************************************************************************************************************/
/* Zip Code - County Relationship File *****************************************************************************************************************************************/
/* Zip Code - County Relationship File *****************************************************************************************************************************************/
/*******************************************************************************************************************************************************************************/
/*******************************************************************************************************************************************************************************/
/*******************************************************************************************************************************************************************************/
/* Zip Code - County Relationship File */
/* Merging county-level data with the 2010 ZCTA to County relationship file to assign county-level data to zip codes 
   When a zip code is entirely nested in a county, the county will be assigned to that zip code.
   When a zip code is nested in multiple counties, the county with the largest ZPOPPCT (% Total Population of the 2010 ZCTA represented by the record) will be assigned to that zip code.
   ***
   The relationship file is "zip code-county" pair level data. For example, zip code 60013 is nested in two counties 17097 and 17111. 
   3.97% of Zip Code 60013's population are residing in County 17097 and 96.03% are residing in County 17111.   
   The county-level data of County 17111 will be assigned to Zip Code 60013.
   ***
   2010 ZCTA to County Relationship File 
   Website -- https://www.census.gov/geographies/reference-files/time-series/geo/relationship-files.2010.html 
   File    -- https://www2.census.gov/geo/docs/maps-data/data/rel/zcta_county_rel_10.txt */;
data Zip_County1;
/* Importing 2010 ZCTA to County Relationship File */
infile "Z:\CDCK01\Data_Zip\CAN\RawData\IL_ZIP\zcta_county_rel_10.txt" dsd truncover firstobs=2;
input ZCTA5 $ STATE COUNTY GEOID POPPT HUPT AREAPT AREALANDPT ZPOP ZHU ZAREA ZAREALAND COPOP COHU COAREA COAREALAND ZPOPPCT ZHUPCT ZAREAPCT ZAREALANDPCT COPOPPCT COHUPCT COAREAPCT COAREALANDPCT;
/* Selecting IL data */
if State=17; 
/* Excluding Zip Code 63673 -- 2.22% of the Zip Code(=63673) population are IL residents; 97.78% are MO residents */
if ZCTA5=63673 then delete;
/* Renaming, labeling, selecting variables */
ZipCode=ZCTA5+0;
CountyFIPS=GEOID;
label 
ZipCode="5-digit Zip Code"
CountyFIPS="County FIPS code"
ZPOPPCT="The Percentage of Total Population of the 2010 ZCTA represented by the record";
keep ZipCode CountyFIPS ZPOPPCT;
run; /*N=1924 -- 1383 zip codes (proc freq data=Zip_County nlevels;tables ZipCode/noprint;run;) */
proc sort data=Zip_County1;by ZipCode descending ZPOPPCT;run;
data Zip_County;set Zip_County1;by ZipCode;if first.ZipCode;run;
/* proc freq data=Zip_County;tables ZPOPPCT;run;
   67.68% zip codes were entirely nested in a county
   19.38% zip codes were nested across two or more counties and nested 90%-99.99% in one county (in terms of population)
    5.71% zip codes were nested across two or more counties and nested 80%-89.99% in one county (in terms of population)
    2.53% zip codes were nested across two or more counties and nested 70%-79.99% in one county (in terms of population)
    2.39% zip codes were nested across two or more counties and nested 60%-69.99% in one county (in terms of population)
    2.09% zip codes were nested across two or more counties and nested 50%-59.99% in one county (in terms of population)
    0.22% zip codes were nested across two or more counties and nested 44%-49.99% in one county (in terms of population)
   Altogether, 92.77% zip codes were nested over 80% in one county. */





/*******************************************************************************************************************************************************************************/
/*******************************************************************************************************************************************************************************/
/*******************************************************************************************************************************************************************************/
/* Merging County-Level Data with Zip Code-County Relationship File to Assign Zip Codes to County-Level Data *******************************************************************/
/* Merging County-Level Data with Zip Code-County Relationship File to Assign Zip Codes to County-Level Data *******************************************************************/
/* Merging County-Level Data with Zip Code-County Relationship File to Assign Zip Codes to County-Level Data *******************************************************************/
/*******************************************************************************************************************************************************************************/
/*******************************************************************************************************************************************************************************/
/*******************************************************************************************************************************************************************************/
/***/
/* Homeless Data - One-to-Many */
proc sort data=Zip_County;by CountyFIPS;run;
proc sort data=Homels2   ;by CountyFIPS;run;
data Homelsz;retain Year CountyFIPS ZipCode;merge Homels2 Zip_County;by CountyFIPS;drop ZPOPPCT;run; /*N=1383, 17 variables*/
/***/
/* IDHS Home Visiting Program Data - Many-to-Many */
proc sql noprint;
create table IDHSHVz as
select*from IDHSHV3 a
join Zip_County b
on a.CountyFIPS = b.CountyFIPS;
quit;
data IDHSHVz;retain Year CountyFIPS ZipCode;set IDHSHVz;drop ZPOPPCT NAME;run; /*N=15213, 15 variables*/
/***/
/* IDHS Early Intervention Program Data - Many-to-Many */
proc sql noprint;
create table IDHSElz as
select*from IDHSEl4 a
join Zip_County b
on a.CountyFIPS = b.CountyFIPS;
quit;
data IDHSElz;retain Year CountyFIPS ZipCode;set IDHSElz;drop ZPOPPCT NAME;run; /*N=15213, 6 variables*/





/*******************************************************************************************************************************************************************************/
/*******************************************************************************************************************************************************************************/
/*******************************************************************************************************************************************************************************/
/* Merging Data & Saving Permanent Data ****************************************************************************************************************************************/
/* Merging Data & Saving Permanent Data ****************************************************************************************************************************************/
/* Merging Data & Saving Permanent Data ****************************************************************************************************************************************/
/*******************************************************************************************************************************************************************************/
/*******************************************************************************************************************************************************************************/
/*******************************************************************************************************************************************************************************/
proc sort data=ISBE2  ;by ZipCode Year;run;/*N=13840,  4 variables*/
proc sort data=PFAE2  ;by ZipCode Year;run;/*N= 5536,  4 variables*/
proc sort data=ISBP2  ;by ZipCode Year;run;/*N= 9688,  4 variables*/
proc sort data=Head2  ;by ZipCode Year;run;/*N=13840,  4 variables*/
proc sort data=ElyH2  ;by ZipCode Year;run;/*N=13840,  4 variables*/
proc sort data=LCCa2  ;by ZipCode Year;run;/*N=13840,  7 variables*/
proc sort data=ExLC2  ;by ZipCode Year;run;/*N=13840,  7 variables*/
proc sort data=LCCB2  ;by ZipCode Year;run;/*N= 5536,  7 variables*/
proc sort data=LCCS2  ;by ZipCode Year;run;/*N= 5536,  7 variables*/
proc sort data=LCCG2  ;by ZipCode Year;run;/*N= 5536,  7 variables*/
proc sort data=LFCC2  ;by ZipCode Year;run;/*N=13840,  7 variables*/
proc sort data=LFCB2  ;by ZipCode Year;run;/*N= 5536,  7 variables*/
proc sort data=LFCS2  ;by ZipCode Year;run;/*N= 5536,  7 variables*/
proc sort data=LFCG2  ;by ZipCode Year;run;/*N= 5536,  7 variables*/
proc sort data=CCAP2  ;by ZipCode Year;run;/*N=13840,  7 variables*/
proc sort data=Popz2  ;by ZipCode Year;run;/*N=12456, 10 variables*/
data IECAM1;merge ISBE2 PFAE2 ISBP2 Head2 ElyH2 LCCa2 ExLC2 LCCB2 LCCS2 LCCG2 LFCC2 LFCB2 LFCS2 LFCG2 CCAP2 Popz2;by ZipCode Year;run;/*N=13840, 70 variables*/
data IECAM2;set IECAM1(rename=(ZipCode=ZipCode2));ZipCode=ZipCode2+0;drop ZipCode2;run;/*N=13840, 70 variables*/
/***/
proc sort data=IECAM2 ;by ZipCode Year;run;/*N=13840, 70 variables*/
proc sort data=Homelsz;by ZipCode Year;run;/*N= 1383, 17 variables*/
proc sort data=IDHSHVz;by ZipCode Year;run;/*N=15213, 14 variables*/
proc sort data=IDHSElz;by ZipCode Year;run;/*N=15213,  5 variables*/
data a.IECAM IECAM3;retain CountyFIPS ZipCode Year;merge IECAM2 Homelsz IDHSHVz IDHSElz;by ZipCode Year;if ZipCode=63673 then delete;run;/*N=17979, 98 variables*/
proc contents data=a.IECAM varnum;run;




/*******************************************************************************************************************************************************************************/
/*******************************************************************************************************************************************************************************/
/*******************************************************************************************************************************************************************************/
/* Checking Data Availability by Year ******************************************************************************************************************************************/
/* Checking Data Availability by Year ******************************************************************************************************************************************/
/* Checking Data Availability by Year ******************************************************************************************************************************************/
/*******************************************************************************************************************************************************************************/
/*******************************************************************************************************************************************************************************/
/*******************************************************************************************************************************************************************************/
/*
proc freq data=IECAM3;tables Year/out=ISBE_PFAs noprint;where ISBE_PFAs^=.;run;data ISBE_PFAs;set ISBE_PFAs(rename=(COUNT=ISBE_PFAs));id=1;drop PERCENT;run;proc transpose data=ISBE_PFAs out=ISBE_PFAs prefix=Year;by id;id Year;var ISBE_PFAs;run;
proc freq data=IECAM3;tables Year/out=ISBE_PFAc noprint;where ISBE_PFAc^=.;run;data ISBE_PFAc;set ISBE_PFAc(rename=(COUNT=ISBE_PFAc));id=1;drop PERCENT;run;proc transpose data=ISBE_PFAc out=ISBE_PFAc prefix=Year;by id;id Year;var ISBE_PFAc;run;
proc freq data=IECAM3;tables Year/out=ISBE_PFAEs noprint;where ISBE_PFAEs^=.;run;data ISBE_PFAEs;set ISBE_PFAEs(rename=(COUNT=ISBE_PFAEs));id=1;drop PERCENT;run;proc transpose data=ISBE_PFAEs out=ISBE_PFAEs prefix=Year;by id;id Year;var ISBE_PFAEs;run;
proc freq data=IECAM3;tables Year/out=ISBE_PFAEc noprint;where ISBE_PFAEc^=.;run;data ISBE_PFAEc;set ISBE_PFAEc(rename=(COUNT=ISBE_PFAEc));id=1;drop PERCENT;run;proc transpose data=ISBE_PFAEc out=ISBE_PFAEc prefix=Year;by id;id Year;var ISBE_PFAEc;run;
proc freq data=IECAM3;tables Year/out=ISBE_PIs noprint;where ISBE_PIs^=.;run;data ISBE_PIs;set ISBE_PIs(rename=(COUNT=ISBE_PIs));id=1;drop PERCENT;run;proc transpose data=ISBE_PIs out=ISBE_PIs prefix=Year;by id;id Year;var ISBE_PIs;run;
proc freq data=IECAM3;tables Year/out=ISBE_PIc noprint;where ISBE_PIc^=.;run;data ISBE_PIc;set ISBE_PIc(rename=(COUNT=ISBE_PIc));id=1;drop PERCENT;run;proc transpose data=ISBE_PIc out=ISBE_PIc prefix=Year;by id;id Year;var ISBE_PIc;run;
proc freq data=IECAM3;tables Year/out=HeadStarts noprint;where HeadStarts^=.;run;data HeadStarts;set HeadStarts(rename=(COUNT=HeadStarts));id=1;drop PERCENT;run;proc transpose data=HeadStarts out=HeadStarts prefix=Year;by id;id Year;var HeadStarts;run;
proc freq data=IECAM3;tables Year/out=HeadStartc noprint;where HeadStartc^=.;run;data HeadStartc;set HeadStartc(rename=(COUNT=HeadStartc));id=1;drop PERCENT;run;proc transpose data=HeadStartc out=HeadStartc prefix=Year;by id;id Year;var HeadStartc;run;
proc freq data=IECAM3;tables Year/out=ElyHeadSs noprint;where ElyHeadSs^=.;run;data ElyHeadSs;set ElyHeadSs(rename=(COUNT=ElyHeadSs));id=1;drop PERCENT;run;proc transpose data=ElyHeadSs out=ElyHeadSs prefix=Year;by id;id Year;var ElyHeadSs;run;
proc freq data=IECAM3;tables Year/out=ElyHeadSc noprint;where ElyHeadSc^=.;run;data ElyHeadSc;set ElyHeadSc(rename=(COUNT=ElyHeadSc));id=1;drop PERCENT;run;proc transpose data=ElyHeadSc out=ElyHeadSc prefix=Year;by id;id Year;var ElyHeadSc;run;
proc freq data=IECAM3;tables Year/out=LCCCs noprint;where LCCCs^=.;run;data LCCCs;set LCCCs(rename=(COUNT=LCCCs));id=1;drop PERCENT;run;proc transpose data=LCCCs out=LCCCs prefix=Year;by id;id Year;var LCCCs;run;
proc freq data=IECAM3;tables Year/out=LCCCc1 noprint;where LCCCc1^=.;run;data LCCCc1;set LCCCc1(rename=(COUNT=LCCCc1));id=1;drop PERCENT;run;proc transpose data=LCCCc1 out=LCCCc1 prefix=Year;by id;id Year;var LCCCc1;run;
proc freq data=IECAM3;tables Year/out=LCCCc2 noprint;where LCCCc2^=.;run;data LCCCc2;set LCCCc2(rename=(COUNT=LCCCc2));id=1;drop PERCENT;run;proc transpose data=LCCCc2 out=LCCCc2 prefix=Year;by id;id Year;var LCCCc2;run;
proc freq data=IECAM3;tables Year/out=LCCCc3 noprint;where LCCCc3^=.;run;data LCCCc3;set LCCCc3(rename=(COUNT=LCCCc3));id=1;drop PERCENT;run;proc transpose data=LCCCc3 out=LCCCc3 prefix=Year;by id;id Year;var LCCCc3;run;
proc freq data=IECAM3;tables Year/out=LCCCc noprint;where LCCCc^=.;run;data LCCCc;set LCCCc(rename=(COUNT=LCCCc));id=1;drop PERCENT;run;proc transpose data=LCCCc out=LCCCc prefix=Year;by id;id Year;var LCCCc;run;
proc freq data=IECAM3;tables Year/out=LECCCs noprint;where LECCCs^=.;run;data LECCCs;set LECCCs(rename=(COUNT=LECCCs));id=1;drop PERCENT;run;proc transpose data=LECCCs out=LECCCs prefix=Year;by id;id Year;var LECCCs;run;
proc freq data=IECAM3;tables Year/out=LECCCc1 noprint;where LECCCc1^=.;run;data LECCCc1;set LECCCc1(rename=(COUNT=LECCCc1));id=1;drop PERCENT;run;proc transpose data=LECCCc1 out=LECCCc1 prefix=Year;by id;id Year;var LECCCc1;run;
proc freq data=IECAM3;tables Year/out=LECCCc2 noprint;where LECCCc2^=.;run;data LECCCc2;set LECCCc2(rename=(COUNT=LECCCc2));id=1;drop PERCENT;run;proc transpose data=LECCCc2 out=LECCCc2 prefix=Year;by id;id Year;var LECCCc2;run;
proc freq data=IECAM3;tables Year/out=LECCCc3 noprint;where LECCCc3^=.;run;data LECCCc3;set LECCCc3(rename=(COUNT=LECCCc3));id=1;drop PERCENT;run;proc transpose data=LECCCc3 out=LECCCc3 prefix=Year;by id;id Year;var LECCCc3;run;
proc freq data=IECAM3;tables Year/out=LECCCc noprint;where LECCCc^=.;run;data LECCCc;set LECCCc(rename=(COUNT=LECCCc));id=1;drop PERCENT;run;proc transpose data=LECCCc out=LECCCc prefix=Year;by id;id Year;var LECCCc;run;
proc freq data=IECAM3;tables Year/out=LCCCBs noprint;where LCCCBs^=.;run;data LCCCBs;set LCCCBs(rename=(COUNT=LCCCBs));id=1;drop PERCENT;run;proc transpose data=LCCCBs out=LCCCBs prefix=Year;by id;id Year;var LCCCBs;run;
proc freq data=IECAM3;tables Year/out=LCCCBc1 noprint;where LCCCBc1^=.;run;data LCCCBc1;set LCCCBc1(rename=(COUNT=LCCCBc1));id=1;drop PERCENT;run;proc transpose data=LCCCBc1 out=LCCCBc1 prefix=Year;by id;id Year;var LCCCBc1;run;
proc freq data=IECAM3;tables Year/out=LCCCBc2 noprint;where LCCCBc2^=.;run;data LCCCBc2;set LCCCBc2(rename=(COUNT=LCCCBc2));id=1;drop PERCENT;run;proc transpose data=LCCCBc2 out=LCCCBc2 prefix=Year;by id;id Year;var LCCCBc2;run;
proc freq data=IECAM3;tables Year/out=LCCCBc3 noprint;where LCCCBc3^=.;run;data LCCCBc3;set LCCCBc3(rename=(COUNT=LCCCBc3));id=1;drop PERCENT;run;proc transpose data=LCCCBc3 out=LCCCBc3 prefix=Year;by id;id Year;var LCCCBc3;run;
proc freq data=IECAM3;tables Year/out=LCCCBc noprint;where LCCCBc^=.;run;data LCCCBc;set LCCCBc(rename=(COUNT=LCCCBc));id=1;drop PERCENT;run;proc transpose data=LCCCBc out=LCCCBc prefix=Year;by id;id Year;var LCCCBc;run;
proc freq data=IECAM3;tables Year/out=LCCCSs noprint;where LCCCSs^=.;run;data LCCCSs;set LCCCSs(rename=(COUNT=LCCCSs));id=1;drop PERCENT;run;proc transpose data=LCCCSs out=LCCCSs prefix=Year;by id;id Year;var LCCCSs;run;
proc freq data=IECAM3;tables Year/out=LCCCSc1 noprint;where LCCCSc1^=.;run;data LCCCSc1;set LCCCSc1(rename=(COUNT=LCCCSc1));id=1;drop PERCENT;run;proc transpose data=LCCCSc1 out=LCCCSc1 prefix=Year;by id;id Year;var LCCCSc1;run;
proc freq data=IECAM3;tables Year/out=LCCCSc2 noprint;where LCCCSc2^=.;run;data LCCCSc2;set LCCCSc2(rename=(COUNT=LCCCSc2));id=1;drop PERCENT;run;proc transpose data=LCCCSc2 out=LCCCSc2 prefix=Year;by id;id Year;var LCCCSc2;run;
proc freq data=IECAM3;tables Year/out=LCCCSc3 noprint;where LCCCSc3^=.;run;data LCCCSc3;set LCCCSc3(rename=(COUNT=LCCCSc3));id=1;drop PERCENT;run;proc transpose data=LCCCSc3 out=LCCCSc3 prefix=Year;by id;id Year;var LCCCSc3;run;
proc freq data=IECAM3;tables Year/out=LCCCSc noprint;where LCCCSc^=.;run;data LCCCSc;set LCCCSc(rename=(COUNT=LCCCSc));id=1;drop PERCENT;run;proc transpose data=LCCCSc out=LCCCSc prefix=Year;by id;id Year;var LCCCSc;run;
proc freq data=IECAM3;tables Year/out=LCCCGs noprint;where LCCCGs^=.;run;data LCCCGs;set LCCCGs(rename=(COUNT=LCCCGs));id=1;drop PERCENT;run;proc transpose data=LCCCGs out=LCCCGs prefix=Year;by id;id Year;var LCCCGs;run;
proc freq data=IECAM3;tables Year/out=LCCCGc1 noprint;where LCCCGc1^=.;run;data LCCCGc1;set LCCCGc1(rename=(COUNT=LCCCGc1));id=1;drop PERCENT;run;proc transpose data=LCCCGc1 out=LCCCGc1 prefix=Year;by id;id Year;var LCCCGc1;run;
proc freq data=IECAM3;tables Year/out=LCCCGc2 noprint;where LCCCGc2^=.;run;data LCCCGc2;set LCCCGc2(rename=(COUNT=LCCCGc2));id=1;drop PERCENT;run;proc transpose data=LCCCGc2 out=LCCCGc2 prefix=Year;by id;id Year;var LCCCGc2;run;
proc freq data=IECAM3;tables Year/out=LCCCGc3 noprint;where LCCCGc3^=.;run;data LCCCGc3;set LCCCGc3(rename=(COUNT=LCCCGc3));id=1;drop PERCENT;run;proc transpose data=LCCCGc3 out=LCCCGc3 prefix=Year;by id;id Year;var LCCCGc3;run;
proc freq data=IECAM3;tables Year/out=LCCCGc noprint;where LCCCGc^=.;run;data LCCCGc;set LCCCGc(rename=(COUNT=LCCCGc));id=1;drop PERCENT;run;proc transpose data=LCCCGc out=LCCCGc prefix=Year;by id;id Year;var LCCCGc;run;
proc freq data=IECAM3;tables Year/out=LFCCs noprint;where LFCCs^=.;run;data LFCCs;set LFCCs(rename=(COUNT=LFCCs));id=1;drop PERCENT;run;proc transpose data=LFCCs out=LFCCs prefix=Year;by id;id Year;var LFCCs;run;
proc freq data=IECAM3;tables Year/out=LFCCc1 noprint;where LFCCc1^=.;run;data LFCCc1;set LFCCc1(rename=(COUNT=LFCCc1));id=1;drop PERCENT;run;proc transpose data=LFCCc1 out=LFCCc1 prefix=Year;by id;id Year;var LFCCc1;run;
proc freq data=IECAM3;tables Year/out=LFCCc2 noprint;where LFCCc2^=.;run;data LFCCc2;set LFCCc2(rename=(COUNT=LFCCc2));id=1;drop PERCENT;run;proc transpose data=LFCCc2 out=LFCCc2 prefix=Year;by id;id Year;var LFCCc2;run;
proc freq data=IECAM3;tables Year/out=LFCCc3 noprint;where LFCCc3^=.;run;data LFCCc3;set LFCCc3(rename=(COUNT=LFCCc3));id=1;drop PERCENT;run;proc transpose data=LFCCc3 out=LFCCc3 prefix=Year;by id;id Year;var LFCCc3;run;
proc freq data=IECAM3;tables Year/out=LFCCc noprint;where LFCCc^=.;run;data LFCCc;set LFCCc(rename=(COUNT=LFCCc));id=1;drop PERCENT;run;proc transpose data=LFCCc out=LFCCc prefix=Year;by id;id Year;var LFCCc;run;
proc freq data=IECAM3;tables Year/out=LFCCBs noprint;where LFCCBs^=.;run;data LFCCBs;set LFCCBs(rename=(COUNT=LFCCBs));id=1;drop PERCENT;run;proc transpose data=LFCCBs out=LFCCBs prefix=Year;by id;id Year;var LFCCBs;run;
proc freq data=IECAM3;tables Year/out=LFCCBc1 noprint;where LFCCBc1^=.;run;data LFCCBc1;set LFCCBc1(rename=(COUNT=LFCCBc1));id=1;drop PERCENT;run;proc transpose data=LFCCBc1 out=LFCCBc1 prefix=Year;by id;id Year;var LFCCBc1;run;
proc freq data=IECAM3;tables Year/out=LFCCBc2 noprint;where LFCCBc2^=.;run;data LFCCBc2;set LFCCBc2(rename=(COUNT=LFCCBc2));id=1;drop PERCENT;run;proc transpose data=LFCCBc2 out=LFCCBc2 prefix=Year;by id;id Year;var LFCCBc2;run;
proc freq data=IECAM3;tables Year/out=LFCCBc3 noprint;where LFCCBc3^=.;run;data LFCCBc3;set LFCCBc3(rename=(COUNT=LFCCBc3));id=1;drop PERCENT;run;proc transpose data=LFCCBc3 out=LFCCBc3 prefix=Year;by id;id Year;var LFCCBc3;run;
proc freq data=IECAM3;tables Year/out=LFCCBc noprint;where LFCCBc^=.;run;data LFCCBc;set LFCCBc(rename=(COUNT=LFCCBc));id=1;drop PERCENT;run;proc transpose data=LFCCBc out=LFCCBc prefix=Year;by id;id Year;var LFCCBc;run;
proc freq data=IECAM3;tables Year/out=LFCCSs noprint;where LFCCSs^=.;run;data LFCCSs;set LFCCSs(rename=(COUNT=LFCCSs));id=1;drop PERCENT;run;proc transpose data=LFCCSs out=LFCCSs prefix=Year;by id;id Year;var LFCCSs;run;
proc freq data=IECAM3;tables Year/out=LFCCSc1 noprint;where LFCCSc1^=.;run;data LFCCSc1;set LFCCSc1(rename=(COUNT=LFCCSc1));id=1;drop PERCENT;run;proc transpose data=LFCCSc1 out=LFCCSc1 prefix=Year;by id;id Year;var LFCCSc1;run;
proc freq data=IECAM3;tables Year/out=LFCCSc2 noprint;where LFCCSc2^=.;run;data LFCCSc2;set LFCCSc2(rename=(COUNT=LFCCSc2));id=1;drop PERCENT;run;proc transpose data=LFCCSc2 out=LFCCSc2 prefix=Year;by id;id Year;var LFCCSc2;run;
proc freq data=IECAM3;tables Year/out=LFCCSc3 noprint;where LFCCSc3^=.;run;data LFCCSc3;set LFCCSc3(rename=(COUNT=LFCCSc3));id=1;drop PERCENT;run;proc transpose data=LFCCSc3 out=LFCCSc3 prefix=Year;by id;id Year;var LFCCSc3;run;
proc freq data=IECAM3;tables Year/out=LFCCSc noprint;where LFCCSc^=.;run;data LFCCSc;set LFCCSc(rename=(COUNT=LFCCSc));id=1;drop PERCENT;run;proc transpose data=LFCCSc out=LFCCSc prefix=Year;by id;id Year;var LFCCSc;run;
proc freq data=IECAM3;tables Year/out=LFCCGs noprint;where LFCCGs^=.;run;data LFCCGs;set LFCCGs(rename=(COUNT=LFCCGs));id=1;drop PERCENT;run;proc transpose data=LFCCGs out=LFCCGs prefix=Year;by id;id Year;var LFCCGs;run;
proc freq data=IECAM3;tables Year/out=LFCCGc1 noprint;where LFCCGc1^=.;run;data LFCCGc1;set LFCCGc1(rename=(COUNT=LFCCGc1));id=1;drop PERCENT;run;proc transpose data=LFCCGc1 out=LFCCGc1 prefix=Year;by id;id Year;var LFCCGc1;run;
proc freq data=IECAM3;tables Year/out=LFCCGc2 noprint;where LFCCGc2^=.;run;data LFCCGc2;set LFCCGc2(rename=(COUNT=LFCCGc2));id=1;drop PERCENT;run;proc transpose data=LFCCGc2 out=LFCCGc2 prefix=Year;by id;id Year;var LFCCGc2;run;
proc freq data=IECAM3;tables Year/out=LFCCGc3 noprint;where LFCCGc3^=.;run;data LFCCGc3;set LFCCGc3(rename=(COUNT=LFCCGc3));id=1;drop PERCENT;run;proc transpose data=LFCCGc3 out=LFCCGc3 prefix=Year;by id;id Year;var LFCCGc3;run;
proc freq data=IECAM3;tables Year/out=LFCCGc noprint;where LFCCGc^=.;run;data LFCCGc;set LFCCGc(rename=(COUNT=LFCCGc));id=1;drop PERCENT;run;proc transpose data=LFCCGc out=LFCCGc prefix=Year;by id;id Year;var LFCCGc;run;
proc freq data=IECAM3;tables Year/out=CCAPc1 noprint;where CCAPc1^=.;run;data CCAPc1;set CCAPc1(rename=(COUNT=CCAPc1));id=1;drop PERCENT;run;proc transpose data=CCAPc1 out=CCAPc1 prefix=Year;by id;id Year;var CCAPc1;run;
proc freq data=IECAM3;tables Year/out=CCAPc2 noprint;where CCAPc2^=.;run;data CCAPc2;set CCAPc2(rename=(COUNT=CCAPc2));id=1;drop PERCENT;run;proc transpose data=CCAPc2 out=CCAPc2 prefix=Year;by id;id Year;var CCAPc2;run;
proc freq data=IECAM3;tables Year/out=CCAPc3 noprint;where CCAPc3^=.;run;data CCAPc3;set CCAPc3(rename=(COUNT=CCAPc3));id=1;drop PERCENT;run;proc transpose data=CCAPc3 out=CCAPc3 prefix=Year;by id;id Year;var CCAPc3;run;
proc freq data=IECAM3;tables Year/out=CCAPc4 noprint;where CCAPc4^=.;run;data CCAPc4;set CCAPc4(rename=(COUNT=CCAPc4));id=1;drop PERCENT;run;proc transpose data=CCAPc4 out=CCAPc4 prefix=Year;by id;id Year;var CCAPc4;run;
proc freq data=IECAM3;tables Year/out=CCAPc noprint;where CCAPc^=.;run;data CCAPc;set CCAPc(rename=(COUNT=CCAPc));id=1;drop PERCENT;run;proc transpose data=CCAPc out=CCAPc prefix=Year;by id;id Year;var CCAPc;run;
proc freq data=IECAM3;tables Year/out=I_TPopz noprint;where I_TPopz^=.;run;data I_TPopz;set I_TPopz(rename=(COUNT=I_TPopz));id=1;drop PERCENT;run;proc transpose data=I_TPopz out=I_TPopz prefix=Year;by id;id Year;var I_TPopz;run;
proc freq data=IECAM3;tables Year/out=I_CPop0z noprint;where I_CPop0z^=.;run;data I_CPop0z;set I_CPop0z(rename=(COUNT=I_CPop0z));id=1;drop PERCENT;run;proc transpose data=I_CPop0z out=I_CPop0z prefix=Year;by id;id Year;var I_CPop0z;run;
proc freq data=IECAM3;tables Year/out=I_CPop1z noprint;where I_CPop1z^=.;run;data I_CPop1z;set I_CPop1z(rename=(COUNT=I_CPop1z));id=1;drop PERCENT;run;proc transpose data=I_CPop1z out=I_CPop1z prefix=Year;by id;id Year;var I_CPop1z;run;
proc freq data=IECAM3;tables Year/out=I_CPop2z noprint;where I_CPop2z^=.;run;data I_CPop2z;set I_CPop2z(rename=(COUNT=I_CPop2z));id=1;drop PERCENT;run;proc transpose data=I_CPop2z out=I_CPop2z prefix=Year;by id;id Year;var I_CPop2z;run;
proc freq data=IECAM3;tables Year/out=I_CPop3z noprint;where I_CPop3z^=.;run;data I_CPop3z;set I_CPop3z(rename=(COUNT=I_CPop3z));id=1;drop PERCENT;run;proc transpose data=I_CPop3z out=I_CPop3z prefix=Year;by id;id Year;var I_CPop3z;run;
proc freq data=IECAM3;tables Year/out=I_CPop4z noprint;where I_CPop4z^=.;run;data I_CPop4z;set I_CPop4z(rename=(COUNT=I_CPop4z));id=1;drop PERCENT;run;proc transpose data=I_CPop4z out=I_CPop4z prefix=Year;by id;id Year;var I_CPop4z;run;
proc freq data=IECAM3;tables Year/out=I_CPop5z noprint;where I_CPop5z^=.;run;data I_CPop5z;set I_CPop5z(rename=(COUNT=I_CPop5z));id=1;drop PERCENT;run;proc transpose data=I_CPop5z out=I_CPop5z prefix=Year;by id;id Year;var I_CPop5z;run;
proc freq data=IECAM3;tables Year/out=I_CPopz noprint;where I_CPopz^=.;run;data I_CPopz;set I_CPopz(rename=(COUNT=I_CPopz));id=1;drop PERCENT;run;proc transpose data=I_CPopz out=I_CPopz prefix=Year;by id;id Year;var I_CPopz;run;
proc freq data=IECAM3;tables Year/out=HomelessC1 noprint;where HomelessC1^=.;run;data HomelessC1;set HomelessC1(rename=(COUNT=HomelessC1));id=1;drop PERCENT;run;proc transpose data=HomelessC1 out=HomelessC1 prefix=Year;by id;id Year;var HomelessC1;run;
proc freq data=IECAM3;tables Year/out=HomelessC2 noprint;where HomelessC2^=.;run;data HomelessC2;set HomelessC2(rename=(COUNT=HomelessC2));id=1;drop PERCENT;run;proc transpose data=HomelessC2 out=HomelessC2 prefix=Year;by id;id Year;var HomelessC2;run;
proc freq data=IECAM3;tables Year/out=HomelessC3 noprint;where HomelessC3^=.;run;data HomelessC3;set HomelessC3(rename=(COUNT=HomelessC3));id=1;drop PERCENT;run;proc transpose data=HomelessC3 out=HomelessC3 prefix=Year;by id;id Year;var HomelessC3;run;
proc freq data=IECAM3;tables Year/out=HomelessC4 noprint;where HomelessC4^=.;run;data HomelessC4;set HomelessC4(rename=(COUNT=HomelessC4));id=1;drop PERCENT;run;proc transpose data=HomelessC4 out=HomelessC4 prefix=Year;by id;id Year;var HomelessC4;run;
proc freq data=IECAM3;tables Year/out=HomelessC5 noprint;where HomelessC5^=.;run;data HomelessC5;set HomelessC5(rename=(COUNT=HomelessC5));id=1;drop PERCENT;run;proc transpose data=HomelessC5 out=HomelessC5 prefix=Year;by id;id Year;var HomelessC5;run;
proc freq data=IECAM3;tables Year/out=HomelessC noprint;where HomelessC^=.;run;data HomelessC;set HomelessC(rename=(COUNT=HomelessC));id=1;drop PERCENT;run;proc transpose data=HomelessC out=HomelessC prefix=Year;by id;id Year;var HomelessC;run;
proc freq data=IECAM3;tables Year/out=HomelessD1 noprint;where HomelessD1^=.;run;data HomelessD1;set HomelessD1(rename=(COUNT=HomelessD1));id=1;drop PERCENT;run;proc transpose data=HomelessD1 out=HomelessD1 prefix=Year;by id;id Year;var HomelessD1;run;
proc freq data=IECAM3;tables Year/out=HomelessD2 noprint;where HomelessD2^=.;run;data HomelessD2;set HomelessD2(rename=(COUNT=HomelessD2));id=1;drop PERCENT;run;proc transpose data=HomelessD2 out=HomelessD2 prefix=Year;by id;id Year;var HomelessD2;run;
proc freq data=IECAM3;tables Year/out=HomelessD3 noprint;where HomelessD3^=.;run;data HomelessD3;set HomelessD3(rename=(COUNT=HomelessD3));id=1;drop PERCENT;run;proc transpose data=HomelessD3 out=HomelessD3 prefix=Year;by id;id Year;var HomelessD3;run;
proc freq data=IECAM3;tables Year/out=HomelessD noprint;where HomelessD^=.;run;data HomelessD;set HomelessD(rename=(COUNT=HomelessD));id=1;drop PERCENT;run;proc transpose data=HomelessD out=HomelessD prefix=Year;by id;id Year;var HomelessD;run;
proc freq data=IECAM3;tables Year/out=Homeless1 noprint;where Homeless1^=.;run;data Homeless1;set Homeless1(rename=(COUNT=Homeless1));id=1;drop PERCENT;run;proc transpose data=Homeless1 out=Homeless1 prefix=Year;by id;id Year;var Homeless1;run;
proc freq data=IECAM3;tables Year/out=Homeless2 noprint;where Homeless2^=.;run;data Homeless2;set Homeless2(rename=(COUNT=Homeless2));id=1;drop PERCENT;run;proc transpose data=Homeless2 out=Homeless2 prefix=Year;by id;id Year;var Homeless2;run;
proc freq data=IECAM3;tables Year/out=Homeless3 noprint;where Homeless3^=.;run;data Homeless3;set Homeless3(rename=(COUNT=Homeless3));id=1;drop PERCENT;run;proc transpose data=Homeless3 out=Homeless3 prefix=Year;by id;id Year;var Homeless3;run;
proc freq data=IECAM3;tables Year/out=Homeless noprint;where Homeless^=.;run;data Homeless;set Homeless(rename=(COUNT=Homeless));id=1;drop PERCENT;run;proc transpose data=Homeless out=Homeless prefix=Year;by id;id Year;var Homeless;run;
proc freq data=IECAM3;tables Year/out=DHS_HFI1 noprint;where DHS_HFI1^=.;run;data DHS_HFI1;set DHS_HFI1(rename=(COUNT=DHS_HFI1));id=1;drop PERCENT;run;proc transpose data=DHS_HFI1 out=DHS_HFI1 prefix=Year;by id;id Year;var DHS_HFI1;run;
proc freq data=IECAM3;tables Year/out=DHS_HFI2 noprint;where DHS_HFI2^=.;run;data DHS_HFI2;set DHS_HFI2(rename=(COUNT=DHS_HFI2));id=1;drop PERCENT;run;proc transpose data=DHS_HFI2 out=DHS_HFI2 prefix=Year;by id;id Year;var DHS_HFI2;run;
proc freq data=IECAM3;tables Year/out=DHS_PTS1 noprint;where DHS_PTS1^=.;run;data DHS_PTS1;set DHS_PTS1(rename=(COUNT=DHS_PTS1));id=1;drop PERCENT;run;proc transpose data=DHS_PTS1 out=DHS_PTS1 prefix=Year;by id;id Year;var DHS_PTS1;run;
proc freq data=IECAM3;tables Year/out=DHS_PTS2 noprint;where DHS_PTS2^=.;run;data DHS_PTS2;set DHS_PTS2(rename=(COUNT=DHS_PTS2));id=1;drop PERCENT;run;proc transpose data=DHS_PTS2 out=DHS_PTS2 prefix=Year;by id;id Year;var DHS_PTS2;run;
proc freq data=IECAM3;tables Year/out=DHS_HFIr1 noprint;where DHS_HFIr1^=.;run;data DHS_HFIr1;set DHS_HFIr1(rename=(COUNT=DHS_HFIr1));id=1;drop PERCENT;run;proc transpose data=DHS_HFIr1 out=DHS_HFIr1 prefix=Year;by id;id Year;var DHS_HFIr1;run;
proc freq data=IECAM3;tables Year/out=DHS_HFIr2 noprint;where DHS_HFIr2^=.;run;data DHS_HFIr2;set DHS_HFIr2(rename=(COUNT=DHS_HFIr2));id=1;drop PERCENT;run;proc transpose data=DHS_HFIr2 out=DHS_HFIr2 prefix=Year;by id;id Year;var DHS_HFIr2;run;
proc freq data=IECAM3;tables Year/out=DHS_HFIr noprint;where DHS_HFIr^=.;run;data DHS_HFIr;set DHS_HFIr(rename=(COUNT=DHS_HFIr));id=1;drop PERCENT;run;proc transpose data=DHS_HFIr out=DHS_HFIr prefix=Year;by id;id Year;var DHS_HFIr;run;
proc freq data=IECAM3;tables Year/out=DHS_PTSr1 noprint;where DHS_PTSr1^=.;run;data DHS_PTSr1;set DHS_PTSr1(rename=(COUNT=DHS_PTSr1));id=1;drop PERCENT;run;proc transpose data=DHS_PTSr1 out=DHS_PTSr1 prefix=Year;by id;id Year;var DHS_PTSr1;run;
proc freq data=IECAM3;tables Year/out=DHS_PTSr2 noprint;where DHS_PTSr2^=.;run;data DHS_PTSr2;set DHS_PTSr2(rename=(COUNT=DHS_PTSr2));id=1;drop PERCENT;run;proc transpose data=DHS_PTSr2 out=DHS_PTSr2 prefix=Year;by id;id Year;var DHS_PTSr2;run;
proc freq data=IECAM3;tables Year/out=DHS_PTSr noprint;where DHS_PTSr^=.;run;data DHS_PTSr;set DHS_PTSr(rename=(COUNT=DHS_PTSr));id=1;drop PERCENT;run;proc transpose data=DHS_PTSr out=DHS_PTSr prefix=Year;by id;id Year;var DHS_PTSr;run;
proc freq data=IECAM3;tables Year/out=DHS_HVPr noprint;where DHS_HVPr^=.;run;data DHS_HVPr;set DHS_HVPr(rename=(COUNT=DHS_HVPr));id=1;drop PERCENT;run;proc transpose data=DHS_HVPr out=DHS_HVPr prefix=Year;by id;id Year;var DHS_HVPr;run;
proc freq data=IECAM3;tables Year/out=IDHS_EI noprint;where IDHS_EI^=.;run;data IDHS_EI;set IDHS_EI(rename=(COUNT=IDHS_EI));id=1;drop PERCENT;run;proc transpose data=IDHS_EI out=IDHS_EI prefix=Year;by id;id Year;var IDHS_EI;run;
proc freq data=IECAM3;tables Year/out=IDHS_EIr noprint;where IDHS_EIr^=.;run;data IDHS_EIr;set IDHS_EIr(rename=(COUNT=IDHS_EIr));id=1;drop PERCENT;run;proc transpose data=IDHS_EIr out=IDHS_EIr prefix=Year;by id;id Year;var IDHS_EIr;run;
data Check;retain _NAME_ Year2007 Year2008 Year2009 Year2010 Year2011 Year2012 Year2013 Year2014 Year2015 Year2016 Year2017 Year2018 Year2019 ;
set ISBE_PFAs ISBE_PFAc ISBE_PFAEs ISBE_PFAEc ISBE_PIs ISBE_PIc HeadStarts HeadStartc ElyHeadSs ElyHeadSc LCCCs LCCCc1 LCCCc2 LCCCc3 LCCCc LECCCs LECCCc1 LECCCc2 LECCCc3 LECCCc LCCCBs LCCCBc1 LCCCBc2 LCCCBc3 LCCCBc LCCCSs LCCCSc1 LCCCSc2 LCCCSc3 LCCCSc LCCCGs LCCCGc1 LCCCGc2 LCCCGc3 LCCCGc LFCCs LFCCc1 LFCCc2 LFCCc3 LFCCc LFCCBs LFCCBc1 LFCCBc2 LFCCBc3 LFCCBc LFCCSs LFCCSc1 LFCCSc2 LFCCSc3 LFCCSc LFCCGs LFCCGc1 LFCCGc2 LFCCGc3 LFCCGc CCAPc1 CCAPc2 CCAPc3 CCAPc4 CCAPc I_TPopz I_CPop0z I_CPop1z I_CPop2z I_CPop3z I_CPop4z I_CPop5z I_CPopz HomelessC1 HomelessC2 HomelessC3 HomelessC4 HomelessC5 HomelessC HomelessD1 HomelessD2 HomelessD3 HomelessD Homeless1 Homeless2 Homeless3 Homeless DHS_HFI1 DHS_HFI2 DHS_PTS1 DHS_PTS2 DHS_HFIr1 DHS_HFIr2 DHS_HFIr DHS_PTSr1 DHS_PTSr2 DHS_PTSr DHS_HVPr IDHS_EI IDHS_EIr;
drop id _LABEL_;run;
proc print data=Check;run;
*/
